Welcome to dbForge Data Generator for SQL Server

dg-header

Thank you for choosing dbForge Data Generator for SQL Server!

expandedtoggleicon(9x12) Product Overview

dbForge Data Generator for SQL Server is a powerful GUI tool for a fast generation of meaningful test data. The tool includes 190+ predefined generators with sensible configuration options, that allow to emulate column-intelligent real-world test data.

With this tool you can:

· Populate SQL Server database tables with realistic test data
· Define tables and fields for generating data
· Set value ranges
· Generate SQL Server char fields by mask
· Define lists of values manually or select them from SQL queries
· Set generation parameters for each field type
· Generate population script
· Create user-defined generators

ExpandedToggleIcon(9x12) Where to start

The guide helps you get started quickly by describing how to setup a new database connection, and provides an explanation of the key steps for basic database operations.

ExpandedToggleIcon(9x12) See Also

Getting Started

© 2015-2017 Devart


What's New in dbForge Data Generator for SQL Server v4.0

SQL Server Support

· SQL Server 2016 Service Pack 1 (SP1) new syntax support
· SQL Server 2017 CTP2 new syntax support
· Azure SQL Data Warehouse connectivity support

Compatibility

dbForge Data Generator can be integrated into the latest SQL Server Management Studio v17.2.

Data Generator

· Storing custom generators
· Generating data by time
· Generating data to existing tables already populated with data
· Generating data using linked table
· Pre and Post Script Execution

Creation of the Command Line Execution File

With the Command Line Execution File Settings dialog box, you can setup and create a command line execution file (.bat file), and use it for routine data generation tasks.


Requirements

dbForge Data Generator for SQL Server requires the following:

· Microsoft Windows 7/8/8.1/10
· Windows Server 2008/2012
· .NET Framework 4.5.2* or higher installed.

*You can download .NET Framework here.

note Note

Note: .NET Framework is pre-installed in Microsoft Windows 7, 8, 8.1, and Windows 10.

ExpandedToggleIcon(9x12) See Also

Compatibility


Compatibility

Microsoft SQL Server

dbForge Data Generator for SQL Server is compatible with:

· SQL Server 2017 CTP2.0
· SQL Server 2016 SP1, 2016, 2014, 2012, LocalDB
· SQL Server 2008, 2008R2 (including Express edition)
· SQL Server 2005 (including Express edition)
· SQL Server 2000
· SQL Azure
· Working with SQL Server on Amazon RDS

Microsoft SQL Server Management Studio:

dbForge Data Generator for SQL Server is compatible with:

· SSMS 2017
· SSMS 2016 (including Express editions)
· SSMS 2014 (including Express editions)
· SSMS 2012 (including Express editions)

ExpandedToggleIcon(9x12) See Also

Copyright Information


Copyright Information

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user.

Devart may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Devart, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

Copyright 2015-2017 Devart. All rights reserved.

Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.

ExpandedToggleIcon(9x12) See Also

Previous Releases


Previous Releases

ExpandedToggleIcon(9x12) In This Section

What's New in dbForge Data Generator for SQL Server, v3.11

What's New in dbForge Data Generator for SQL Server, v3.10

What's New in dbForge Data Generator for SQL Server v3.9

What's New in dbForge Data Generator for SQL Server v3.8

What's New in dbForge Data Generator for SQL Server v3.7

What's New in dbForge Data Generator for SQL Server v3.6

What's New in dbForge Data Generator for SQL Server v3.5

What's New in dbForge Data Generator for SQL Server v3.0

What's New in dbForge Data Generator for SQL Server v2.0


What's New in dbForge Data Generator for SQL Server, v3.11
· Generation of country-specific data
· ISJSON function in Check Constraint generator supported
· 10+ new generators, including ICD-10 Codes
· Data Generation for databases already filled with data
· DateTime generators improved
· Power Shell Supported
· Trial Product Activation
· Specific exit codes
· FIPS compliance
· Azure Active Directory Authentication
· Application visual style greatly improved

ExpandedToggleIcon(9x12) See Also

Welcome to dbForge Data Generator for SQL Server

Requirements


What's New in dbForge Data Generator for SQL Server, v3.10
· Support for SQL Server 2016
· Support for SSMS 2016
· Improved XML generator
· Improved Foreign Key generator
· Improved Check Constraint generator
· 30+ new and improved meaningful generators

ExpandedToggleIcon(9x12) See Also

Welcome to dbForge Data Generator for SQL Server

Requirements


What's New in dbForge Data Generator for SQL Server v3.9

RegExp generator is improved

Now you can just specify the name of the generator in the editor.

IronPython generator is improved

Now you can use the internal RegexGenerator class.

Check Constraint generator is improved

Miscellaneous improvements.

ExpandedToggleIcon(9x12) See Also

Welcome to dbForge Data Generator for SQL Server

Requirements


What's New in dbForge Data Generator for SQL Server v3.8

Check Constraint generator implemented

The Check Constraint generator fills a column with values within the value range of the check constraint expression.

ExpandedToggleIcon(9x12) See Also

What's New in dbForge Data Generator for SQL Server v3.7


What's New in dbForge Data Generator for SQL Server v3.7

SSMS Integration Support

SQL Server Management Studio integration enables starting the data generation directly from SSMS.

ExpandedToggleIcon(9x12) See Also

What's New in dbForge Data Generator for SQL Server v3.6


What's New in dbForge Data Generator for SQL Server v3.6

Data Generators:

· Iron Python generator implemented
· Password generator implemented
· Credit Card Type generator redesigned
· International Securities Identification Number (ISIN) generator improved
· IPv4 Address generator extended
· 5 new meaningful generators added

ExpandedToggleIcon(9x12) See Also

What's New in dbForge Data Generator for SQL Server v3.5


What's New in dbForge Data Generator for SQL Server v3.5

Enhanced RegExp Generator

· Generate data from .txt and .csv files, table or view columns, and custom query columns
· Counter added
· Option to set weight for alternatives

Advanced Foreign Key Support

Composite foreign keys are supported

New Generators

· Basic generators (Constant, FK Manual, Twaddle)
· 20+ new generators with valid checksum (Credit Card Number, VIN, ISSN, etc.)
· 30+ meaningful generators (US Full Address, NickName, Birth Date, etc.)

Improved Matching

Extended matching for more intelligent table mapping

ExpandedToggleIcon(9x12) See Also

What's New in dbForge Data Generator for SQL Server v3.0


What's New in dbForge Data Generator for SQL Server v3.0

Data Generator

· 90+ meaningful generators
· User-defined generators

ExpandedToggleIcon(9x12) See Also

What's New in dbForge Data Generator for SQL Server v2.0


What's New in dbForge Data Generator for SQL Server v2.0

Data Generator

· Basic generators
o Regular Expression — generates values based on a regular expression
o Weighted List — generates values from a simple (or regexp, or nested, or ranged) values list with specified frequency of occurrence
o SQL Query — generates values from a custom query
o Table or View — generates values from a table or view
o Text File — generates values from specified text file
o Files Folder — generates values by retrieving documents content from specified folder
o Shuffled Text — generates dummy text by shuffling words in specified text
o Lorem Ipsum — generates dummy text with some characteristics of real written text

Other Features and Improvements

· Support of command-line interface
· Significantly increased data population performance

ExpandedToggleIcon(9x12) See Also

Previous Releases

Getting Started


Getting Started

ExpandedToggleIcon(9x12) In This Section

dbForge Data Generator for SQL Server Start Page
This section describes the basic functionality provided by dbForge Data Generator for SQL Server

Installation Guide
This section gives overview of the install/uninstall processes.

Activation
Describes how to activate dbForge Data Generator for SQL Server.

How To: Connect to a Database
This topic explains how to create a new server connection.

How To: Manage Database Connections
Learn how to manage the database connections.

Generating Data in MS SSMS
This topic explains how to generate data in SSMS.


dbForge Data Generator for SQL Server Start Page

The goal of the start page is to provide a location, available when the product first started, for the user to find out about dbForge Data Generator for SQL Server functionality. We also added some other features to this start page such as the ability to navigate to the product support page, blog, feedback page, etc. The Start page uses a multi-tab model that provides the relevant features and tools in a specific tab.

To access the Start page, in the View menu click Other Windows, and then click Start Page.

Section | Tool | Description
 | Devart website | Opens the Devart company website.
 | Recent Projects | The section displays recently opened projects. Click a required project name link to open it.
dg-icon | New Data Generation | Click the icon to open the Data Generator Properties Window and start generating the data immediately.
open-file-icon | Open Data Generation | Click the icon to choose a file path to an already existing data population document and open it.

ExpandedToggleIcon(9x12) See Also

Getting Started

Installation Guide


Installation Guide

This section describes how to install and uninstall dbForge Data Generator for SQL Server.

ExpandedToggleIcon(9x12) In This Section

How To: Install dbForge Data Generator for SQL Server
Describes how to install the application.

How To: Uninstall dbForge Data Generator for SQL Server
Describes how to uninstall the application.


How To: Install dbForge Data Generator for SQL Server

This topic describes how to install dbForge Data Generator for SQL Server on Windows OS with the help of Devart dbForge Data Generator for SQL Server Setup Wizard.

To Install dbForge Data Generator for SQL Server

1. Run datageneratorsql.exe to begin installation.
2. On the Welcome to dbForge Data Generator for SQL Server page, click Install.
3. On the Select Destination page, select the directory where dbForge Data Generator for SQL Server will be installed. To change the default directory, click Browse. To restore the default directory, click Restore default location. Optionally, click the Licence Agreement link to learn the End-User Agreement for dbForge Data Generator for SQL Server. If you agree to the Devart dbForge Data Generator for SQL Server License Terms, click Next.
4. Optionally, on the Shortcuts page, select the additional shortcuts you would like the Setup Wizard to create while installing dbForge Data Generator for SQL Server. There are two options available: Create a desktop icon and Add a shortcut to the start menu. Click Next.
5. On the Add-in page, select the product or products which dbForge Data Generator for SQL Server should be installed for as an add-in. Click Next.
6. On the File Associations page, select the document types and file extensions that will be associated with this application when it is installed on your computer. Click Next.
7. On the Startup Optimization page, select the option that fits your needs best. Click Next.
8. Optionally, on the Installing page, you can interrupt the installation by clicking the Cancel button.
9. On the final page, click Finish to exit Setup wizard. Optionally, you can select the Launch "dbForge Data Generator for SQL Server" option to start the application immediately after installation.

ExpandedToggleIcon(9x12) See Also

Installation Guide

How To: Uninstall dbForge Data Generator for SQL Server


How To: Uninstall dbForge Data Generator for SQL Server

This topic describes how to uninstall dbForge Data Generator for SQL Server from Windows OS.

To uninstall dbForge Data Generator for SQL Server

1. To begin the uninstall, go to Control Panel and then Programs and Features.
2. Right click Devart dbForge Data Generator for SQL Server and select Uninstall.
3. The Uninstall dialog box appears. Click Yes, if you are sure you want to uninstall the application. This starts the Devart dbForge Data Generator for SQL Server Uninstaller.
4. Optionally, on the Uninstall options page, you can specify the following additional options and then click Uninstall.
· Registry options
· Connection list
· Configuration files
· Format profiles
· Scripts and exported data
5. Optionally, select the Go to the product feedback page after uninstall option to leave a feedback about the application.
6. Click Uninstall to proceed with the uninstall. The Uninstall Status page, showing the uninstall progress, opens.
7. If the uninstall is successful, the dialog box confirming that the application was successfully removed appears. Click OK to exit the uninstaller.

ExpandedToggleIcon(9x12) See Also

Installation Guide


Activation

Unless activated, dbForge Data Generator for SQL Server works on the trial basis for 30 days. When this time period expires, dbForge Data Generator for SQL Server must be activated with the purchased activation key.

dbForge Data Generator for SQL Server can be activated either online, or offline.

Online activation

This activation method requires an active Internet connection.

To activate dbForge Data Generator for SQL Server online:

1. If you have not purchased dbForge Data Generator for SQL Server, click Buy Now... on the pop-up window that appears at the start of dbForge Data Generator for SQL Server. If you already have your activation key, click Activate...

Alternatively, click Activate Product on the Help menu.

2. The Activation window opens. Copy your activation key from the e-mail that was sent to you after your purchase, and paste it into the edit box.
The activation key looks like a long sequence of letters and digits.

note Note

If you do not see the e-mail with the activation key, be advised to check your Junk/ Spam/Bulk folders.

You can always retrieve your activation key at your Customer Portal page.

3. Click Activate.

Offline activation

Offline activation allows activating dbForge Data Generator for SQL Server right at the Devart web site. This activation method helps activating the product when the online activation fails.

To activate dbForge Data Generator for SQL Server offline:

1. Click the Manual Activation button on the Activation window. It opens when online activation fails.

2. Copy the activation request text with the Copy to Clipboard button, or save it to a text file with the Save to File... button.

3. Open the Manual Product Activation page of the Devart web site, and paste the copied text in the text box. Click Download license. The license file with the .lic extension is downloaded to your computer.

4. Return back to the Activation window of dbForge Data Generator for SQL Server and click the Load license... button. Specify the location of the downloaded .lic file and click Open.

ExpandedToggleIcon(9x12) See Also

Getting Started

How To: Connect to a Database


How To: Connect to a Database

Before you can connect to a database, you must create a server connection.

To create a connection:

1. On the Database menu, click New Connection. The Database Connection Properties dialog box opens.
2. In the Server combo box, click <Browse...>. The Browse for Servers window opens.
3. On the Local Servers tab, select an SQL Server instance (if any). Otherwise, click the Network Servers tab to select an SQL Server instance in the network.
4. Select the Authentication type.
5. Enter the login credentials in the User and Password fields.
6. In Database, type or click the name of the database which you want to connect to.
7. In the Connection Name text box, the connection name should be generated automatically from the host name. You can create a distinctive name for your new connection.
8. (optional) You can assign a document category to the new connection.
9. (optional) You can click Advanced to configure advanced connection properties.
10. (optional) Click the Test Connection button to verify the connection.
11. Click OK to create the connection.

ExpandedToggleIcon(9x12) See Also

Getting Started

How To: Manage Database Connections


How To: Manage Database Connections

dbForge Data Generator for SQL Server offers you visual, quick, and simple way to manage database connections through the Connection Manager window.

Create a database connection

1. Open the Database Connection Properties dialog box by one of the following ways:
· Click [image] New Connection on the Database menu

-or-

· Click Connection Manager on the Database menu, and then click the New button in the Connection Manager dialog box

2. Database Connection Properties dialog box opens. Set up connection parameters here.

3. Click OK to finish creating the connection, or click Test Connection to find out whether the connection with such parameters exists.

Windows connection coloring

Window connection coloring allows you immediately to know to which server you're connected to. You can add coloring for each server connection in the Document Category field of the Database Connection Properties dialog box when setting the database connection properties.

Edit a database connection

To edit an already existing database connection, on the Database menu, click Connection Manager. The Connection Manager dialog box opens. Select a required connection, and then click the Edit button. The Database Connection Properties dialog box opens where you can make changes on database connection parameters.

Delete a database connection

To delete a database connection, open the Connection Manager on the Database menu. Choose a connection you want to delete, and then click the Delete button.

expandedtoggleicon(9x12) See Also

Getting Started


Generating Data in MS SSMS

This topic explains how to generate data in MS SSMS.

Data Generation

1. In Object Explorer, right-click a database, point to Data Generation, and then click New Data Generation.
2. The dbForge Data Generator for SQL Server Start Page will open. Further proceed as specified in How to: Set Up Data Generator.

expandedtoggleicon(9x12) See Also

Getting Started


Working with Data Generator

ExpandedToggleIcon(9x12) In This Section

How to: Set Up Data Generator
This topic describes how to set up Data Generator to generate test data.

Using Generators
This topic describes how to select and customize data generators provided in Data Generator.

Generating Data for Empty Database
This topic describes how to generate realistic test data for an empty database using Data Generator.

Populating Database
This topic describes how to populate a database with generated test data using Data Generator.

Creating Custom Generators
This topic describes how to create a custom generator using Data Generator.


How to: Set Up Data Generator

This topic describes how to set up Data Generator to generate test data.

It is recommended to back up the database that you are going to populate before you generate the data. You can adjust the settings and repeat the data generation if you are not satisfied with the results. To generate data, first select a SQL Server instance and a database you want to populate.

To generate data:

1. On the Standard toolbar, click New Data Generation.
2. Specify the connection and select a required database.

3. Click Next. The Options page will appear.

4. On the Options page, set required options.
5. Click Execute. The following page displays data generation result.

You can specify the tables that you want to populate by selecting the check box that is located next to the table name. Further, you can define how you want the data to be generated: click the table name in the tree view and specify the details in the settings pane. All the changes are displayed in real-time.

note Note

There may be errors during data generation. For example, a column may be a foreign key of a table, that is not included into generation.

To resolve such issues, navigate to the Related Tables section of the Table generation settings, and include/exclude parent and child tables from data generation.

6. On the Data Generator toolbar, click Generate Data.

The Output window will open, where you can:

· select the Open data population script in the internal editor option to add custom data to the database.
· save the SQL script to a file
· run the script automatically

Select a required option and click Next.

7. On the Options tab, configure the synchronization options. Click Next.
8. The Summary tab allows you to see the details of an error or warning.

When you are setting up the tables and columns that you want to populate, SQL Data Generator displays warning and error messages to inform you when there may be a problem with the data generation.

9. Click Generate to finish the process.

ExpandedToggleIcon(9x12) See Also

Working with Data Generator

Using Generators


Using Generators

dbForge Data Generator for SQL Server provides a collection of generators to create different column values for the tables you want to populate.

The following basic data generators are available:

· Check Constraint Generator
· Constant Generator
· Datetime Generator
· Files Folder Generator
· Foreign Key (auto assigned) Generator
· Foreign Key (manually assigned) Generator
· Lorem Ipsum Generator
· Python Generator
· Regular Expression Generator
· Shuffled Text Generator
· SQL Query Generator
· String Generator
· Table or View Generator
· Text File Generator
· Twaddle Generator
· Uniqueidentifier Generator
· Weighted List Generators

In addition to 15+ basic generators, dbForge Data Generator for SQL Server provides 190+ meaningful generators, including advanced generators, and user-defined generators.

To select a generator for a column

1. In the Tables and columns to populate pane, click a column.
2. In the Column generation settings pane, select a generator type from the Generator drop-down list box.

note Note

The Generator list features only those generators that are compatible with data type of the selected column.
3. (Optional) In the Fill Settings section of the Column generation settings pane, customize the default value generation settings. The array of settings depends on the generator type.

ExpandedToggleIcon(9x12) See Also

Generating Data for Empty Database


Generating Data for Empty Database

This topic describes how to populate an empty database using Data Generator.

The following use case demonstrates the use of Data Generator to quickly populate an empty database with meaningful test data. For this purpose, the following database called salesdb was created. The screenshot below graphically demonstrates the structure of the database, including tables, columns, connections, data types, foreign keys, etc.

To Generate test data:

1. On the Standard toolbar, click New Data Generation.
2. Specify the connection and select the salesdb database. Click Next.
3. The Options page will appear. On the Options page, set required options and click Open. The following window opens.

The window allows you to:

· select columns to be populated (in the Tables and columns to populate pane);
· select a generator you want to use for each separate column (in the Generation settings pane);
· customize parameter settings for each generator (in the Generation settings pane).

To populate all the columns, select the checkbox next to the salesdb. Alternatively, you can specify the tables that you want to populate by selecting the check boxes next to the table names.

In addition, Data Generator provides the Preview window, that shows a table with the generated data.

Selecting generators for individual columns

For a column you select, Data Generator automatically assigns a generator based on the column and table characteristics: name, data type, etc. You may select a different generator for the column and customize the parameters of this generator in the settings pane.

CustomerID column

Select the CustomerID column. The ID (sequential) generator is automatically assigned, which generates unique identifiers for the column. For this generator, along with the basic settings, you can specify the Min and Max values for the IDs to be generated.

FirstName column

Select the FirstName column. The First Name (any gender) generator is automatically assigned to this column. The generator provides realistic male first names. In the text box, you can see a predefined regexp template to generate names. The template may be customized by inserting various snippets, counters, files, and columns.

MiddleInitial column

Select the MiddleInitial column. The Middle Name generator is automatically assigned to this column. The generator provide a wide range of middle names including both the full names and initials. The values to be generated may be customized using regular expressions. For example, if you want only one-character initials to be generated, specify the [A-Z] regular expression in the text box of the settings pane. The values may also be adjusted by inserting predefined regexp snippets, counters, files, and columns.

Gender column

Select the Gender column. The Gender generator is automatically assigned to this column. The data grid in the settings pane is designed to show weight ratios and percentages of the male and female values to be generated. The weight ratios can be customized by manually altering the numbers in the data grid. The percentages will be automatically recalculated concurrently with the change of the weight ratios.

SSN column

Select the SSN column. The US Social Security Number (SSN) is automatically assigned to this column. The generator will populate the column with random numbers. You can customize the numbers in the text box using various regular expressions or by inserting regexp snippets, counters, files, and columns.

For example, with the help of regexp snippets, you can add or generate lower case and uppercase letters, hexadecimal characters, digits without a zero. You can also specify groups, alternatives, repeats, etc. of the generated values.

With the help of the counter, you may can get a sequence of digits in increment/decrement order, sequence of characters in increment/decrement order, and hexadecimal characters in increment/decrement order.

Avatar column

Select the Avatar column. The Avatar Images generator is automatically assigned to this column. The generator contains more than 150 different avatars. You can specify the fold and a subfolder to load images from, as well as select a file pattern.

ShippingMethod column

Select the ShippingMethod column. The Shipping Method generator is automatically assigned to this column. The generator provides a wide range of realworld shipping methods, such as USPS Express Mail, FedEx, DHL, Airmail Priority, etc. The list of all shipping methods is visible in the text box of the settings pane. You can customize this list manually or by adding regexp snippets, counters, columns, files from the drop-down lists below the text box.

While selecting tables and customizing generators, the Preview window displays data to be generated in real-time.

ExpandedToggleIcon(9x12) See Also

Populating Database


Populating Database

To Populate Database:

On the Data Generator toolbar, click the Populate data to the target database... button.

The Data Population Wizard opens, where you can:

· select the Open data population script in the internal editor option to add custom data to the database
· save the SQL script to a file
· execute the data population script against the database

Select the required option and click Next.

On the Options tab, configure the synchronization options. Click Next.

The Summary tab allows you to see the data population actions and warnings.

When you are setting up the tables and columns that you want to populate, SQL Data Generator displays warning and error messages to inform you when there may be a problem with the data generation.

Click Generate to finish the process.

ExpandedToggleIcon(9x12) See Also

Creating Custom Generators


Creating Custom Generators

dbForge Data Generator for SQL Server allows you to create, save, and use your own custom data generators that would better meet your needs, instead of customizing the predefined generators over and over again. You can add one or more custom generators to the existing categories: Business, Health, Location, IT, Payment, Personal, and Product.

You can create a custom generator in two ways - on the basis of a template or from scratch.

Creating a custom generator on the basis of a template

dbForge Data Generator for SQL Server is supplied with a wide collection of generator templates that can be easily used for creation of your own data generators.

To create a custom generator based on a template:

1. Open the Templates folder in C:\Users\Public\Public Documents\Devart\dbForge Data Generator for SQL Server\Data Generators.
2. Open a required template in an editor.
3. Modify the selected generator according to your needs. For more information, see the Explanation of tags and Mapping rules sections of this topic.
4. Put the generator file into the Data Generators folder.
5. Start (or restart) Data Generator.

Creating a custom generator from scratch:

The following example is based on the Regular Expression Generator, which is most frequently customized.

1. Open the Data Generators folder in C:\Users\Public\Public Documents\Devart\dbForge Data Generator for SQL Server\Data Generators.

2. In this folder, create an .xml file or copy and paste one of the existing files.

3. Edit the file to include the following code:

<?xml version="1.0" encoding="utf-8"?>
<Generators xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<Generator>
<Category>IT</Category>
<Name>Enter a generator name here</Name>
<ShortName>Enter a short name here</ShortName>
<Description>Enter a description here</Description>
<Type>SqlRegularExpressionGenerator</Type>
<Language>DE</Language>
<ColumnTypes>
<Type>varchar</Type>
<Type>char</Type>
</ColumnTypes>
<Matches>
<Match table=".*Test.*" сolumn=".*Name.*" Priority="100" minlen="4"/>
<Match table=".*Test.*" сolumn="Name" priority="90" minlen="4"/>
<Match table=".*Test.*" сolumn="Name" priority="80" minlen="4"/>
<Match table=".*" сolumn="^Addr.*Type$" priority="70" minlen="4"/>
<Match table="Language" column="Lang.*Id$" priority="60" minlen="2"/>
<Match table=".*" сolumn="^extn.*" priority="20" minlen="50" maxlen="60"/>
<Match table=".*" сolumn="^SIN$" priority="5"/>
<Match table="(Person|User|Cust|Emp|Employee)" column="SIN" priority="10"/>
</Matches>
<Options>
<Expression>Your regular expression should be here</Expression>
</Options>
</Generator>
</Generators>

4. Save the .xml file.

5. Start (or restart) Data Generator.

Explanation of tags

Tag | Description
<Category></Category> | the category a custom generator is added to
<Name></Name> | the name of a generator being added
<ShortName></ShortName> | the name of a generator that will be displayed in the Preview window
<Description></Description> | the description of a generator
<Type></Type> | the type of a basic generator on which a created generator is based
<Language></Language> | a language to assign a generator depending on a user's locale
<Matches></Matches> | auto-mapping rules
<ColumnTypes></ColumnTypes> | data types for which a generator will be available
<Options></Options> | contains other tags for configuring a generator, depending on a generator type

Mapping rules

Value | Description
table="" | a name of the matched table(s)
column="" | a name of the matched column(s)
. * | any number of characters
^ | strict beginning of a name, i.e. "^Test.*" means that the beginning of the name must be "Test", followed by any characters (the valid table names may be the following: test, testing, Test123, etc.)
$ | strict end of a name, i.e. ".*Test$" means that the end of the name must be "Test", preceded by any characters (the valid table names may be the following: test, myTest, 123test, etc.)
| | "or" listing
priority="n" | mapping priority - the rule according to which a generator is automatically assigned to a column (the higher the number, the higher the priority; for the custom generators it should be higher than 4 because the default data type generators have a priority range of between 1 and 4)
minlen="n" | the minimum permissible length of a column (the parameter is ignored for varchar(max), nvarchar(max), text, ntext, image, and varbinary(max))
maxlen="n" | the maximum length of a column (this parameter is optional; the parameter is ignored for varchar(max), nvarchar(max), text, ntext, image, and varbinary(max))

ExpandedToggleIcon(9x12) See Also

Working with Data Generator


Writing and Executing SQL Statements

ExpandedToggleIcon(9x12) In This Section

Writing SQL Statements
Basic tips on writing SQL statements ans working with SQL scripts.

Opening Large Scripts in SQL Editor
Contains information about opening large scripts in the editor.

Executing Large Scripts
Tells how to execute a large script without opening it in the editor.

Executing SQL Statements
Explains some special features for executing SQL statements.

Using Parameters
Information on how to use parameters to simplify process of editing the query.

SQL Document Shortcut Keys
Describes the shortcut keys used in dbForge Data Generator for SQL Server when working with an SQL document or stored procedure.


Writing SQL Statements

Every SQL document contains the Text view with SQL editor in it. You switch to this view to edit your SQL queries.

When you type text in SQL editor, it automatically recognizes and highlights SQL syntax.

For ease of SQL writing and reviewing, you can also use such supported shortcut keys as: CTRL+PLUS (+) KEY (to zoom the query in), CTRL+MINUS (-) KEY (to zoom the query out), CTRL+0 (to return an SQL document to the one-to-one scale).

You write and execute SQL queries not only one at a time but you may as well compose SQL scripts. SQL scripts consist of multiple SQL statements separated by the appropriate statement delimiter.

ExpandedToggleIcon(9x12) See Also

Writing and Executing SQL Statements

Executing SQL Statements


Opening Large Scripts in SQL Editor

To avoid performance slowdown, some features are disabled when working with large SQL scripts.

If script size exceeds 10 Mb, the SQL syntax highlight is disabled. It is not enabled when you reduce the script in the editor. You should reopen script to re-enable the feature.

note Note

Maximum file size the application can open depends on available memory on your computer.

ExpandedToggleIcon(9x12) See Also

Writing and Executing SQL Statements


Executing Large Scripts

Data Generator allows you to execute large scripts without opening SQL Editor and loading the whole script in memory. When you try to open a large script, you will be prompted to execute it with the help of the Execute Script Wizard.

To execute a large script:

1. On the Database menu, click ExecuteLargeScript Execute Large Script.
2. In Connection, select a connection to a required database server against which you want to execute your script.
3. In Database, select a required database from the drop-down list/
4. In File name, specify the path to the script you want to execute.
5. In SQL file encoding, ensure that the file encoding is selected correctly. The program automatically selects it basing on the script. If it fails, the default encoding (the current Windows encoding on the machine where the program is running) is selected. You can always select a required encoding from the drop-down list box.
6. Click Execute to execute the script.

ExpandedToggleIcon(9x12) See Also

Writing and Executing SQL Statements

Opening Large Scripts in SQL Editor


Executing SQL Statements

ExpandedToggleIcon(9x12) How to Run Execution

Entire Script

To execute the entire script, click the Execute button on the SQL toolbar.

Alternatively, on the SQL menu, select the Execute command.

Selected Block of Text

To execute an arbitrary text block:

1. Select the text block using the mouse or keyboard.
2. Run the Execute command as when executing the entire script. Alternatively, select Execute Selection from the shortcut menu of SQL Editor

Current Statement

To execute current statement, click the Execute Current Statement button on the SQL toolbar.

Alternatively, right-click a required statement, and select Execute Current Statement command on the shortcut menu.

Execute to Cursor

To execute script to the current position of the cursor:

1. Move cursor to the required position.
2. Click Execute to Cursor on the shortcut menu or press Ctrl+Shift+F10.

ExpandedToggleIcon(9x12) How to Stop Execution

To stop SQL execution, click Stop Execution the SQL toolbar.

ExpandedToggleIcon(9x12) Representing Query Execution Results

The query execution results can be represented in two ways - in text and in grid formats.

To represent results as text, click Results as Text on the SQL toolbar before query execution.

To represent results as grid, click Results as Grid on the SQL toolbar before query execution.

ExpandedToggleIcon(9x12) See Also

Writing and Executing SQL Statements


Using Parameters

ExpandedToggleIcon(9x12) What is a Parameter?

Parameter is a placeholder for a variable that contains a value of some type that is passed to a database server along with the SQL text at the query execution time. Also, parameter can hold values returned by a server after query or stored procedure execution.

You can benefit from using of parameters in the following situations:

· When you execute a query multiple times with different input values
· When you debug a query from your application code

ExpandedToggleIcon(9x12) Adding Parameters to a Query Text

Parameters are declared using '@' prefix followed by name of the parameter. Prefix is included to the name of the parameter.

For example:

SELECT
Employee.*
FROM
HumanResources.Employee
WHERE
Employee.Title = @Job AND
Employee.VacationHours <= @Level

@Job and @Level are parameters in this query.

ExpandedToggleIcon(9x12) Modifying Parameter Values and Types

When you run a query that contains parameters with empty values, you will automatically be prompted to initialize them.

To set parameter values and types, select Edit Parameters on the SQL toolbar, or press F8. In the opened Edit Parameters dialog box, set parameters' type, value, and other properties.

note Note

When you execute a query with preset parameter values, you will not be automatically prompted to edit them. To edit parameters, press F8 or select Edit Parameters on the SQL toolbar.

ExpandedToggleIcon(9x12) See Also

Writing and Executing SQL Statements


SQL Document Shortcut Keys

Use following shortcut keys when working with an SQL document or stored procedure.

Icon | Command Name | Shortcut Keys | Action | Where is used
Execute | Execute | F5 | Execute query associated with current document | SQL editor
PreviousSQL | Previous SQL | Ctrl+Shift+ Up Arrow | Previous SQL statement from history | SQL editor
NextSQL | Next SQL | Ctrl+Shift+ Down Arrow | Next SQL statement from history | SQL editor
History | SQL History | Ctrl+Alt+H | Open SQL History dialog | SQL editor
Parameters | Edit Parameters | Ctrl+Shift+P | Edit parameters | SQL editor
DataAsText | Redirect Data To Output Window | Ctrl+Shift+T | Show data as text in the Output window | SQL editor
IListMembers | List Members | Ctrl+J | List members | SQL editor
IListMembers | List Members | Ctrl+K, L | List members | SQL editor
ICompleteWord | Complete Word | Ctrl+Space | Complete word | SQL editor
ICompleteWord | Complete Word | Ctrl+K, W | Complete word | SQL editor
ICompleteWord | Complete Word | Alt+Right Arrow | Complete word | SQL editor
IParameterInfo | Parameter Info | Ctrl+Shift+Space | Parameter information | SQL editor
IParameterInfo | Parameter Info | Ctrl+K, P | Parameter information | SQL editor
IQuickInfo | Quick Info | Ctrl+K, I | Display quick information | SQL editor
IQuickInfo | Quick Info | Ctrl+K, Ctrl+I | Display quick information | SQL editor
Comment | Comment Selection | Ctrl+E, C | Comment selection | SQL editor
Uncomment | Uncomment Selection | Ctrl+E, U | Uncomment selection | SQL editor
 | Toggle Outlining Expansion | Ctrl+M, M | Toggle outlining expansion | SQL editor
 | Toggle All Outlining | Ctrl+M, L | Toggle all outlining | SQL editor
 | Stop Outlining | Ctrl+M, P | Stop outlining | SQL editor
 |  | Ctrl+F2 | Switch to Navigation Bar | SQL editor

These shortcuts are default shortcuts. All shortcuts can be customized.

ExpandedToggleIcon(9x12) See Also

Writing and Executing SQL Statements


Working with Command Line

This section describes how to automate data generation using the command line.

ExpandedToggleIcon(9x12) In This Section

How To: Generate Data through the Command Line
This topic explains how to use the command line interface to generate data.

Formatting Code through the Command Line
Learn how to automate code formatting using the command line.

Executing Scripts through the Command Line
Learn how to automate executing scripts using the command line.

Arguments Used in Command Line
Describes command line switches to perform required operations.


How To: Generate Data through the Command Line

You can automate data generation using the command line.

1. Click Start, type 'cmd' in the Search programs and files text box, and press ENTER. The Command Prompt opens.

2. Specify the operation you want to perform and the required parameters and arguments (actions you want to run) in the Command Prompt, for example as follows:

datageneratorsql.com /generatedata [/switch1[:value | [parameter1:value parameter2:value ..]] /switch2 ..]

3. Press ENTER to run the process.

Select corresponding command line switches to perform the required operations:

Argument

Action and Usage

/connection

This switch is used to specify a connection string. The command line looks like:

/connection:<connection_string>

/errormode

This switch is used to specify the application behavior when an error is encountered:

· to ignore all errors during the data population, specify: ignore,
· to cancel the data population if any error occurs, specify: abort.

The command line looks like:

/errormode:<ignore|abort>

/password

This switch is used to specify a password. It overrides the password specified in the connection string. The command line looks like:

/password:<pw>

/projectfile

This switch is used to specify data generation template to use. Some project options can be overridden by switches. The command line looks like:

/projectfile:<path>

expandedtoggleicon(9x12) See Also

Working with Command Line


Formatting Code through the Command Line

You can automate code formatting using the command line.

Click Start.

1. Type 'cmd' in the Search programs and files text box and press the ENTER button.

note Note

To run the Command Line in Windows 8:

From the Desktop Mode

· Move the mouse cursor to the exact lower left corner until the desktop shortcuts menu appears.
· Right-click to see the shortcut menu and than click Run.

From the Charms Bar

· Move your mouse to the upper right corner until the Charms Bar appears.
· Select Apps from the list and type “run” in the search box.
· Click Run from the search results.

Use Windows + R Shortcut Keys

· In desktop mode, press the Windows + R keys, to show the Run command line.
3. Type a path to the datageneratorsql.com file located in the dbForge Data Generator for SQL Server installation folder on your PC, and press the SPACE key.

C:\Program Files\Devart\dbForge Data Generator for SQL Server\datageneratorsql.com

4. Specify the operation you want to perform (code formatting) and the required parameters and arguments:

datageneratorsql.com /formatsql [/switch1[:value | [parameter1:value parameter2:value ..]] /switch2 ..]

Tip: To see a quick help on the arguments available in the command line, type the following:

/formatsql /?

5. Press ENTER to run the process.

note Note

You can set the unlimited quantity of the required extensions:
datageneratorsql.com /formatsql /sourcefolder:"c:\" /filextention:*.sql /filextention:*.prg /filextention:*.db1

ExpandedToggleIcon(9x12) Arguments Used in Command Line

Select corresponding command line switches to perform the required operations:

Argument | Action and Usage
/connection | This switch is used to specify a connection string. Command usage looks like: /connection:<connection_string>
/filextention | This switch is used to specify the extension of the source folder files that will be formatted. The .sql extension is selected by default. Command usage looks like: /filextention:*.<sql|prc|txt|...>
/log | This switch is used to generate a formatting log file in the specified directory. Command usage looks like: /log:<filepath>
/outputfile | This switch is used to specify the path to an output file where formatting results of the source file will be saved (in this case, the source file is saved without changing). If the parameter is not specified, the formatting results will be saved in the source file. Command usage looks like: /outputfile:<path>
/outputfolder | This switch is used to specify the patch to an output folder where the source folder files with formatting results will be saved (files form the source folder will no be changed). If the parameter is not specified, the formatting results will be saved in the source folder. Command usage looks like: /outputfolder:<path>
/password | This switch is used to specify a server password. It overrides the password specified in the connection string. Command usage looks like: /password:<pw>
/profile | This switch is used to specify the path to a file that contains settings for formatting options. If the parameter is not specified, the default settings will be applied to the formatting options. Command usage looks like: /profile:<path>
/sourcefile | This switch is used to specify the source SQL file to be formatted. Command usage looks like: /sourcefile:<path>
/soucefolder | This switch is used to specify the path to a folder where the files for formatting are located. Command usage looks like: /sourcefolder:<path>
/includesubfolders | This switch is used to include the current directory and all subdirectories in search operation. Command usage looks like: /includesubfolders

ExpandedToggleIcon(9x12) See Also

Executing Scripts through the Command Line


Executing Scripts through the Command Line

You can automate executing the scripts using the command line.

Click Start.

1. Type 'cmd' in the Search programs and files text box and press the ENTER button.

note Note

To run the Command Line in Windows 8:

From the Desktop Mode

· Move the mouse cursor to the exact lower left corner until the desktop shortcuts menu appears.
· Right-click to see the shortcut menu and than click Run.

From the Charms Bar

· Move your mouse to the upper right corner until the Charms Bar appears.
· Select Apps from the list and type “run” in the search box.
· Click Run from the search results.

Use Windows + R Shortcut Keys

· In desktop mode, press the Windows + R keys, to show the Run command line.
3. Type a path to the datageneratorsql.com file located in the dbForge Data Generator for SQL Server installation folder on your PC, and then press the SPACE key.

C:\Program Files\Devart\dbForge Data Generator for SQL Server\datageneratorsql.com

4. To execute the corresponding script, use the /execute command, and press the SPACE key.

C:\Program Files\Devart\dbForge Data Generator for SQL Server>datageneratorsql.com /execute /?

5. Specify connection details of the server where to execute the script.

C:\Program Files\Devart\dbForge Data Generator for SQL Server>datageneratorsql.com /execute
/connection:"Data Source=DBMSSQL\MSSQL2014;Integrated Security=False;User ID=sa"

6. Specify the script file.

C:\Program Files\Devart\dbForge Data Generator for SQL Server>datageneratorsql.com /execute
/connection:"Data Source=DBMSSQL\MSSQL2014;Integrated Security=False;User ID=sa" /inputfile:"script.sql"

7. Specify the password.

C:\Program Files\Devart\dbForge Data Generator for SQL Server>datageneratorsql.com /execute
/connection:"Data Source=DBMSSQL\MSSQL2014;Integrated Security=False;User ID=sa" /inputfile:"script.sql"
/Password:mypsw

8. To hide the command line window, use the /quiet command. (Useful for batch files).

C:\Program Files\Devart\dbForge Data Generator for SQL Server>datageneratorsql.com /execute
/connection:"Data Source=DBMSSQL\MSSQL2014;Integrated Security=False;User ID=sa" /inputfile:"script.sql"
/Password:mypsw /quiet

9. Press ENTER to run the process.

If you use the /argfile argument, all the following commands are specified inside an argfile:

/execute

/connection:"Data Source=DBMSSQL\MSSQL2014;Integrated Security=False;User ID=sa"

/inputfile:"script.sql"

In this case, the command line string will be written as follows:

C:\Program Files\Devart\dbForge Data Generator for SQL Server>datageneratorsql.com /argfile:myarg.txt

ExpandedToggleIcon(9x12) Arguments Used in Command Line

Select corresponding command line switches to perform the required operations:

Argument | Action and Usage
/connection | This switch is used to specify a connection string. Command usage looks like: /connection:<connection_string>
/database | This switch is used to specify a database to execute the script to. Databases specified in the script before will be ignored. It does not affect the objects specified with fully qualified names.
/inputfile | This switch is used to specify an SQL or ZIP file with the script to execute.
/password | This switch is used to specify a server password. It overrides the password specified in the connection string. Command line usage looks like: /password:<pw>
/encoding | This switch is used to specify the encoding which should be applied to open and execute the script. Command line usage looks like: /encoding:<encoding>

ExpandedToggleIcon(9x12) See Also


Arguments Used in Command Line

ExpandedToggleIcon(9x12) Arguments Used in Command Line

Select corresponding command line switches to perform the required operations:

Argument | Action and Usage
/execute | This switch is used to execute a script.
/fortmatsql | This switch formats sql file with the specified profile.
/generatedata | This switch is used to generate data with given project file.
/argfile | This switch is used to set path to a command line arguments file. Options specified in the command line have higher priority than the option which were giver in the file. Command line usage looks like: /argfile:<path>
/quiet (/q) | This switch is used to hide a console window in the console mode. It should be used after main operation switch.

expandedtoggleicon(9x12) See Also

Working with Command Line


Working with Data in Data Editor

This section describes some things you should know about manipulating data in dbForge Data Generator for SQL Server.

ExpandedToggleIcon(9x12) In This Section

Viewing Data in Grid
Describes how to use multiple grid editor's features to customize the data display and get more insight.

Editing Data in Grid
Describes how to quickly edit data using various grid editor's features.

Data Shortcut Keys
Lists useful shortcut keys for working with data.


Viewing Data in Grid

This section describes features for viewing data in dbForge Data Generator for SQL Server.

ExpandedToggleIcon(9x12) In This Section

Viewing Data in Grid Overview
Tells how to efficiently view data in Data Generator.

Sorting Data in Grid
Tells how to sort data in the grid.

Grouping Data in Grid
Tells how to use data grouping.

Filtering Data in Grid
Tells how to apply various filter conditions to filter data in the grid.

Server-side and Client-side Sorting and Filtering Data in Grid
Explains how sorting and filtering are processed on the client side and on the server side. Gives a list of problems that may be encountered.

Paginal Mode
Teaches how to use paginal mode to limit row count in the grid.

Auto-search Mode
Teaches how to use auto-search mode to quickly locate data.

Card View
Describes how to use card mode for graphical data representation.

ExpandedToggleIcon(9x12) See Also

Working with Data in Data Editor

Editing Data in Grid


Viewing Data in Grid Overview

Data Editor allows you to view and quickly edit data right in the grid.

To retrieve data, do any of the following:

· Click Results as Grid on the SQL toolbar before executing a query that returns data.
· Open a table or view editor and switch to the data view.
· Drag the table or view from the database explorer to the Data window.

note Note

If you want to retrieve all data from a table with a large number of records, a message warning you about the possibility of the "Out of memory" exception is shown, and you can choose either of the following actions - continue retrieving data, cancel retrieving data, or turn on Paginal Mode. By default, Paginal Mode is enabled in data view with 1000 records per page, so only 1000 records are displayed at once. For more information, see Paginal Mode.

To simplify data analysis, you can use the following features:

· Grouping Data in Grid
· Sorting Data in Grid
· Filtering Data in Grid
· Paginal Mode
· Card View
· Auto-search Mode
· Data Viewer and Editor

ExpandedToggleIcon(9x12) See Also

Viewing Data in Grid

Sorting Data in Grid


Sorting Data in Grid

By default, Data Generator retrieves unsorted data from tables if the Retrieve Data option was used. If data was retrieved after executing an SQL statement, it will be sorted according to the operators used in this statement (in case operators are sorting-related, e. g. ORDER BY).

To sort data

To sort data in grid or to change the sort order, click the header of a column. Alternatively, right-click a column header, and then click Sort Ascending or Sort Descending on the shortcut menu.

To assign a secondary sorting, click another column header, while holding down the SHIFT key. You can set as many sorting columns as you need. To stop sorting on a certain column, click it while holding the CTRL key.

To clear column sorting, click the Clear Sorting option on the table shortcut menu.

The current sort order of a column is indicated by the sort glyph (a small arrow displayed at the column header's right edge). If data is sorted in ascending order, the sort glyph represents an up-arrow. When sorting in descending order, the sort glyph is displayed as a down-arrow. If the column isn't sorted, the sort glyph is hidden.

note Note

Actual document look may slightly vary from the above image, depending on the product you use.

ExpandedToggleIcon(9x12) See Also

Viewing Data in Grid

Grouping Data in Grid


Grouping Data in Grid

To group data by column, click ShowGroupByBox Show Group by Box on the document toolbar. The Group by Box pane will appear above the grid. Drag a column header you want the data to be grouped by to the pane.

Alternatively, right-click the required column header and click Group By This Column on the shortcut menu. The data is automatically displayed in groups marked with collapsed nodes. The column header is moved to the Group By Box pane.

note Note

Actual document look may slightly vary from the above image, depending on the product you use.

Group By Box is the area above the data grid where you can see the grouping order and perform further grouping-related operations. Drag a column header to Group By Box to group the data by that column. You can group the data by multiple columns. In this case the grid will display a tree of nested groups that you can expand by clicking '+' buttons. To collapse the groups, click '-' buttons.

To expand or collapse all groups at once, right-click the Group By Box pane, and then click Full Expand or Full Collapse on the shortcut menu.

To cancel grouping by column, drag-and-drop the column header from the Group By Box pane to the grid or right-click the column header, and then click Ungroup from the shortcut menu.

To remove all groupings, right-click Group By Box, and then click Clear Grouping on the shortcut menu.

ExpandedToggleIcon(9x12) See Also

Viewing Data in Grid

Filtering Data in Grid


Filtering Data in Grid

ExpandedToggleIcon(9x12) Hiding Data of a Column

1. Right-click the required column, and then click Visible Columns on the shortcut menu. The Visible Columns dialog box opens.
2. Clear the check box next to the column you want to hide in the grid.
3. Click OK to close the dialog box and apply the filter condition.

ExpandedToggleIcon(9x12) Filtering Data by Column

· On a column header, click the filer-button Filter button. Select the filter value from the drop-down list box. The box includes a set of values encountered in the column and the universal items such as All, Custom, Blanks, and Non Blanks.
· Right-click a column, and point to Quick Filter on the shortcut menu, and then click the required filtering condition.

quickfilter

When the data is filtered, the column Filter button will be changed to active-filter to indicate the applied filter. The filter condition appears at the bottom of the grid providing you a one-click quick access to the filter condition parameters. You can manage them in the following ways:

· To remove all filter conditions, click cancel-filter at the bottom of the grid. To remove the filter condition of a column, right-click this column and click Clear Filter on the shortcut menu.
· To switch from the filtered data to the full data display, clear the [image] check box at the bottom of the grid.
· To edit the filter condition, click edit-filter . The Filter Editor dialog box opens.

ExpandedToggleIcon(9x12) Applying a Custom Filter Condition to Column

1. Right-click the required column, point to Quick Filter on the shortcut menu, and then click [image]. The Filter Editor dialog box opens.
2. Choose a relation type and type values to build a filter.

filtereditor-oracle

Filter conditions in the Filter Editor dialog box are displayed as a tree with condition and group nodes. A group consists of several conditions or subgroups, united with a logical operator. To change a group logical operator, click it and select another one from the menu. To navigate between conditions and groups, use the UP ARROW and DOWN ARROW keys. To navigate between a condition column, a criteria operator and an operand value, use the LEFT ARROW and RIGHT ARROW keys.

To remove a condition, click FilterGreyDel or navigate to the condition and press the DELETE or MINUS SIGN key. To remove a group, click its logical operator and select the Remove Group from the appeared menu. You can copy, cut, and paste conditions and groups with CTRL+C, CTRL+X, and CTRL+V keys.

3. Click OK to apply the filter condition to the data in the grid.

ExpandedToggleIcon(9x12) Creating a New Filter Condition

1. Create a new group:
· Click the upper-level group operator and select Add Group from the menu.
· Press CTRL+PLUS SIGN.
2. Create a new filter condition by doing one of the following:
· Click the upper-level group operator and select Add Condition from the menu.
· Navigate to a group you want to enhance, and press INSERT or PLUS SIGN key.
· Click FilterGreyAdd of the group you want to enhance.
3. Click the condition column, and then and select the column you need from the menu.
4. Click the condition criteria operator and select the criteria operator you want to apply.
5. If the condition operator requires operand values, specify them.

ExpandedToggleIcon(9x12) See Also

Viewing Data in Grid

Server-Side and Client-Side Sorting and Filtering


Server-Side and Client-Side Sorting and Filtering

In Data Generator, sorting and filtering of data can be performed on the client or on the server side.

If there are not many records in a table, they are all shown in the result grid after retrieving data from a table or after executing a SELECT statement. If you want to sort these records or use a filter, the filtering and sorting procedures are performed on the client side and all available records are processed.

But if there are many records in a table, they are not displayed after executing a SELECT statement or retrieving data at once, because such action can cause hanging of the client machine or some other problems associated with too much data to operate.

The other case when not all records are displayed in the grid, is when Paginal Mode is on and there are more records then the number of records displayed on one page. In these cases, if you perform client-side sorting or filtering, only records available on the client machine are processed. That means you will not get a complete result of filtering or sorting. That's why Data Generator performs server-side filtering or sorting when not all records can be displayed in the grid.

When server-side filtering or sorting is performed, the application sends a query that is a modification of the starting query to the server. The shortcoming of this way is that server resources are taken, but the benefit is that a user will get a complete result of sorting or filtering.

But once all records are received, for example, after pressing CTRL+END or scrolling to the end, server-side filtering and sorting is turned off and client-side filtering and sorting is used.

Problems that may occur during server-side sorting and filtering:

In some cases the application can not modify the starting query to send it to the server and perform server-side sorting or filtering. These cases are the following:

· There is an expression without alias in a SELECT clause. Actually this is a restriction of MS SQL Server - one cannot modify a query that contains a statement without an alias in a SELECT clause. And if there is no alias for a column, one cannot sort or filter data in other columns as well, until all data is fetched or an alias is given.
· There is a query with an ORDER BY clause. In this case no server-side filtering can be performed, and it is a SQL Server restriction.

ExpandedToggleIcon(9x12) See Also

Viewing Data in Grid

Paginal Mode


Paginal Mode

Paginal Mode splits data into pages and is used for displaying data with large number of records.

To enable Paginal Mode, click Paginal Mode.

To configure the number of record per a page, type or select the value from the Page Row Count drop-down list box.

To navigate through pages, use the corresponding buttons on the document toolbar.

Paginal mode toolbar buttons

By default, Paginal Mode is enabled for data views with 1000 records on a page, so only 1000 records are displayed at once. You may change default settings on the Data Editor, General tab of the Options window.

note Note

Paginal Mode can also be enabled by clicking the corresponding button on a message received when retrieving data from a table that has large number of records.

note Note

If not all records are displayed on one page when Paginal mode is on, the warning icon Caution is shown on the status bar. If you move the mouse pointer onto the icon, a notification informing that the data is split into pages will be shown.

ExpandedToggleIcon(9x12) See Also

Viewing Data in Grid

Auto-search Mode


Card View

Data Editor allows you to view, edit, and print data in the Card View mode. In the Card View mode, each data row is represented as a card with caption 'Record N' and number.

To enable the Card View mode, click the Switch to Card View button on the Data Editor toolbar. To return the grid view mode, click the Switch to the Grid View button on the Data Editor toolbar.

You can view or edit data in the same way as in the grid mode. Data cards can be expanded and collapsed with help of corresponding button on a caption.

To sort or filter data in the card mode, click the Customize button, and then click either Sort, or Filter next to a column.

To customize the column display in cards, click the Customize button and select or clear check boxes next to the required columns.

Card View

ExpandedToggleIcon(9x12) See Also

Viewing Data in Grid

Editing Data in Grid


Auto-Search Mode

Auto-search mode allows you to search column data.

To enable or disable the Auto-Search mode, do any of the following:

· Press CTRL+I keys.
· On the Data menu, click Auto-search mode.
· Click Auto-search mode on the Data Editor toolbar.

To search for the data, select a cell in a column, and type first letters of the required data. If you made a mistake when typing, press BACKSPACE and type the string again.

To navigate to the next entry, press CTRL+DOWN keys. To return to the previous entry, press CTRL+UP. The entries will be highlighted.

ExpandedToggleIcon(9x12) See Also

Viewing Data in Grid

Card View


Editing Data in Grid

This section describes how to effortlessly edit data in dbForge Data Generator for SQL Server.

ExpandedToggleIcon(9x12) In This Section

Editing Data in Grid Overview
The topic describes how to quickly edit data using various grid editor's features.

Cached Updates
This topic explains how to use cached updates mode.

ExpandedToggleIcon(9x12) See Also

Working with Data in Data Editor


Editing Data in Grid Overview

When dbForge Data Generator for SQL Server executes any statement returning a result set, the retrieved data is displayed in the Data Editor of the data view of the same SQL document. This topic shows how to edit the data in grid; for information about customizing data grid, as well as sorting, grouping and filtering, visit Viewing Data in Grid topic.

ExpandedToggleIcon(9x12) To insert, delete, copy and paste data:

Use the shortcut menu or the corresponding buttons under the grid. For example, you can do the following:

· To insert NULL (instead of empty string), select Set Value To, Null on the shortcut menu. You can also use the CTRL+0 key combination.
Tip: Use Set Value To menu to quickly set an empty string, zero, or a current date.

· To add a new record, select the Append option from the shortcut menu or click the Append Append button under the grid. To delete a record from the grid, select the Delete option from the shortcut menu or click the '-' button under the grid or press CTRL+DEL keys.
· To copy and paste cell values, use the corresponding options from the shortcut menu.

ExpandedToggleIcon(9x12) To select data:

You can easily select and copy the data just like cells in a spreadsheet. Do either of these actions:

· Move the mouse pointer across the grid holding the left mouse button
· Click the first cell of the data range, press SHIFT, and, holding the SHIFT key, click the last cell. A rectangular range of cells will be selected.

Tip: Using the CTRL key, you may include and exclude cells to selection. Any number of rows may be copied and pasted to some other application, for example, a spreadsheet, but when you paste data in data grid, only the first row will be pasted.

note Note

Actual document look may slightly vary from the above image depending on the product you use.

note Note

Some queries return read only data, for example, queries with aggregate functions (count, avg etc.), or data, retrieved from non-updatable views. Such data can't be edited. It is also impossible to edit the result of executing of the script with several select statements.

ExpandedToggleIcon(9x12) Row and cell indicators

When working with grid, you can see special indicators near to the focused cell. These indicators reflect current editing state.

The row is focused.

The row has been edited.

Incorrect value was entered into a cell. You must either fix the value or press the ESCAPE key to cancel changes made to the cell.

ExpandedToggleIcon(9x12) See Also

Editing Data in Grid

Cached Updates


Cached Updates

Cached updates mode allows you to control data editing within single database object. For the object you have turned this mode on, updates are stored locally on the client side until you click the Apply Changes button. If you do not need the changes to be applied, click the Cancel Changes button. When you close the document in the cached updates mode, you cancel all changes made since the last Apply command.

ExpandedToggleIcon(9x12) See Also

Editing Data in Grid

Working with Data in Data Editor


Data Shortcut Keys

Use following shortcut key combinations when working with data in the Data Editor or data view of an SQL document.

Icon | Command Name | Shortcut Keys | Action | Where is used
AutoSearch | Auto-search mode | CTRL+I | Data auto-search mode | Data Editor
RefreshButton | Refresh | F5 | Refresh Data view | Data Editor
RefreshButton | Refresh | CTRL+R | Refresh Data view | Data Editor
 |  | CTRL+HOME | Focus on first record in data grid | Data Editor
 |  | CTRL+END | Focus on last record in data grid | Data Editor
 |  | CTRL+DELETE | Delete currently selected row in data grid | Data Editor
 |  | INSERT | Insert new record in data grid | Data Editor
 |  | CTRL+0 | Insert NULL value in current cell | Data Editor

These shortcuts are default shortcuts. All shortcuts can be customized.

ExpandedToggleIcon(9x12) See Also

Working with Data in Data Editor


User Interface Concepts

expandedtoggleicon(9x12) In This Section

Using Documentation
The topic explains how to use the current manual.

User Interface Elements
This topic provides you with basic information about managing your environment workspace.

Working with Text Editor
This topic explains how to work with the Text Editor.

Customizing Window Layout
This section provides information about window layouts and their customization.

Manipulating Documents
The topic describes how to manipulate documents in Data Generator.

Customizing Environment
This topic contains information on customizing environment to simplify your work and save time.

Find and Replace Text and Code
This section describes how to use Find and Replace utility.


Using Documentation

The application documentation is available from the official Devart website in the following formats:

· Online
· Offline CHM file (you can download it on the Download section of the product)

There are several ways to navigate through documentation:

· F1 Search
· Search
· Contents

expandedtoggleicon(9x12) F1 Search

F1 provides context help for the active window, dialog box. It always returns no more than one page.

expandedtoggleicon(9x12) Search

Use Search to return all documents that match any specified term or a set of terms.

expandedtoggleicon(9x12) Contents

The table of contents shows all documentation topics in a hierarchical tree view structure and provides a convenient way to browse help. If you opened topic from index or search or from the link and you want to know where this topic is located, use the Locate button or switch to the Contents tab.

expandedtoggleicon(9x12) See Also

Customizing Environments

User Interface Elements


User Interface Elements

This topic provides you basic information about managing your environment workspace. Environment workspace consists of toolbars, tool windows, menus and document area. To personalize menus and toolbars and to adjust their behavior to your needs, point to Toolbars in the View menu, and click Customize.

expandedtoggleicon(9x12) Toolbars

A toolbar is a container for a group of commands or controls that are typically related in their function.

Data Generator supports dockable toolbars. A dockable toolbar can be attached, or docked, to any side of its parent window, or it can be detached, or floated, in its own mini-frame window. This article explains how to use dockable toolbars in your applications.

Note Note

If you drag a toolbar to the right or left side of the window, toolbar drop-down lists or combo boxes will not be available. For example, if you drag the Connection toolbar to the right or left side of the window, the Connection box will not be available.

expandedtoggleicon(9x12) Menus

The environment has a set of toolbars where reside buttons, using which you can accomplish most frequent tasks. The toolbar you can access depends on kind of document currently active. If it is not visible, right-click on toolbars area and choose one from the shortcut menu.

You can control which toolbars are allowed to appear, and which must be always visible. By default, when you switch between views or documents, corresponding toolbars appear and disappear. When a toolbar is visible, right-click on toolbar area and deselect its item in the shortcut menu to prevent it from showing even if corresponding view is active. If you want to make a toolbar always visible, select it in the shortcut menu, when corresponding document or view is not active. To return a toolbar to its default state select it in the shortcut menu when corresponding document or view is active. You can edit any toolbar, delete, or add your own in Customization dialog box. To open it choose Customize from a toolbar shortcut menu.

expandedtoggleicon(9x12) Document Area

Document area typically displays SQL code or diagrams. Document area size can be manipulated by resizing docked tool windows. To free more space for documents, you can put docked tool windows to auto-hide mode by clicking the pushpin icon on the title bar of the window.

You can arrange documents in tab groups in document area. To create a tab group or move document to another tab group just drag a document to a drop point. Dragging a document to an arrow drop point will create new tab group; dragging it to the tab group central drop point will move the document to this tab group.

Multiple documents can be organized into horizontal or vertical tab groups for organizing a workspace for working with several documents at the same time. New document tab group can be created either by dragging document to the required place or by selecting New Horizontal Tab Group or New Vertical Tab Group from the document header shortcut menu.

Documents can be moved between tab groups by dragging-n-dropping or by selecting required command from the shortcut menu. You can expand a tab group to the whole document area and restore document tab groups' sizes by selecting Prominent from the document header shortcut menu.

expandedtoggleicon(9x12) Switching Between Windows

This section contains information about how to switch between documents and tool windows.

To cycle through open documents, use CTRL+TAB or CTRL+SHIFT+TAB key combinations. Press CTRL+TAB to switch to previously used document. Pressing CTRL+TAB again will return you to current document. Hit TAB key while holding CTRL key to cycle through recent documents stack. You can also use CTRL+SHIFT+TAB combination to browse documents in another direction.

To navigate from the current document tab to the next tab, use CTRL+ALT+PGDOWN key combination. To navigate from the current document tab to the previous tab, use CTRL+ALT+PGUP key combination.

You can also switch between documents in the following ways.

· By clicking document titles.
· By clicking the down arrow near the right upper corner of the document area and selecting document name from the appeared menu.
· By selecting document from the Window menu.
· By selecting document in the Windows dialog and clicking the Activate button.

To activate a tool window, use its shortcut key.

expandedtoggleicon(9x12) Switching to another skin

dbForge Data Generator for SQL Server provides you several types of a skin. To switch to another skin, on the Tools menu, choose Skin, and then click the skin name you like.

The following skins are available in dbForge Data Generator for SQL Server:

· Visual Studio 2013 Blue
· Visual Studio 2013 Light
· Visual Studio 2013 Dark
· Visual Studio 2010
· Metropolis
· Metropolis Dark
· Office 2010 Silver
· Office 2010 Blue
· Office 2010 Black
· Office 2013
· Office 2013 Dark Gray
· Office 2013 Light Gray
· Windows 7

expandedtoggleicon(9x12) See Also

Using Documentation

Working with Text Editor


Working with Text Editor

The text editor is the word processor of the Data Generator. When the text editor is used to edit text, it is referred to as the text editor. When it is used to edit SQL source code, which is its more common use, it is referred to as the code editor. You can open multiple code editors to view or/and edit code. A list of all documents open for editing in instances of the code editor is available on the Windows menu.

To open the Text editor:

1. On the File menu, click New, and then click File. (Alternatively, on the Standard toolbar, click the New File button.)

2. The New File dialog box opens.

3. Select either the Text file or the XML file form the General Files section.

The only difference between XML and text editors is that XML editor provides syntax highlighting for XML code. You can customize XML highlighting and coloring in Fonts and Colors, Text Editor, Options Dialog Box.

expandedtoggleicon(9x12) User Interface

Code pane
The area where code or text is displayed for editing. It provides SQL statement completion.

Indicator margin
A gray column on the left side of the code editor where indicators for breakpoints and bookmarks are displayed. Clicking this area sets a breakpoint on the adjacent line of code.

Selection margin
A column between the indicator margin and the editing window where you can click to select lines of code.

Horizontal and vertical scroll bars
Lets you scroll the code pane horizontally and vertically so that you can view the code that extends beyond the viewable edges of the pane.
expandedtoggleicon(9x12) Text Editor Toolbar

The Text Editor toolbar contains tools related to the code completion features, commenting and uncommenting of code, bookmarks, etc.

Display an Object Member List
Displays a list of valid databases, tables, columns, and other database objects. When a member from the list is selected, you can insert that member into your code by pressing TAB, or by typing a space or period.

Display Parameter Info
This feature opens the Parameters list to give you information about the number, names, and types of parameters required by a function or attribute. The Parameters list also displays parameter information for nested functions. If you type a function as a parameter to another function, the Parameters list displays the parameters for the inner function. Then, when the inner function Parameters list is complete, the Parameters list reverts to displaying the outer function parameters.

To view Parameter Info for functions:

1. After the name of a function, type an open parenthesis as you normally would to open the Parameters list.
2. Data Generator displays the complete declaration for the function in a pop-up window just under the insertion point. The first parameter in the list appears in bold.
3. As you type the function parameters, the bold changes to reflect the next parameter that you need to enter.
4. Press ESC at any time to close the list, or continue typing until you have completed the function.
5. Typing the closing parenthesis also closes the Parameters list.

Display Quick Info
This option displays the complete declaration for any identifier in your code.

You can manually invoke Quick Info feature as follows:

1. On the Edit menu, click Code Completion, and then click Quick Info.
2. Use the keyboard shortcut CTRL+K, CTRL+I.
3. Select the Quick Info toolbar button from the Text Editor toolbar.

Display Word Completion
Complete word types the rest of a variable, command, or function name once you have entered enough characters to disambiguate the term. Type the first few letters of the name, and then press ALT+RIGHT ARROW or CTRL+SPACEBAR.

Refresh Local Cache
If you are writing a query on a database while someone else is making changes to the structure of that database, the suggestions offered by Data Generator may become out of date. For instance, if someone has added several tables to a database while you have been connected to that database, these tables will not appear in the suggestions box. To reload the database objects, click Refresh Suggestions. Refreshing suggestions applies only to the database to which you are currently connected.

Reset Suggestions Cache
If you connect to a number of different databases during the same session, Data Generator will load all the objects for each database as required, without unloading any of the previously stored objects. This means that you can go back to previous queries and continue to see suggestions for any database to which you have previously connected.
Data Generator loads database objects into its memory whenever you connect to a database, in order to display suggestions from that database. If you connect to several databases with a large number of objects, this may eventually result in running out of memory. To reset the memory at any time, click Reset Suggestion Cache.

Decrease Line Indent
Removes a tab (or the equivalent spaces) from the selected lines or the current line.

Increase Line Indent
Adds a tab (or the equivalent spaces) to the selected lines or the current line.

Comment out the selected lines
Adds comment characters to the selection or the current line.

Uncomment the selected lines
Removes comment characters from the selection or the current line.

Toggle a bookmark on the current line
Adds or removes a bookmark on the selected line of the document in the active Editor. Does not alter the line of code bookmarked.

Move the caret to the previous bookmark
Selects the previous bookmark. When the first bookmark is reached, jumps ahead to the last one.

Move the caret to the next bookmark
Selects the next bookmark. When the last bookmark is reached, jumps back to the first one.

Clear all bookmarks in current document
Removes all the bookmarks in the current document.

Format Document
Automatically formats SQL code in the currently opened document.

expandedtoggleicon(9x12) Selecting text and code

You can quickly select a single word, line of text, or multiple paragraphs while you work with code in the editor. Keyboard shortcuts also let you select text starting from the cursor to any other point in your document.

To select text:

· To select any amount of text, just drag the mouse over the text.
· To select a word, either double-click a word or put your cursor next to word and press CTRL+SHIFT+ either RIGHT ARROW or LEFT ARROW.
· To select a line of text, drag the mouse over a line.
· To select text from the cursor to the start or end of the line, press SHIFT+ either HOME or END.

expandedtoggleicon(9x12) Editing text and code

The Editor allows you to manipulate text in the same ways as most word processing applications or text editors. For example, you can:

· Copy and Paste text or code inside the editor and between several Editors or between the Editor and other text editing applications.
· Put the Code Editor into the overstrike mode using the INSERT key
· Use the DELETE and BACKSPACE keys to remove text or code

expandedtoggleicon(9x12) Navigating text and code

There are various ways to move through text or code in the Code Editor using the mouse and navigation keys:

· Use the arrow keys to move one character at a time, or the arrow keys in combination with the CTRL key to move one word at a time. Arrow keys move one line at a time also.
· Click a location with the mouse.
· Use the scroll bars or scroll wheel on the mouse to move through the code.
· Use the HOME, END, PAGEUP, and PAGEDOWN keys.
· Use CTRL+PAGE UP and CTRL+PAGE DOWN to move the insertion point to the top or bottom of the window, respectively.
· Use CTRL+UP ARROW and CTRL+DOWN ARROW to scroll the view without moving the insertion point.

Go to Line command

Use the Go to Line command to a specific line number:

1. In the General, Text Editor, Options Dialog Box, select the Line Numbers option.
2. With a document open in the Editor, select Go to Line from the Edit menu.
3. Enter the line number you want to move to.

expandedtoggleicon(9x12) Change Text Case in the Editor

You can use menu commands or keyboard shortcuts to convert the case of selected text to all upper case or to all lower case.

To switch text to upper case:

1. Select the text you want to convert.
2. On the Edit menu, select Advanced.
3. To convert text to all upper case, choose Make Uppercase, or press CTRL+SHIFT+U.

To convert text to all lower case, choose Make Lowercase, or press CTRL+U.

expandedtoggleicon(9x12) Setting Bookmarks

As the name suggests, bookmarking accelerate your code navigation in the text editor.

There may be some piece of code where you need to move to very frequently. Generally, you scroll the page and move to that section, but Data Generator provides great features by which you can move to a particular section very quickly using some shortcut keys. This is called Bookmarking of Code.

You can place a bookmark by clicking on the bookmark icon or use CTRL + B, CTRL + T.

To create or remove a bookmark using the Text Editor toolbar:

1. Open a file in the Editor.
2. Place the insertion point on the line you want to bookmark.
3. Click the Toggle a bookmark on the current line button on the Text toolbar.

To move to a bookmarked line:

1. Scroll to the bookmarked line.
2. On the Text toolbar, the Move the caret to the previous bookmark and Move the caret to the next bookmark buttons are enabled.
3. Click these buttons to navigate to bookmarks in files within the current solution or project.

expandedtoggleicon(9x12) View White Space and Word Wrap

You can turn View White Space and Word Wrap modes on or off by selecting corresponding commands from the Advanced submenu of the Edit menu.

View White Space mode displays spaces and tab characters.

Word Wrap automatically displays any portion of a line that extends horizontally beyond the viewable editor area on the next line.

expandedtoggleicon(9x12) Text Indenting

The Editor provides text indenting functionality. You can set the indent at some line, thus when you press ENTER, this indent is set at the next line. To change line indenting use Increase Line Indent and Decrease Line Indent options.

To increase or decrease indenting perform the following actions:

1. Select the text you want to indent.
2. On the Edit menu, select Advanced.
3. Select Increase Line Indent or Decrease Line Indent to manage the indentation.

collapsedtoggleicon(9x12) Code Outlining

SQL Editor allows you to hide parts of code. Outlining marks are shown left of the code editor window. Code blocks which belong to the same structural item can be collapsed by using the minus (-) symbol. Outlined code is not deleted, it is merely hidden from view.

You can then expand the outlined statement or user-defined region by clicking the plus sign (+) next to the symbol.

Outlining SQL Statements

The statement is outlined in the following cases:

· it spans over two or more lines
· it is a create statement

Nested SQL statement (for example, SELECT in CREATE VIEW) is outlined only if it starts from the new line.

Statement is not outlined if it is very short and takes only one line of code. Stored code condition and cycle operators are not outlined; the same is about nested BEGIN ... END blocks.

User-defined Outlining Regions

You can outline code block using Regions.

To create the region, type #region command at the start line of the region. No symbols except spaces are allowed at the same line before #region command. Region may have the name, so simply specify it after space at the same line. Each region statement has to be closed by the #endregion command. Type #endregion at the beginning of the line determining the region end.

You can create named regions using the #region <region name> and #endregion <region name> commands.

SQL code block, grouped by the specified region can be collapsed/expanded by user. You can create nested regions to operate several SQL code blocks.

expandedtoggleicon(9x12) See Also

User Interface Elements

Find and Replace Text and Code


Customizing Window Layout

This section provides information about window layouts and their customization.

expandedtoggleicon(9x12) Closing and Displaying Tool Windows

When a tool window is closed, it becomes invisible but preserves its content, that will be available when the window is opened again. Most tool windows are listed in the View menu and can be opened by selecting corresponding View menu command. Other tool windows are listed in Database menu. You can also use shortcut keys to display certain tool windows.

All layout changes are saved when you close the application and restored when you open it again.

expandedtoggleicon(9x12) Auto-hide Mode

Tool window auto-hide mode allows you to minimize tool windows along the edges of the application window, freeing more space for the document area.

To turn on auto-hide mode, perform one of the following.

· Activate the window and select Auto Hide from the Window menu
· Right-click the window title and select Auto Hide from the shortcut menu
· Click on the pushpin icon on the title bar of the window

When tool window is in auto-hide mode, it shows when you point on it and hides when you click somewhere out of the window. You can turn auto-hide mode on for all docked tool windows to free all the workspace for document area. To do it, select AutoHide All from the Window menu.

expandedtoggleicon(9x12) Layout Saving and Restoring

All layout changes are saved when you close the application and restored when you open it again. To restore layout to its default state select Reset Window Layout from the Windows menu.

expandedtoggleicon(9x12) See Also

User Interface Concepts

Manipulating Documents


Manipulating Documents

The topic describes how to manipulate documents in Data Generator.

expandedtoggleicon(9x12) Managing Documents

The Windows Dialog Box allows you to switch between documents and manage them. To open it, select Windows from the Window menu. This dialog allows you to save and close multiple documents at once, and activate required document.

To save document(s) select required document(s) and click the Save button.

To close document(s) select required document(s) and click the Close Window(s) button.

note Note

To close an opened document, click the document title with middle mouse button (mouse wheel).

To activate required document, select the document and click the Activate button.

expandedtoggleicon(9x12) Navigating through the Document Views

Each SQL document includes different representations of the content - document views.

To switch to a specific view, click a button with the view name on the bottom pane of the document. Alternatively, select the required view from the shortcut menu of the document bottom pane.

You can also cycle through available views with the F7 key.

expandedtoggleicon(9x12) Working with Document Tab Groups

Multiple documents can be organized into horizontal or vertical tab groups for organizing a workspace for working with several documents at the same time. New document tab group can be created either by dragging document to the required place or by selecting New Horizontal Tab Group or New Vertical Tab Group from the document header shortcut menu.

Documents can be moved between tab groups by dragging-n-dropping or by selecting required command from the shortcut menu.

expandedtoggleicon(9x12) Restoring Tabs

Document tabs can be saved to cash and eventually be restored after the application crush or accidental closing. To customize the tab restore options, on the Tools menu, select Options. In the Options dialog box, expand Environment, then expand Documents and select Restore. Set the time after which the data will be saved automatically and select restartable file types.

Document tabs will be restored automatically at the run of the application.

expandedtoggleicon(9x12) Document Header Shortcut Menu

The document header shortcut menu includes the following options:

Save <Name>.sql
Saves a current SQL document.

Close
Closes a current document.

Close All But This
Closes all documents excepting the selected one.

Copy Full Path
Copies the full path for the document.

Open Containing Folder
Opens the folder containing the document.

Float
Detaches the window.

New Horizontal Tab Group
Creates new horizontal tab group.

New Vertical Tab Group
Creates new vertical tab group.

expandedtoggleicon(9x12) See Also

Customizing Window Layout

Customizing Environment


Customizing Environment

The environment provides many useful shortcut key combinations to speed up your work. Default shortcut settings are similar to shortcuts in Visual Studio. Default keyboard mapping schema can be changed to the one similar to Visual C++ 6.0 or to Delphi. There are some more keyboard mapping schemas. Moreover, you can assign your own shortcut keys to every action.

Shortcuts can be changed on the Keyboard, Environment, Options dialog box.

To access this dialog box:

1. In the Tools menu, click Options. The dialog box appears.
2. Expand the Environment section, and click Keyboard.

expandedtoggleicon(9x12) Choosing a keyboard mapping schema

You can select a keyboard mapping schema from the Apply the following additional keyboard mapping scheme drop-down list on the Keyboard page of the Environment section in the Options dialog box.

expandedtoggleicon(9x12) Determining and removing the shortcut key combination for a command

To determine or remove the shortcut key combination for a command perform the following actions.

1. On the Keyboard, Environment, Options dialog box, enter the command name without spaces or a part of it in the Show commands containing box.
2. In the list, select the correct command.
3. Shortcuts for selected command drop-down list now contains the assigned key combination for the command if any combinations exist. You can view them in the list.
4. If you want to remove the combination, select a command in the list, and click the Remove button.

expandedtoggleicon(9x12) Assigning custom shortcut key combination for a command

To assign a shortcut key combination for a command:

1. On the Keyboard, Environment, Options dialog box, enter the command name without spaces or a part of it, in the Show commands containing text box.
2. In the list, select the correct command.
3. On the Use new shortcut in drop-down list, select the feature area where you want to use the shortcut.
4. Place the cursor in the Press shortcut keys box, and press the key combination to set for the selected command. The combination will be displayed in the box.
5. Click Assign.

expandedtoggleicon(9x12) See Also

Customizing Environment

© 2015-2017 Devart


Find and Replace Text and Code

This section describes how to use Find and Replace utility.

expandedtoggleicon(9x12) In This Section

Finding and Replacing Text
The topic explains how to finding and replacing text in a file.

Searching and Replacing Text in Files
The topic describes searching and replacing text in files techniques.

Using Incremental Search
The topic explains how to use incremental search to find required text in a file.

Regular Expressions for Find and Replace
The topic explains how to use regular expressions while searching.

Wildcards for Find and Replace
The topic explains how to use wildcards while searching.


Finding and Replacing Text

You can find and replace text using Find and Replace window. To open this window press CTRL+F or CTRL+H. These techniques allow you to control the scope of find and replace and choose the method of reviewing search matches and replacements.

You should consider the following information when you search and replace text:

· Options set in the Find and Replace window are global; certain options selected in one dialog box are selected for all the dialogs. These options are Match case, Match whole word, Search all open documents, Search hidden text, Search up, Wildcards, and Regular Expressions.
· Undo is available only for documents left open after a replace operation.
· Undo for a Replace All operation rolls back all replacement changes in the current document.

You can search one or more open files or windows and move through the search matches one by one using the Find and Replace window. This technique allows you to review each individual search match in the context of the text around the match.

To search current document, current project, or all open documents:

1. Open the items you wish to search.
2. Press CTRL+F and switch to Find mode if necessary.
3. In the Look in box, select 'Current Document', 'Current Project' or 'All Open Documents'.
4. In the Find what text box, enter the text you intend to search for.
5. Select additional search options to increase the accuracy of the search.
6. Click Find Next to start the search and continue choosing Find Next until the last file has been searched.

note Note

You may search in the Output or Data Viewer and Editor windows in the same way. Just select Current Window on the step 3. In the Data Viewer and Editor window you may search both hex code and text. Hex code can be searched only when no wildcards or regular expressions are used.

When the search passes the beginning or end of the document, a message is displayed in the status bar. A message box appears when the search reaches the starting point of the search.

To replace in the current document or in all open documents:

1. Open the items you wish to search.
2. Press CTRL+H and switch to Replace mode if necessary.
3. In the Look in box, select 'Current Document', 'Current Project' or 'All Open Documents'.
4. In the Find what text box, enter the text you intend to search for.
5. In the Replace with text box, enter the text with which you intend to replace the search text.
6. Click Replace and continue clicking Replace until the last match in the last file has been replaced. Use Find Next to skip a match you do not want to replace.

You may click Replace All to replace all matches. A message box appears, listing the total number of replacements. The Replace All command replaces all search matches, including those you have skipped with the Find Next button. To reverse Replace All, choose Undo from the Edit menu in each changed file before closing any of the files.

expandedtoggleicon(9x12) See Also

Find and replace text and code

Searching and Replacing Text in Files


Searching and Replacing Text in Files

You can use the Find and Replace in Files window to perform search and replace operations. To open this window press CTRL+F or CTRL+H, then switch to Find in Files or Replace in Files mode.

Searching and replacing text in files has following peculiarities:

· You can enter disc folder as search location or even create and use named folder sets.
· You can only find all occurrences, you cannot use Find Next.

To create a named folder set:

1. In the Find and Replace in Files window, click the button button next to the Look In box.
2. Enter the folder set name.
3. Edit the folder list with LeftArrow and RightArrow buttons. To browse folders
4. Click the Apply button. Now you may use this folder set in the Look In box.

To delete named folder set, click the button button next to the Look In box, enter the folder set name, and click Delete button.

To search in files:

1. Press CTRL+F and switch to Find in Files mode if necessary.
2. In the Look in box, select needed location or enter folder path or name of the named folder set.
3. In the Find what text box, enter the text you intend to search for.
4. Select additional search options to increase the accuracy of the search.
5. You may specify the file mask for searching in the Look at these file types box.
6. If needed, customize the Result options.
7. Click the Find All button.

After search is finished, all results are displayed in the Find Results window. You may double-click on matches to navigate to them.

To replace in files

1. Press CTRL+H and switch to Replace in Files mode if necessary.
2. In the Look in box, select needed location or enter folder path or name of the named folder set.
3. In the Find what text box, enter the text you intend to search for.
4. Select additional search options to increase the accuracy of the search.
5. If needed, customize the Result options. Select the Keep modified files open after Replace All check box if you want to be able to undo changes.
6. You may specify the file mask for replacing in the Look at these file types box.
7. In the Replace with text box, enter the text with which you intend to replace the search text.
8. Click Replace and continue clicking Replace until the last match in the last file has been replaced. Use Find Next to skip a match you do not want to replace.

You may click Replace All to replace all matches. A message box appears, listing the total number of replacements. The Replace All command replaces all search matches, including those you have skipped with the Find Next button. To reverse Replace All, choose Undo from the Edit menu in each changed file before closing any of the files.

expandedtoggleicon(9x12) See Also

Find and replace text and code

Using Incremental Search


Using Incremental Search

You can search an individual document or window incrementally by entering a search string character by character, then observing the matches found as the search string lengthens. To activate an incremental search, choose Advanced from the Edit menu and choose Incremental Search.

An incremental search automatically searches the entire document or all text within a window, with the exception of text that has been collapsed or concealed. The editor highlights the first set of characters found in the document or window that match the search string entered.

Incremental searches are performed by default from the current location in the document downward, and from left to right. To move to the next match, press CTRL+I. To reverse the direction of the search, press CTRL+SHIFT+I.

To search incrementally:

1. Place the cursor in a blank section of the file or window you want to search.
2. From the Edit menu, choose Advanced, and then select Incremental Search.
3. The cursor icon changes to binoculars with an arrow indicating the search direction, and the status bar displays the text Incremental Search.
4. Begin typing the search string.
5. The status bar displays the search string you are entering, and the editor highlights the first match found for what you have typed so far.
6. Continue to add characters to the search string.

The editor searches again for a match of the augmented search string, and again highlights the first match found.

If no match is found, the status bar displays the following message: Incremental Search: <text> not found.

expandedtoggleicon(9x12) See Also

Find and replace text and code

Regular Expressions for Find and Replace


Regular Expressions for Find and Replace

The Find and Replace window contains a list of symbols and signs which you can use to quickly find and replace required patterns of text. They are called regular expressions.

To select a regular expression, do the following:

1. In the Find and Replace window, select the Use check box and choose Regular Expressions from the drop-down list. The [image] arrow button next to the Find what field becomes active.
2. Click the [image] arrow button and select a regular expression from the drop-down list. It is inserted into the Find what field.

The drop-down list contains the following regular expressions:

Syntax | Expression | Description
. | Any single character | Matches any single character except a line break.
* | Zero or more | Matches zero or more occurrences of the preceding expression, finding all possible matches.
+ | One or more | Matches at least one occurrence of the preceding expression.
^ | Beginning of line | Anchors the match string to the beginning of a line.
$ | End of line | Anchors the match string to the end of a line.
< | Beginning of word | Matches only when a word begins at this point in the text.
> | End of word | Matches only when a word ends at this point in the text.
\n | Line break | Matches a platform-independent line break. In a Replace expression, inserts a line break.
[] | Any one character in the set | Matches any one of the characters within the []. To specify a range of characters, list the starting and ending character separated by a dash (-), as in [a-z].
[^] | Any one character not in the set | Matches any character not in the set of characters following the ^.
| | Or | Matches either the expression before or the one after the OR symbol (|). Mostly used within a group. For example, (database|management)system matches "database system" and "management system".
\ | Escape Special Character | Matches the character that follows the backslash (\) as a literal. This allows you to find the characters used in regular expression notation, such as { and ^. For example, \^ Searches for the ^ character.
{} | Tagged Expression | Matches text tagged with the enclosed expression.
:i | SQL identifier | Matches the expression ([a-zA-Z_$][a-zA-Z0-9_$]*).
:q | Quoted string | Matches the expression (("[^"]*")|('[^']*')).
:b | Space or Tab | Matches either space or tab characters.
:z | Integer | Matches the expression ([0-9]+).

expandedtoggleicon(9x12) See Also

Find and replace text and code

Wildcards for Find and Replace


Wildcards for Find and Replace

The Find and Replace window contains a list of expressions to replace characters or digits in the Find what field. They are called Wildcards.

To select a required wildcard, do the following:

1. In the Find and Replace window, select the Use check box and choose Wildcards from the drop-down list. The [image] arrow button next to the Find what field becomes active.
2. Click the [image] arrow button and select a wildcard from the drop-down list. It is inserted into the Find what field.

The drop-down list contains the following wildcards:

Syntax | Expression | Description
? | Any single character | Matches any single character.
# | Any single digit | Matches any single digit. For example, 5# matches numbers that include 5 followed by another number, such as 51, but not 15.
[!] | Characters not in set | Matches any one character that is not specified in the set.
\ | Escape | Matches the character that follows the backslash (\) as a literal. This allows you to find the characters used in wildcard notation, such as * and #.
* | One or more characters | Matches any one or more characters. For example, test* matches any text that includes "test", such as testfile.txt.
[] | Set of characters | Matches any one of the characters specified in the set.

expandedtoggleicon(9x12) See Also

Find and Replace Text and Code

User Interface Concepts


Reference

This section provides information on data managing windows and dialogs.

ExpandedToggleIcon(9x12) In This Section

Database Connection
This section describes Data Connection user interface elements.

Data Generator
This section describes all the wizards, documents, windows and other UI elements related to data generation processes.

Data Editor
This section provides information on data managing windows and dialogs.

Execute Script Wizard
Use this wizard for executing large scripts without opening them in the editor.

Find and Replace Window
This section describes how to use the Find and Replace window to search for text, expressions, or entity names within the code of your documents.

Options
The topics in this section describe dialog boxes and wizards that are used in dbForge Data Generator for SQL Server to perform commands and configure pages and controls.

Service Windows
This section describes user interface elements of service windows and dialogs.

Shortcut Keys
This topic describes customizable shortcut keys used in dbForge Data Generator for SQL Server.

SQL Document
This section describes SQL Document user interface elements.


Database Connection

This section describes Data Connection user interface elements.

note Note

Database Explorer is not available in the following products:

· dbForge Data Compare for SQL Server
· dbForge Schema Compare for SQL Server
· dbForge Data Generator for SQL Server
· dbForge Event Profiler for SQL Server

ExpandedToggleIcon(9x12) In This Section

Database Connection Properties Dialog Box
Information about connection parameters.

Connect to SQL Database Dialog Box
The topic helps you to connect to the server without having specified a password.

Browse for Servers Dialog Box
The topic helps you to select local and network servers.

Connection Manager Dialog Box
The topic helps you to create, edit, and delete database connections.

Connect to Server Dialog Box
The topic helps you to connect to the server when the Database Explorer window is not activated.


Database Connection Properties Dialog Box

Use the Database Connection Properties dialog box to setup or change the database connection parameters. There are several ways to access the Database Connection Properties dialog box:

· Click New Connection on the Database Explorer window toolbar.
· In Database Explorer, open the shortcut menu for the data connection you want to modify and choose Modify Connection.
· In the Database menu, click New Connection.
· Right-click in the Database Explorer, and then select New Connection on the shortcut menu.

note Note

Database Explorer is not available in the following products:

· dbForge Data Compare for SQL Server
· dbForge Schema Compare for SQL Server
· dbForge Data Generator for SQL Server
· dbForge Event Profiler for SQL Server

The Database Connection Properties dialog box includes the following tabs:

General, Database Connection Properties Dialog Box
Allows you to set the login information required to connect to the SQL Server.

Advanced, Database Connection Properties Dialog Box
Allows you to set additional options to tune database connections.

ExpandedToggleIcon(9x12) See Also

Database Connection

Browse for Servers Dialog Box


General, Database Connection Properties Dialog Box

Use the General tab of the Database Connection Properties dialog box to view and manage the following parameters of an SQL Server database connection:

Server
Select the server instance to connect to. The server instance last connected to is displayed by default.

Authentication
Two authentication modes are available when connecting to an instance of the Database Engine.

Windows Authentication
Microsoft Windows Authentication mode allows a user to connect through a Windows user account.

SQL Server Authentication
When a user connects with a specified login name and password from a non-trusted connection, SQL Server performs the authentication itself by checking to see if a SQL Server login account has been set up and if the specified password matches the one previously recorded. If SQL Server does not have a login account set, authentication fails, and the user receives an error message.

Active Directory Password Authentication
Allows connecting to MicrosoftAzure SQL Database with help of identities in Azure Active Directory. Use this method for connecting to SQL Database if you are logged into Windows using credentials from a domain that is not federated with Azure, or when using Azure AD authentication using Azure AD based on the initial or the client domain.

Active Directory Integrated Authentication
Allows connecting to MicrosoftAzure SQL Database by using identities in Azure Active Directory. Use this method for connecting to SQL Database if you are logged into Windows using your Azure Active Directory credentials from a federated domain.

Login
Enter the login to connect with. This option is not available if you have selected to connect using Windows Authentication.

Password
Enter the password for the login. This option is not available if you have selected to connect using Windows Authentication.

Allow saving password
If selected, the password is stored among the other connection parameters.

Database
Select a name of an SQL Server database you want to connect to.

Show all databases
Select the check box to show all databases.

Connection Name
Use this text box, to specify the connection name.

Document Category
You can assign a category for a document to associate it with a specific connection.

Test Connection
Click this button to make the test connection to a database.

ExpandedToggleIcon(9x12) See Also

Database Connection Properties Dialog Box

Advanced, Database Connection Properties Dialog Box


Advanced, Database Connection Properties Dialog Box

The Advanced properties tab provides the following options:

Connection timeout
Sets the length of time (in seconds) to wait for a connection to the server before terminating the attempt and generating an error. The default value is 15 seconds.

Execute timeout
Sets the length of time (in seconds) to wait for a query execution before terminating the attempt and generating an error.

Encrypt connection
Forces encryption of the connection.

To add more connection parameters to the connection string, use the additional connection parameters.

Keyword

Default

Description

Asynchronous Processing

When true, enables asynchronous operation support. Recognized values are true, false, yes, and no.

AttachDBFilename

"false"

The name of the primary database file, including the full path name of an attachable database. AttachDBFilename is only supported for primary data files with an .mdf extension. The attachment will fail if the primary data file is read-only. The path may be absolute or relative.

Connection Timeout

15

The length of time (in seconds) to wait for a connection to the server before terminating the attempt and generating an error.

Context Connection

"false"

true if an in-process connection to SQL Server should be made.

Current Language

The SQL Server Language record name.

Data Source

The name or network address of the instance of SQL Server to which to connect. The port number can be specified after the server name: server=tcp:servername, portnumber. When specifying a local instance, always use (local). To force a protocol, add one of the following prefixes: np:(local), tcp:(local), lpc:(local)

Encrypt

"false"

When true, SQL Server uses SSL encryption for all data sent between the client and server if the server has a certificate installed. Recognized values are true, false, yes, and no.

Failover Partner

The name of the failover partner server where database mirroring is configured.

Initial Catalog

The name of the database.

Integrated Security

"false"

Whether the connection is to be a secure connection or not. Recognized values are 'true', 'false', and 'sspi', which is equivalent to 'true'.

MultipleActiveResultSets

"false"

When true, an application can maintain multiple active result sets (MARS). When false, an application must process or cancel all result sets from one batch before it can execute any other batch on that connection. Recognized values are true and false.

MultiSubnetFailover

Always specify multiSubnetFailover=Yes when connecting to the availability group listener of a SQL Server 2012 availability group or a SQL Server 2012 Failover Cluster Instance. multiSubnetFailover=Yes configures SQL Server Native Client to provide faster detection of and connection to the (currently) active server. Possible values are Yes and No.

Network Library

The network library used to establish a connection to an instance of SQL Server. Supported values include dbnmpntw (Named Pipes), dbmsrpcn (Multiprotocol, Windows RPC), dbmsadsn (Apple Talk), dbmsgnet (VIA), dbmslpcn (Shared Memory, local machine only) and dbmsspxn (IPX/SPX), dbmssocn (TCP/IP) and Dbmsvinn (Banyan Vines).

The corresponding network DLL must be installed on the system to which you connect. If you do not specify a network and you use a local server (for example, "." or "(local)"), shared memory is used.

Packet Size

Size in bytes of the network packets used to communicate with an instance of SQL Server.

Password

The SQL Server password.

Persist Security Info

"false"

When set to 'false' (strongly recommended), security-sensitive information, such as the password, is not returned as part of the connection if the connection is open or has ever been in an open state. Resetting the connection string resets all connection string values including the password.

Replication

"false"

true if replication is supported using the connection.

TrustServerCertificate

"false"

When set to true, SSL is used to encrypt the channel when bypassing walking the certificate chain to validate trust. If TrustServerCertificate is set to true and Encrypt is set to false, the channel is not encrypted. Recognized values are true, false, yes, and no.

Type System Version

A string value that indicates the type system the application expects. Possible values are:

· Type System Version=SQL Server 2000;
· Type System Version=SQL Server 2005;
· Type System Version=SQL Server 2008;
· Type System Version=Latest;

When set to SQL Server 2000, the SQL Server 2000 type system is used. The following conversions are performed when connecting to a SQL Server 2005 instance:

· XML to NTEXT
· UDT to VARBINARY
· VARCHAR(MAX), NVARCHAR(MAX) and VARBINARY(MAX) to TEXT, NEXT and IMAGE respectively.

When set to SQL Server 2005, the SQL Server 2005 type system is used. No conversions are made for the current version of ADO.NET.

When set to Latest, the latest version than this client-server pair can handle is used. This will automatically move forward as the client and server components are upgraded.

User ID

The SQL Server login account.

User Instance

"false"

A value that indicates whether to redirect the connection from the default SQL Server Express instance to a runtime-initiated instance running under the account of the caller.

Workstation ID

The local computer name

The name of the workstation connecting to SQL Server.

ExpandedToggleIcon(9x12) See Also

Database Connection Properties Dialog Box

Browse for Servers Dialog Box


Connect to SQL Database Dialog Box

The dialog box appears when you connect to the server without having specified a password.

Authentication
Specify the required authentication mode here.

User
Enter the name for the SQL login account.

Password
Enter the password for the SQL login account.

Server
Specify the server you want to connect to.

Database
Specify the database you want to work with.

ExpandedToggleIcon(9x12) See Also

Database Connection

Browse for Servers Dialog Box


Browse for Servers Dialog Box

Use the Browse for Servers dialog box to select the local and network servers.

This dialog box appears when you click <Browse...> in the Server combo-box (which is located on the General tab of the Database Connection Properties dialog box)

The Database Connection Properties dialog box provides the next members:

Local Servers
Displays the list of local servers.

Network Servers
Allows you to select an SQL Server instance in the network.

Refresh
Refreshes the list of network servers.

ExpandedToggleIcon(9x12) See Also

Database Connection

Connect to Server Dialog Box


Connection Manager Dialog Box

Connection Manager dialog box allows you to create, edit, and delete database connections.

ExpandedToggleIcon(9x12) Dialog Box Controls

Dialog box contains the following controls:

Connections
The list of the existing database server connections.

New
Click to open Database Connection Properties dialog box for creating a new connection.

Edit
Click to open Database Connection Properties dialog box for editing a connection.

Delete
Click to delete the connection.

Connection String
Displays a connection string, containing the connection parameters, for the selected connection.

ExpandedToggleIcon(9x12) See Also

Database Connection

Connect to Server Dialog Box


Connect to Server Dialog Box

Use the dialog box to connect to the server when the Database Explorer window is not activated.

note Note

Database Explorer is not available in the following products:

· dbForge Data Compare for SQL Server
· dbForge Schema Compare for SQL Server
· dbForge Data Generator for SQL Server
· dbForge Event Profiler for SQL Server
· dbForge Documenter for SQL Server

Connections
Displays information on available server connections.

Server
Specify the server connection you want to create a new SQL document in.
Database
Specifies a database you want ot connect to.
User
Specifies a connection user login.
Name
Specifies a selected server database name.

ExpandedToggleIcon(9x12) See Also

Database Connection


Data Generator

This section describes wizards and windows, related to the Data Generator tool.

ExpandedToggleIcon(9x12) In This Section

Data Generator Properties Window
Describes the Data Generator Properties wizard user interface elements.

Data Generation Document
Describes the details of the Data Generation document.

Data Generator Types
Describes types of available data generators.

Data Population Wizard
Describes the Data Population wizard user interface elements.

Data Type-Specific Column Generation Settings
Describes data type-specific column generation settings.


Data Generator Properties Window

This section describes the Data Generator Properties wizard user interface elements.

ExpandedToggleIcon(9x12) In This Section

Connection, Data Generator Properties Window

Options, Data Generator Properties Window


Connection, Data Generator Properties Window

This window allows you to set up a connection to SQL Server, and select a database you want to generate data for.

Connection
Select the server instance to connect to. The server instance last connected to is displayed by default.

Edit
Click to open the Database Connection Properties dialog box to view and manage SQL Server connection properties.

New
Click to open the Database Connection Properties dialog and create a new SQL Server instance connection.

Database
Select a name of a SQL Server database you want to generate data for.

Server Version
Shows the version of the selected server instance. The phrase "not available" is shown when no version is available.

Help
Click to open dbForge Data Generator for SQL Server help.

Next
Click to go to the Options page.

Open
Click to run Data Generator.

Cancel
Click to close the Data Generator wizard.

ExpandedToggleIcon(9x12) See Also

Data Generator Properties Window

Options, Data Generator Properties Window


Options, Data Generator Properties Window

This window allows you to set up options for generating data.

Number of rows to generate
Specify the number of rows you want to generate.

Include NULLs
Check this option and specify the percentage of NULL values for the field, if necessary.

Set values to unique
Select to set unique values.

Truncate data from table before generation
Select to truncate data from table before generation. To make the option effective, ensure to select the Disable foreign keys option on the Options, Data Generator Wizard page.

Value distribution mode

Random by timestamp
Select to randomize values by timestamp. The option allows you to generate miscellaneous random data every time you run data population. It is useful when you need to populate database with miscellaneous non-recurrent data.

Random by seed
Enter a seed value (between -2147483648 and 2147483647). The option allows you to generate recurrent random data, i.e. every time you run data population, the generated random data will be the same as with the previous data generation.

Sequential
Select for sequential values.

Country-specific data
Select a country from the drop-down list to generate for real localized values, such as first names (female and male), last names, addresses, streets, cities, phones etc.

Help
Click to open dbForge Data Generator for SQL Server help.

Back
Click to go to the Connection page.

Open
Click to run Data Generator.

Cancel
Click to close the Data Generator wizard.

ExpandedToggleIcon(9x12) See Also

Data Generator Properties Window

Data Generation Document


Data Generation Document

The Data Generation document allows you to select fields for generating data and set various data generation parameters. The saved Data Generation file has the '*.dgen' extension.

The top-left side of the window displays tables of the selected database. Table fields and their types are listed in the grid of the Preview of data to be generated area below.

When you select a table in the tree, you can set data generation parameters for each of its fields within the Column generation settings for area, at the right side of the window.

note Note

Generation parameters vary according to the data type of the selected field. For more detailed information, read the Data Type-Specific Column Generation Settings topic.

Tables and columns to populate

Lists tables and columns, that were selected for test data population.

Expand All
Click to expand all tables and columns.

Collapse All
Click to collapse all tables and columns.

Table generation Settings

Number of rows to generate
Specify or modify the number of rows you want to generate.

Truncate data from table before generation
Select to truncate data from table before generation. To make the option effective, ensure to select the Disable foreign keys option on the Options, Data Generator Wizard page.

Related tables
Lists child and parent tables, that are related to the selected table.

Parent tables
Lists parent tables, that are related to the selected table. To include or exclude a parent table from data generation, click the check-box next to its name.

Child tables
Lists child tables, that are related to the selected table. To include or exclude a child table from data generation, click the check-box next to its name.

Column Generation Settings

Select required settings for the selected column. The set of settings depends on the column data type and selected generator. For more information on the settings, refer to the Data Generator Types section.

ExpandedToggleIcon(9x12) See Also

Data Generator Properties Window

Data Generator Types


Data Generator Types

ExpandedToggleIcon(9x12) In This Section

Basic Settings
Describes basic settings shared by all types of the data generators.

Basic Generators
Describes basic generators.

Advanced Generators
Describes advanced generators.


Basic Settings

The dialog box for each type of the data generators contains basic settings and custom settings. You can customize the data generators by changing the basic and custom settings.

The basic settings common to all the data generators are:

Generator
Displays information on a selected data generator. dbForge Data Generator for SQL Server automatically selects a generator for each column based on column data type and related constraints. You can select a desired type of generator from the list of available data generators. Different generators create different types of data for the table to be populated.

Set values to be unique
Select to make the values generated for a column unique. If the column schema has a uniqueness constraint (such as a unique index or primary key), the check box is selected by default.

Include NULL values
Selected by default. Includes NULL values into random fields of a column to be populated. In the percent box, type or select the percentage of NULL values to be included into the column.

Include empty values
Includes empty values into random fields of a column to be populated. In the percent box, type or select the percentage of empty values to be included into the column.

Value distribution mode
This group of settings defines how the generated values are distributed in the column.

Random by timestamp
Selected by default. Generates values randomized by a timestamp.

Random by seed
Generates values in a random order using a specified seed value.

Sequential
Generates values from a list in a sequential order.

Loop data
Selected by default. Available in all modes. Select to cyclically read data from a file.

Repeat each value
Select to repeat values and specify the number of repetitions.

Notes Text Box
Type your notes on generator in this box.

The custom settings are separately described for each data generator in the corresponding topics.

ExpandedToggleIcon(9x12) See Also

Data Generator Types

Constant Generator


Basic Generators

ExpandedToggleIcon(9x12) In This Section

Check Constraint Generator
Describes the Check Constraint Generator and its custom settings.

Constant Generator
Describes the Constant Generator and its custom settings.

Datetime Generator
Describes the Datetime Generator and its custom settings.

Files Folder Generator
Describes the Files Folder Generator and its custom settings.

Foreign Key (auto assigned) Generator
Describes the Foreign Key Generator and its custom settings.

Foreign Key (manually assigned) Generator
Describes the Foreign Key Generator and its custom settings.

JSON Generator
Describes the JSON Generator and its custom settings.

Lorem Ipsum Generator
Describes the Lorem Ipsum Generator and its custom settings.

Python Generator
Describes the Python Generator and its custom settings.

Regular Expression Generator
Describes the Regular Expression Generator and its custom settings.

Shuffled Text Generator
Describes the Shuffled Text Generator and its custom settings.

SQL Query Generator
Describes the SQL Query Generator and its custom settings.

String Generator
Describes the String Generator and its custom settings.

Table or View Generator
Describes the Table or Veiw Generator and its custom settings.

Text File Generator
Describes the Text File Generator and its custom settings.

Twaddle Generator
Describes the Twaddle Generator and its custom settings.

Uniqueidentifier Generator
Describes the Uniqueidentifier Generator and its custom settings.

Weighted List Generators
Describes the types of Weighted List Generators and their custom settings.


Check Constraint Generator

The Check Constraint (auto assigned) Generator generates values within the value range of the check constraint expression. The generator is automatically assigned to a column for which a certain check constraint is defined. It uses the check constraint expression to limit the value range of the data generated for the column.

The dialog box of the Check Constraint shows the check constraint expression and contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Check constraint:
Specifies the name of the check constraint for the selected column.

Expression
Specifies the check constraint expression.

Use Min and Max range from...generator
Select the check box to set minimum and maximum values of the specified generator (next by relevance). This option is available only for Numeric and Date/Time data types.

ExpandedToggleIcon(9x12) See Also

Basic Settings

Constant Generator


Constant Generator

The Constant Generator generates constants or column default values.

The dialog box of the Constant Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

User defined constant
Type or select a value of a constant.

Column default constraint
Specify a constraint for a column, where applicable.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Datetime Generator


Datetime Generator

The Datetime Generator generates dates and times with fractional seconds values.

The dialog box of the Datetime Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

The settings depend on the range type selected.

Range: Min ... Max

Date
Specify the minimum and maximum date values.

Time
Specify the minimum and maximum time values.

Fraction
Select the minimum and maximum seconds values.

Random
Select to generate random values, where necessary.

Range: Offset from column

Column
Select a column as a time reference-point.

Use offset details
Select to configure offset details.

Days
Specify the minimum and maximum days to be added to the reference point.

Time
Specify the minimum and maximum timestamp to be added to the reference point.

Range: Offset from Now

Use offset details
Select to configure offset details.

Days
Specify the minimum and maximum days to be added to the reference point.

Time
Specify the minimum and maximum timestamp to be added to the reference point.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Files Folder Generator


Files Folder Generator

The Files Folder Generator imports the contents of files located in a specified folder. For example, use the generator to import images from a folder containing a number of images. Each image is imported into a new field.

The dialog box of the Files Folder Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Folder to load data from
Select a folder to load files from.

Include subfolders
Select to include subfolders of the specified folder.

File pattern
Select a file mask for the files to be uploaded, for example *.png, *.jpg, *.bmp or *.txt (*.* is set by default).

ExpandedToggleIcon(9x12) See Also

Basic Generators

Foreign Key (auto assigned) Generator


Foreign Key (auto assigned) Generator

The Foreign Key (auto assigned) Generator can be automatically assigned to a column for which a FOREIGN KEY constraint is defined. The Foreign Key (auto assigned) Generator generates foreign key values for a child table column based on the values contained in a parent table column.

The dialog box of the Foreign Key (auto assigned) Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Foreign Key
Specifies the name of the generated foreign key and a link to a parent table column.

Setting up parent table

You can generate specific values for the parent table column referenced by the child table column:

1. Click the link (mentioned above) to jump to the parent table column.

2. Select the check-box next to the column.

3. Select the required generator from the list of available generators;

4. Configure settings of the generator using Basic Settings and custom settings specific to this generator.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Foreign Key (manually assigned) Generator


Foreign Key (manually assigned) Generator

The Foreign Key (manually assigned) Generator generates foreign key values for a child table column based on the values contained in a parent table column. You can generate specific values for the parent table column referenced by the child table column. To do this, find the parent table column in the tree view, select the required generator and configure its settings.

The dialog box of the Foreign Key (manually assigned) Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Table
Choose a parent table.

Column
Choose a column in the parent table. Make sure that the child table column and the parent table column have compatible types.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Lorem Ipsum Generator


JSON Generator

The JSON Generator generates data using JSON template.

The dialog box of the JSON Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Template
Shows JSON template

Preview
Shows preview of data to be generated

Generator
Click to insert one of Advanced Generators into JSON template.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Lorem Ipsum Generator


Lorem Ipsum Generator

The Lorem Ipsum Generator is a dummy text filler with some characteristics of a real written text. The generated text includes punctuation marks, each new sentence starts with an uppercase letter.

The dialog box of the Lorem Ipsum Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings. The dialog box of the Lorem Ipsum Generator also contains a text editor window, in which you can either manually type text or load it from a file. By default, the text editor window contains a sample Lorem Ipsum text.

Custom Settings

Length
Set minimum and maximum string length in a field.

Paragraphs
Set minimum and maximum number of paragraphs in a field.

Sentences
Set minimum and maximum number of sentences in a field.

Words
Set minimum and maximum number of words in a field.

Start paragraph with indent
Select to add indents to paragraphs.

Add paragraph tags
Select to present text as a paragraph.

Add italic tags
Select to make 5% of words italic.

Add bold tags
Select to make 3% of words bold.

Load text from a file
Click to import a Lorem Ipsum text from a file.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Python Generator


Python Generator

The Python Generator generates data using an IronPython script.

The dialog box of the Python Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

IronPython script text box
Specify your script in the text box.

Using IronPython Script

You can use an IronPython script to generate data.

A script must define a main() function that takes a single config argument.

config is a dictionary containing keys you can use in your scripts.

You can specify values for the following keys:

· config["column_type"] - is the column datatype
· config["column_size"] - is the column size
· config["n_rows"] - is the number of rows
· config["seed"] - is the current random seed
· config["config_path"] - is the path to the meaningful generators folder
· column_name - is the column name. Specifying the config argument before column_name is not obligatory. It can be called directly.

Using Regular Expressions

The Python Generator supports the usage of the RegexGenerator inner class. Therefore, you can use regular expressions within the Python Generator.

You can create the RegexGenerator in the following three ways:

mygen = RegexGenerator(regular expression)

mygen = RegexGenerator(regular expression, is unique data, data length)

mygen = RegexGenerator(regular expression, is unique data, data length, seed)

WHERE:

· regular expression - an actual regular expression, e.g. "[0-9A-Z]+"
· is unique data - defines whether to generate unique data. Available parameters are False and True
· data length - specifies the length of the largest value to be generated. It can be a digit value or an expression set in the following way: config["column_size"]
· seed: - a seed value. It can be a digit value or an expression set in the following way: config["seed"]

Usage Example

mygen = RegexGenerator("[0-9A-Z]+",False, 30)

def main():
i = 0
while i <= config["n_rows"]:
i = i + 1
varData = mygen.Generate();
yield varData

main()

Examples of Python Scripts

1. Sequential read of rows from a text file:

# Read a txt file sequentially
def getColors():
fileName = config["config_path"] +'\\'+ r"Colors.txt"
with open(fileName) as f:
content = f.readlines()
for row in content:
yield row

def main(config):
return getColors()

2. Random read from a text file:

# Read a txt file randomly
import random

# Uncomment the line below to use a seed if needed
#random.seed(config["seed"])

def getColors():
fileName = config["config_path"] +'\\'+ r"Colors.txt"
with open(fileName) as f:
content = f.readlines()
for row in content:
yield row

def main(config):
colors = list(getColors())
while True:
yield colors[random.randint(0, len(colors)-1)]

3. Sequential read of data for a column from a CSV file:

# Read a csv file sequentially
import csv
def getCountryCodes():
columnName = 'ISO3166-1-Alpha-2'
fileName = config["config_path"] +'\\'+ r"CountryCodes.csv"
with open(fileName,"rb") as file:
reader = csv.DictReader(file, delimiter=';', quotechar='"')
for row in reader:
yield str(row[columnName]).upper()

def main(config):
return getCountryCodes()

4. Random read of data for a column from a CSV file:

# Read a csv file sequentially
import csv
import random

# Uncomment the line below to use a seed if needed
#random.seed(config["seed"])

def getCountryCodes():
columnName = 'ISO3166-1-Alpha-2'
fileName = config["config_path"] +'\\'+ r"CountryCodes.csv"
with open(fileName,"rb") as file:
reader = csv.DictReader(file, delimiter=';', quotechar='"')
for row in reader:
yield str(row[columnName]).upper()

def main(config):
codes = list(getCountryCodes())
while True:
yield codes[random.randint(0, len(codes)-1)]

5. Sequential read of rows from a XML file:

# Read an XML file
# Use the CLR XML libraries

import clr
clr.AddReference("System.Xml")
from System.Xml.XPath import XPathDocument, XPathNavigator

def getTitles(column_size=50):
filename = r"D:\books.xml"
doc = XPathDocument(filename)
nav = doc.CreateNavigator()
expr = nav.Compile("/catalog/book/title")
titles = nav.Select(expr)
for title in titles:
yield str(title)[:column_size]

def main(config):
# Truncate titles to the column size
return list(getTitles(column_size=config["column_size"]))

6. Generation of male and female names from files depending on a flag:

# Select a name depending on a flag
import random

# Uncomment the line below to use a seed if needed
#random.seed(config["seed"])

def getPersonNames(fileName):
fileName = config["config_path"] +'\\'+ fileName
with open(fileName) as f:
content = f.readlines()
for row in content:
yield row

def main(config):
males = list(getPersonNames(r"FirstNamesMale.txt"))
famels= list(getPersonNames(r"FirstNamesFemale.txt" ))
while True:
# is_male - is a flag field
if is_male:
yield males[random.randint(0, len(males)-1)]
else:
yield famels[random.randint(0, len(famels)-1)]

7. Running a certain generator depending on a flag:

# Select a generator depending on a flag

def main(config):
maleGen = RegexGenerator("Automotive|Computers|Crafts|Tools")
femaleGen = RegexGenerator("Furniture|Pharmacy|Garden|Gifts")
while True:
# is_male - is a flag field
if is_male:
yield maleGen.Generate()
else:
yield femaleGen.Generate()

8. Calculating a new date basing on a date value from other field.

# Calculate a date based on another date
import random

# Uncomment the line below to use a seed if needed
#random.seed(config["seed"])

def main(config):

# StartDate - is a column name
if str(StartDate) == '':
return DBNull.Value

# Add number of days to a StartDate
return StartDate.AddDays(random.randint(1, 1000));

ExpandedToggleIcon(9x12) See Also

Basic Generators

Regular Expression Generator


Regular Expression Generator

The Regular Expression Generator generates data based on a regular expression.

The dialog box of the Regular Expression Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Insert snippet
Select a snippet to be inserted into the expression.

Insert counter
Select a counter to be inserted into the expression.

Insert file
Select a file to be inserted into the expression.

Insert column
Select a column to be inserted into the expression.

Insert generator
Select a generator to be inserted into the expression.

Below are the tables of syntax elements.

Basic:

Description | Usage | Generates (examples)
ordinary chars | John | "John"
individual chars | [dB] | "d" or "B"
[star-end] range | [0-9] | "2" or "5"
[chars] character set | [a-z0-9] | "7" or "q"
[exclude chars] character set | [^B-E] | "A" or "D"
initial ] in char set | []] | "]"
(regexp) grouping | (xwz)*y | "xwzxwzy" or "y"
* zero or more | xwz* | "xwzzzz" or "zw"
+1 or more | xwz+ | "xwzzzz" or "xwz"
? include or not | xwz? | "xw" or "xwz"
{num} repeat | z{4} | "zzzz"
{min,} at least min repeats | z{4,} | "zzzz" or "zzzzzzzzzz"
{,max} not more than max repeats | z{,4} | "zz" or "zzzz"
{min, max} repeat | z{3,4} | "zzz" or "zzzz"
() | empty string |
| alternatives | True|False | "True" or "False"
empty alternative | (|dark|light)gray | "darkgray" or "gray"
numeric counter | ${counter([0-9]{4}) or ${counter(\d{4})} } | 0000, 0001, 0002, ..., 9997, 9998, 9999
numeric counter decrement order | ${counter([9876543210]{4}) | 9999, 9998, 9997, ..., 0002, 0001, 0000
char counter | ${counter([A-Z]{2})} or ${counter(\C{2})} | AA, AB, AC, ..., ZX, ZY, ZZ
char counter decrement order | ${counter([ZYXWVUTSRQPONMLKJIHGFEDCBA]{2})} | ZZ, ZY, ZX, ..., AC, AB, AA
hex counter | ${counter([0-9a-f]{5})} or ${counter(\h{5})} | 00000, 00001, 00002, ..., ffffd, ffffe, fffff
hex counter decrement order | ${counter([FEDCBA9876543210]{5})} | FFFFF, FFFFE, FFFFD, ..., 00002, 00001, 00000
custom IDs | (ID(${counter([1-9]{3})})) | ID111, ID112, ID113, ..., ID997, ID998, ID999
loading TXT file content from the default folder | $"FirstNamesMale.txt" | John or Alan or Glen
loading TXT file content from a user folder | $"D:\folder_name\FirstNamesMale.txt" | John or Alan or Glen
loading CSV file content from the default folder [csv_second_column] | $"USStates.csv[1]" | Ohio or Iowa or Texas
loading CSV file content from a user folder [csv_first_column] | $"D:\folder_name\USStates.csv[0]" | OH or IA or TX
loading column content from the same table | $"[Gender]" | F or M
loading column content from other table | $"[HumanResources].[Employee].[Gender]" | F or M
loading column content from other database | $"[AdventureWorks2014].[HumanResources].[Employee].[Gender]" | F or M
loading column content from other connection | $"[connection_name].[AdventureWorks2014].[HumanResources].[Employee].[Gender]" | F or M
loading column content from query | $"[SELECT * FROM [HumanResources].[Employee] WHERE [OrganizationLevel] = 1].[Gender]" | F or M
loading column content from query of other connection | $"[connection_name].[SELECT * FROM [HumanResources].[Employee] WHERE [OrganizationLevel] = 1].[Gender]" | F or M
generating values according to their weight ratio | Ohio$"10"|Iowa$"50"|Texas$"90" | Texas or Texas or Texas or Iowa or Texas
generating values from predefined generator | $"IPv4 Address" | 10.0.0.4 or 192.168.1.2

Escapes:

Description | Usage | Generates (examples)
backslash | \\ | \
dollar sign | \$ | $
ordinary chars | \{ | {
right brace | \} | }
left square bracket | \[ | [
right square bracket | \] | ]
left parenthesis | \( | (
right parenthesis | \) | )
right parenthesis | \| | |
asterisk | \* | *
plus mark | \+ | +
question mark | \? | ?
lower-case letter | \c | [a-z]
upper-case letter | \C | [A-Z]
upper or lower-case letter | \A | [a-zA-Z]
upper or lower-case letter or underscore or digit | \w | [a-zA-Z_0-9]
all ASCII printable characters | \W | [ -~]
digit | \d | [0-9]
digit without a zero | \D | [1-9]
bit | \b | [0-1]
hexadecimal character | \h | [0-9a-f]
HEXADECIMAL character | \H | [0-9A-F]
carriage return | \r |
line feed | \l |
tab character | \t |
space characters | \s | [ \t]
unicode (UTF-16) escapes | \u20ac | €
hexadecimal escapes | \xA3 | ₤

Additionally, you can use the Insert Snippet button to add the following snippets:

Snippets | Description
[a-z] | lower case letter
[A-Z] | UPPER case letter
[0-9] | digit
\D | digit without a zero
\h | hexadecimal character
[ ] | space
\w | UPPER or lower-case letter or underscore or digit
\W | all ASCII printable characters
| | alternative
( ) | group
* | 0 or more repeats
+ | 1 or more repeats
{5} | 5 repeats
{5,9} | 5 to 9 repeats
{5,} | 5 or more repeats

ExpandedToggleIcon(9x12) See Also

Basic Generators

Shuffled Text Generator


Shuffled Text Generator

The Shuffled Text Generator randomly shuffles words in a selected text excluding punctuation marks.

The dialog box of the Shuffled Text Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

The dialog box of the Shuffled Text Generator also contains a text editor window, in which you can either manually type the text or load it from a text file.

Custom Settings

Min length
Set minimum string length of a field.

Max length
Set maximum string length of a field.

Load text from a file
Click to import text from a text file (*.txt). All files filter (*.*) is available.

ExpandedToggleIcon(9x12) See Also

Basic Generators

SQL Query Generator


SQL Query Generator

The SQL Query Generator retrieves column data of a compatible type from an external database by using a custom query.

The dialog box of the SQL Query Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Connection
Select a server connection.

Database
Select a database you want to retrieve data from.

SQL Query
Type an SQL statement that returns a single column with a compatible data type. If your query returns multiple columns, choose the required one in the Column box.

Column
Select a column you want to retrieve data from.

ExpandedToggleIcon(9x12) See Also

Basic Generators

String Generator


String Generator

The String Generator generates character string values.

The dialog box of the String Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Min
Select a server connection.

Max
Select a database you want to retrieve data from.

Character set
This group of settings defines two character sets for selection.

ASCII
Select to apply ASCII.

Unicode
Select to apply unicode.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Table or View Generator


Table or View Generator

The Table or View Generator retrieves column data of a compatible type from a table or view.

The dialog box of the Table or View Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Connection
Specify a server connection.

Database
Select a database you want to retrieve data from.

Table
Select the table you want to retrieve data from. When the Table option is selected, the View option is disabled.

View
Select the view you want to retrieve data from. When the View option is selected, the Table option is disabled.

WHERE filter
To filter data being retrieved from a column, type an SQL expression and click Validate.

Column
Select the column you want to retrieve data from.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Text File Generator


Text File Generator

The Text File Generator loads values from a specified text file. Select a text file with a list of values, in which each separate string is a single value.

The dialog box of the Text File Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

File to load data from
Click [...] to select a file to load data from. After the file is selected, the full path and file name of the specified file are shown.

Trim left trailing spaces
Removes spaces, tabs and other non-printing characters on the LEFT of each string.

Trim right trailing spaces
Removes spaces, tabs and other non-printing characters on the RIGHT of each string (does not remove line breaks).

ExpandedToggleIcon(9x12) See Also

Basic Generators

Twaddle Generator


Twaddle Generator

The Twaddle Generator randomly generates sentences.

The dialog box of the Twaddle Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

First name
Click [...] to select a file to load data from. After the file is selected, the full path and file name of the specified file are shown.

Last Name
Click [...] to select a file to load data from. After the file is selected, the full path and file name of the specified file are shown.

Min
Select the minimum number of paragraphs in the range of 1 to 10.

Max
Select the maximum number of paragraphs in the range of 1 to 10.

Include heading tags
Select to include heading tags.

Include HTML tags
Select to include HTML tags.

Twaddle dictionaries can be modified here: C:\Users\Public\Documents\Devart\dbForge Data Generator for SQL Server\Data Generators\Twaddle Dictionary.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Uniqueidentifier Generator


Uniqueidentifier Generator

The Uniqueidentifier Generator generates 16-byte GUID values. These values may be used as primary keys for a table to ensure uniqueness between database servers.

The dialog box of the Uniqueidentifier Generator contains Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

The following screenshot demonstrates a preview of the GUID values to be generated.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Weighted List Generators


Weighted List Generators

Data Generator provides the following types of weighted list generators:

· Weighted List Generator (simple) - generates flat values according to a specified ratio.
· Weighted List Generator (nested) - generates values from nested value lists according to a specified ratio.
· Weighted List Generator (ranged) - generates values in a specified range.
· Weighted List Generator (regexp) - generates regexp data according to a specified ratio.

The dialog box for each type of the Weighted List Generators contains Basic Settings, custom settings, and a data grid. You can customize the generator by changing the basic and custom settings.

Custom Settings

Buttons

Load values from File
Opens a dialog box to select a file and retrieve data from the file into the data grid.

Load values from Table or Veiw
Opens a dialog box to select the connection, database, table or view, and column to retrieve data from. In the WHERE filter box, type or paste a statement to filter the data being retrieved and click Validate.

Load Values from SQL Query
Opens a dialog box to select the connection, database, and column to retrieve data from. In the SQL Query box, type or paste a statement to filter the data being retrieved. Choose the column with the correct data type.

Save Values to File
Specify the directory to save the file.

Add a Value
Adds a new empty line in the Value field and a default weight value 10.

Delete Current Value
Deletes a line and navigates a focus to a subsequent line.

Clear values list
Clears all values from the data grid.

Data Grid

A data grid represents a table of data to be populated. The data grid of each weighted list generator includes the following columns: Order Number, Value, Weight, and Percentage (%). The Value column contains generated values. The Weight column contains weight ratios of the values. The Percentage (%) column shows the percentage of occurrences of each value in the column with respect to the rest of the values.

Weighted List Generator (nested)

The nested Weighted List Generator contains two data grids: a main data grid and a nested data grid. The main data grid is non-editable except for the Weight column. Upon clicking the Value column of the main data grid, the nested data grid appears. In the nested data grid, columns Value and Weight are editable. The Percentage (%) column is a calculated column.

At the bottom of the nested data grid, buttons Load values from File, Save values to File, Add a Value, Delete current value, Clear values list are placed. The buttons function similar to those described above.

Weighted List Generator (ranged)

The data grid in the ranged Weighted List Generator contains five columns: Order Number, From, To, Weight, and Percentage (%). The From column includes initial values of a value range and the To column includes end values of the value range. For date values, on clicking the From and To columns, a calendar window appears.

ExpandedToggleIcon(9x12) See Also

Basic Generators

Advanced Generators


Advanced Generators

ExpandedToggleIcon(9x12) In This Section

ABA Routing Transit Number
Describes the ABA Routing Transit Number Generator and its settings.

Birth Date
Describes the Birth Date Generator and its settings.

Canadian Social Insurance Number
Describes the Canadian Social Insurance Number Generator and its settings.

CODEN
Describes the CODEN Generator and its settings.

Credit Card Number
Describes the Credit Card Number Generator and its settings.

Credit Cart Type
Describes the Credit Card Type Generator and its settings.

CUSIP Number
Describes the CUSIP Number Generator and its settings.

Employment Term
Describes the Employment Term Generator and its settings.

International Article Number
Describes the International Article Number Generator and its settings.

International Bank Account Number
Describes the International Bank Account Number Generator and its settings.

International Maritime Organization Number
Describes the International Maritime Organization Number Generator and its settings.

International Mobile Station Equipment Identity Code
Describes the International Mobile Station Equipment Identity Code Generator and its settings.

International Mobile Station Equipment Identity Code Software Version
Describes the International Mobile Station Equipment Identity Code Software Version Generator and its settings.

International Securities Identification Number
Describes the International Securities Identification Number Generator and its settings.

International Standard Book Number
Describes the International Standard Book Number Generator and its settings.

International Standard Music Number
Describes the International Standard Music Number Generator and its settings.

International Standard Serial Number
Describes the International Standard Serial Number Generator and its settings.

IPv4 Address
Describes the IPv4 Generator and its settings.

Password Hash
Describes the Password Hash Generator and its settings.

Post Tracking Number
Describes the Post Tracking Number Generator and its settings.

United Kingdom NHS Number
Describes the United Kingdom NHS Number Generator and its settings.

United Kingdom Stock Exchange Daily Official List Number
Describes the United Kingdom Stock Exchange Daily Official List Number Generator and its settings.

Universal Product Code
Describes the Universal Product Code Generator and its settings.

Federal Employer Identification Number
Describes the Federal Employer Identification Number Generator and its settings.

Vehicle Identification Number
Describes the Vehicle Identification Number Generator and its settings.


ABA Routing Transit Number

An ABA routing transit number (ABA RTN) is a code that directs electronic ACH deposits to the proper bank institution in the United State.

The ABA RTN Generator generates nine-digit codes. The code is of the form XXXXYYYYC, where XXXX is Federal Reserve Routing Symbol, YYYY is ABA Institution Identifier, and C is the check digit.

The dialog box of the ABA RTN Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.


Birth Date

The Birth Date Generator generates with dates of birth for different age groups, such as retired persons, adults, students, teenagers, etc.

The dialog box of the Birth Date Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Data grid

Category column
Specifies age categories of persons

Age range column
Specifies age for each category of persons

Weight column
Specifies weight ratios of the values

Percentage (%) column
Specifies the percentage of occurrences of each value in the column with respect to the rest of the values.


Canadian Social Insurance Number

A social insurance number (SIN) is a number issued in Canada to administer various government programs.

The CA Social Insurance Number generator provides nine-digit numbers formatted as three groups of three digits, the groups being separated by spaces.

The dialog box of the CA Social Insurance Number Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by spaces.


CODEN

A bibliographic code (CODEN) is a six-character code that identifies the titles of periodicals and non-serial publications, and is used as a search tool in many bibliographic catalogues.

The first four characters of the six-character CODEN are taken from the initial letters of the words from a title, followed by a fifth letter- one of the first six letters (A-F) of the alphabet. The sixth character is an alphanumeric check character calculated from the preceding letters. CODEN always uses capital letters.

The CODEN Generator generates six-character, alphanumeric bibliographic codes.

The dialog box of the CODEN Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by hyphens.


Credit Card Number

The Credit Card Number Generator generates numbers that comply to the ISO/IEC 7812 numbering standard. It contains a six-digit issuer identification number (IIN), an individual account identification number and a single digit checksum.

The dialog box of the Credit Card Number Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Data grid

Name
Specifies the names of financial companies issuing credit cards.

Code
Specifies code templates for generating

Weight column
Specifies weight ratios of the values

Percentage (%) column
Specifies the percentage of occurrences of each value in the column with respect to the rest of the values.


Credit Cart Type

The Credit Card Type Generator generates types of credit cards.

The dialog box of the Credit Card Number Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Credit Card Number column
Select the column containing credit cart numbers from the drop-down list (if any). This setting will help you to link the credit card types with credit card numbers.

Text box
Specify the predefined regular expression to customize the generated credit card types.

Insert snippet
Select a snippet to be inserted into the expression.

Insert counter
Select a counter to be inserted into the expression.

Insert file
Select a file to be inserted into the expression.

Insert column
Select a column to be inserted into the expression.


CUSIP Number

A CUSIP is a alphanumeric code that identifies securities, specifically U.S. and Canadian registered stocks, and U.S. government and municipal bonds. The CUSIP stands for US Committee on Uniform Security Identification Procedures Code (CUSIP).

The CUSIP number consists of nine characters. The first six characters identify the issuer and are assigned in an alphabetical fashion. The seventh and eighth character identify the type of issue, and the last digit is used as a check digit.

The CUSIP Number Generator generates nine-character alphanumeric codes consisting of three groups of characters separated by hyphens.

The dialog box of the CA Social Insurance Number Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by hyphens.


Employment Term

The Employment Term Generator generates hire date values.

The dialog box of the Employment Term Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Data grid

Checkbox column
Clear the checkbox next to the category you want to exclude from the generation.

Category
Contains the employee categories.

Age range column
Contains age ranges specific to each category of employees

Weight column
Specify the weight of each category of employees

Percentage (%) column
Shows the percentage of occurrences of each value in the column with respect to the rest of the values (based on the relevant weights).


International Article Number

An International Article Number (originally European Article Number - EAN-13) is a 13 digit barcoding standard used worldwide for marking products.

The EAN number consists of four groups of digits:

· the first group contains three digits usually identify the national GS1 member organization, to which a manufacturer is registered;
· the second group consists of three to eight digits identifying a company number;
· the third group consists of two to six digits identifying an item reference;
· the forth group is a single checksum digit.

The International Article Number Generator generates 13-digit numbers separated by hyphens.

The dialog box of the CA Social Insurance Number Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by hyphens.


International Bank Account Number

The International Bank Account Number Generator generates IBAN codes. An IBAN code comprises a country code, check digits and a bank account number.

The dialog box of the International Bank Account Number Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a space.

Data grid

Checkbox column
Clear the checkbox next to the country you want to exclude from generation.

Country column
Non-editable. Contains the list of countries for generating a country code.

Weight column
Specify a weight value for each record in the column.

Percentage column
Non-editable. Calculated automatically depending of the weight value.

Generating IBAN

The following image demonstrates the IBAN generation algorithm.


International Maritime Organization Number

The International Maritime Organization (IMO) number is a reference for ships and for registered ship owners and management companies. The IMO number is formed of the three letters "IMO" followed by a seven-digit number consisting of a six-digit sequential unique number and a check digit.

The International Maritime Organization Number Generator generates a seven-digit number with the last digit separated by a hyphen.

The dialog box of the International Maritime Organization Number Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.


International Mobile Station Equipment Identity Code

The International Mobile Station Equipment Identity (IMEI) is a unique number given to every single mobile phone. The IMEI is a 15 digit number that includes information on the origin, model, and serial number of the device.

The International Mobile Station Equipment Identity Code (IMEI) Generator generates 15 decimal digits separated by hyphens.

The dialog box of the IMEI Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.


International Mobile Station Equipment Identity Code Software Version

The International Mobile Station Equipment Identity Software Version (IMEISV) is a unique number given to every single mobile phone. The IMEISV is a 16 digit number (15 digits plus a check digit) that includes information on the origin, model, and serial number of the device.

The International Mobile Station Equipment Identity Code Software Version (IMEISV) Generator generates 16 decimal digits separated by hyphens.

The dialog box of the IMEISV Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.


International Securities Identification Number

An International Securities Identification Number (ISIN) identifies a security, including bonds, commercial papers, stocks and warrants.

The ISIN number is a 12-character alpha-numerical code consisting of three parts: a two-letter country code, a nine-character alpha-numeric national security identifier, and a single check digit.

The International Securities Identification Number (ISIN, ISO 6166) Generator generates 12-character alpha-numerical codes consisting of three groups of characters separated by hyphens.

The dialog box of the ISIN Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.

Checkbox column
Clear the checkbox next to the country you want to exclude from the generation.

Country
Contains names of the countries.

Weight column
Specify the weight of each category of countries.

Percentage (%) column
Shows the percentage of occurrences of each value in the column with respect to the rest of the values (based on the relevant weights).


International Standard Book Number

The International Standard Book Number (ISBN) is a unique number that identifies each edition and variation of a book. The ISBN is a 10 digit number, though the number of digits vary depending on the country of issuance.

The International Standard Book Number (ISBN) Generator generates numbers of 10 digits separated by hyphens.

note Note

You can also generate ISBNs in the 13-digit format. For this, select the International Standard Book Number (ISBN-13) generator.

The dialog box of the ISBN Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.


International Standard Music Number

The International Standard Music Number (ISMN) is a unique alphanumeric identifier for printed music developed by ISO.

The International Standard Music Number (ISMN-13) Generator generates a 9-digit number divided by hyphens with a distinguishing prefix M.

note Note

You can also generate ISMNs in the 13-digit format. For this, select the International Standard Music Number (ISMN-13) generator.

The dialog box of the ISMN-13 Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.


International Standard Serial Number

An International Standard Serial Number (ISSN) is a number that identifies a serial publication and is used in orders, catalogues, libraries, and other matters relating to serial literature.

The International Standard serial Number (ISSN) Generator generates eight-digit codes divided by a hyphen into two four-digit numbers.

note Note

You can also generate ISSNs in the 13-digit format. For this, select the International Standard Serial Number (ISSN-13) generator.

The dialog box of the ISSN Generator contains some of the Basic Settings. You can customize the generator by changing the basic settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.


IPv4 Address

IPv4 (Internet Protocol Version 4) is the fourth revision of the Internet Protocol (IP) used to identify devices on a network through an addressing system.

The IPv4 Address Generator generates Ipv4 addresses in the form of a dot-decimal notation, which consists of four octets of the address expressed individually in decimal numbers and separated by periods.

The dialog box of the IPv4 Address Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

IP Address
Select the required IP address: remote or local.

Addresses to include
Select the addresses you want to include in the generation (for example, Loopback and/or Multicast Address). Class A, Class B, and Class C are selected by default.

Integer IP
Select to generate Integer IP addresses.


Password Hash

The Password Hash generator generates passwords encrypted with optional salt using MD5, SHA1, SHA256, SHA256, SHA384 or SHA512.

The dialog box of the Password Hash generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Salt column
Optionally, select a column containing salts from the drop-down list box. If you do not want to use salts, select the No salt option.

Password column
Optionally, select a column containing passwords from the drop-down list box. If you do not want to use a certain column as a source for passwords, select the Random password string option.

Encryption type
Select an encryption type from the drop-down list box. The following encryption types are available: MD5, SHA1, SHA256, SHA256, SHA384, SHA512.

Salt combining method
Select a salt combining method from the drop-down list box. There are two methods available:

Append the salt to the password
Select to add the salt in the end of the password.

Prepend the salt to the password
Select to add the salt in the beginning of the password.

Password text encoding
Select a password text encoding type from the drop-down list box. The following encodings are available: UTF7, UTF8, UNICODE, BigEndianUnicode, UTF32, ASCII.


Post Tracking Number

The Post Tracking Number Generator generates 13-character identifiers to items for tracking them during shipping. An identifier consists of a two letter service indicator code, an eight digit number, a check-digit, and a two-letter ISO country code.

The dialog box of the Post Tracking Number Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a space.


United Kingdom NHS Number

The UK National Health Service Number (NHS Number, ISB 0149) Generator generates ten-digit numbers in a 3-3-4 format. The numbers are allocated to registered users of the three public health services in England, Wales and the Isle of Man.

The dialog box of the UK National Health Service Number (NHS Number, ISB 0149) Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.


United Kingdom Stock Exchange Daily Official List Number

The Stock Exchange Daily Official List (SEDOL) is a list of security identifiers used in the United Kingdom and Ireland for clearing purposes.

The UK Stock Exchange Daily Official List Number Generator generates seven characters identifiers consisting of two-parts: a six-place alphanumeric code and a trailing check digit.

The dialog box of the UK Stock Exchange Daily Official List Number Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.


Universal Product Code

The Universal Product Code (UPC) is a specific type of barcode that is widely used in the United Sates, Canada, the United Kingdom, Australia, New Zealand, and in other countries for tracking trade items in stores.

The Universal Product Code (UPC-A) Generator generates sequences of 12 numerical digits.

The dialog box of the Universal Product Code (UPC-A) Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Separator
Specify a separator to be included between the groups of digits. By default, digits are separated by a hyphen.


Federal Employer Identification Number

An Federal Employer Identification Number (FEIN) (applicable to the United States) is the corporate equivalent to a Social Security number. The FEIN is issued to individuals and to entities, such as states, government agencies, corporations for tax administration.

The US Federal Employer Identification Number (FEIN) Generator generates nine-digit numbers with two first digits separated from the rest digits by a hyphen.

The dialog box of the FEIN Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Text box
Specify the predefined regular expression to customize the generated numbers.

Insert snippet
Select a snippet to be inserted into the expression.

Insert counter
Select a counter to be inserted into the expression.

Insert file
Select a file to be inserted into the expression.

Insert column
Select a column to be inserted into the expression.


Vehicle Identification Number

A vehicle identification number (VIN) is a unique code used by automotive manufacturers to identify all vehicle on the road.

The Vehicle Identification Number Generator generates a 17-character VINs, which do not include the letters I (i), O (o), or Q (q) (to avoid confusion with numerals 0 and 1).

The dialog box of the VIN Generator contains some of the Basic Settings and custom settings. You can customize the generator by changing the basic and custom settings.

Custom Settings

Data grid

Checkbox column
Clear the checkbox next to the car manufacturer you want to exclude from the generation.

CarMaker column
Contains a list of car manufacturing companies.

Weight column
Specify the weight of each car manufacturer.

Percentage (%) column
Shows the percentage of occurrences of each value in the column with respect to the rest of the values (based on the relevant weights).


Data Population Wizard

This section describes the Data Population wizard user interface elements.

ExpandedToggleIcon(9x12) In This Section

Output, Data Population Wizard
Select output options to manage the data population script on this page.

Options, Data Population Wizard
Select general data population options on this page.

Summary, Data Population Wizard
Review the data population actions and warnings on this page.


Output, Data Population Wizard

Select output options to manage a synchronization script.

Open the data population script in the internal editor
Select the check box to open the data population script in an SQL document. The file name is generated automatically.

Save the script to a file
Select the check box to output your script to a file.

Browse
Click the button to specify the path to save a file.
Open in the internal editor
Select the check box to open the synchronization script in dbForge Data Generator for SQL Server. The file name is generated by a user. If not selected, the synchronization script will not open.

Execute the data population script against the database
Select the check box to synchronize the target database immediately without generating a synchronization script.

Buttons

Next
Click to proceed to the next page.

Generate
Click to start the data population process.

Cancel
Click to cancel data generation.

ExpandedToggleIcon(9x12) See Also

Data Population Wizard

Options, Data Population Wizard


Options, Data Population Wizard

On this page, you can set data population options specified below.

Search
Type an option name into the box to apply filtering.

Options

Backup path:
Select to backup the target database before data population and specify a backup file location. The backup file name will be generated in the current format: <database_name>_<yyyy>_<MM>_<dd>_,<hh>_<mm>.bak.

Create folder for database backup
Select to create directory on the server for the database backup. The option is disabled unless the Backup path: option is selected.

Insert multiple rows of data
Select to use a single INSERT statement for inserting all data into a table. The option will be ignored for sql_variant columns.

Use a single transaction
Select to execute data population script as a single transaction. All changes to the database will be rolled back in case of any error when executing the data population script.

Disable foreign keys
Select to drop foreign keys in the beginning of data population. After data population, foreign keys will be restored.

Disable primary keys, indexes and unique constraints
Select to drop primary keys, indexes and unique constraints in the beginning of data population. After data population, primary keys, indexes and unique constraints will be restored.

Disable check constraints
Select to drop check constraints in the beginning of data population. After data population, check constraints will be restored with WITH NOCHECK parameter.

Restore constraints with CHECK
If this option is disabled, all constraints will be created with the NOCHECK parameter. Otherwise, the constraints will be created with checking.

Disable DML triggers
Select to disable DML triggers in the beginning of data population. After data population, they will be enabled. This option applies to tables and views.

Disable DDL triggers
Select to disable DDL triggers in the beginning of data population. After data population, they will be enabled.

Include print comments
If this option is selected, comments will be printed into output during script execution. If print comments are included into the deployment script, it is easier to locate items in output.

Exclude comments
Select to prevent comments generation in the data population script.

Description
Contains information on a currently selected data population option.

Buttons

Save As My Defaults
Click this button to save current settings as your default data population settings.

Devart Defaults
Click this button to restore the application default data population settings.

My Defaults
Click this button to restore your default data population settings, previously saved with the Save As My Defaults button.

Back
Click to return to the previous page.

Next
Click to proceed to the next page.

Generate
Click to start the data generation process.

Close
Click to cancel data generation.

Help
Click to open online context help page.

ExpandedToggleIcon(9x12) See Also

Data Population Wizard

Summary, Data Population Wizard


Summary, Data Population Wizard

This window provides you detailed information about the data insertion.

Action Plan
Lists the actions that will be implemented.

Search
Use the Search option to look for an action.

Expand All
Click to expand all actions.

Collapse All
Click to collapse all actions.

Warnings
Lists warnings that may affect the data population process.

Buttons

Back
Click to return to the previous page.

Generate
Click to start the data generation process.

Cancel
Click to cancel data generation.

ExpandedToggleIcon(9x12) See Also

Data Population Wizard

Data Generator


Data Type-Specific Column Generation Settings

In SQL Server, table columns, local variables, expressions, and parameters have a related data type. A data type is an attribute that specifies the type of data that the object can hold. In this regards, generation parameters vary according to the data type of the selected field.

Column generation settings for NUMBER data types

Below is the list of exact number data types that use integer data.

bigint
Allowed value range for this type is -2^63 (-9,223,372,036,854,775,808) to 2^63-1 (9,223,372,036,854,775,807)

int
Allowed value range for this type is -2^31 (-2,147,483,648) to 2^31-1 (2,147,483,647)

smallint
Allowed value range for this type is -2^15 (-32,768) to 2^15-1 (32,767)

tinyint
Allowed value range for this type is 0 to 255

bit
Set the frequency of TRUE and FALSE values to occur

decimal
Allowed value range for this type is -10^38 +1 through 10^38 - 1

float
Allowed value range for this type is -1.79E+308 to -2.23E-308, 0 and 2.23E-308 to 1.79E+308

real
Allowed value range for this type is -3.40E + 38 to -1.18E - 38, 0 and 1.18E - 38 to 3.40E + 38

money
Allowed value range for this type is -922,337,203,685,477.5808 to 922,337,203,685,477.5807

smallmoney
Allowed value range for this type is -214,748.3648 to 214,748.3647

Column generation settings for CHAR data types

char(n), varchar(n), nchar(n), nvarchar(n), varchar(max), nvarchar(max), text, ntext
Character set
Select either US-ASCII or Unicode (UTF-8)

Min string lengths
Enter the minimal string length

Max string lengths
Enter the maximum string length

Start char
Select a start character from the drop-down list.

End char
Select an end character from the drop-down list.

binary
The strings will be generated with lengths between the specified values, inclusive of both the Min length and the Max length.

date
Max value
Use the Date-time picker control, to select the max value for Date.

Min value
Use the Date-time picker control, to select the min value for Date.

datetime

Max value
Use the Date-time picker control, to select the max value for Date. Enter a required values for Time and Fraction.

Min value
Use the Date-time picker control, to select the min value for Date. Enter a required values for Time and Fraction.

Random
Select to generate random values.

datetimeoffset
Select the timezone range.

hierarchyid
Min level
Select the min level of the hierarchical tree depth.

Max level
Select the max level of the hierarchical tree depth

Max value
Enter the max value

Min value
Enter the min value

geographic
Min longitude
Enter the min longitude value

Max longitude
Enter the max longitude value

Min latitude
Enter the min latitude value

Max latitude
Enter the max latitude value

Object type
Point
Linestring

geometry
Min X, Min Y, Max X, Max Y
Enter values for coordinates.

Object type
Point
Linestring
Polygon

ExpandedToggleIcon(9x12) See Also

Regular Expression Generator

Data Population Wizard


Data Editor

This section provides information on data managing windows and dialogs.

ExpandedToggleIcon(9x12) In This Section

Data Viewer and Editor
Describes how to view and edit fields of large data types.

Custom AutoFilter Dialog Box
Tells how to build a custom filter for a data column.

Filter Editor Dialog Box
Describes how to build complex filter conditions for table data.

Visible Columns Dialog Box
Tells how to filter data by hiding some columns.

Data Editor Window
Describes user interface elements of the Data Editor window.


Data Viewer and Editor Window

Data Viewer and Editor is a tool which allows simple viewing and editing fields.

The control automatically detects type of the content of the BLOB field and represents it as an image, text, rich text or hex dump. To access Data Viewer and Editor, on the View menu, click Data Viewer and Editor. Then just select the text or BLOB field, and its content appears in the Data Viewer and Editor window.

load-data Load Data
Replaces the cell content with the data from the file. It opens the Open File dialog where you can select a required file and specify the encoding which should be applied to open and save the file content.

Save Save Data
Opens the Save File As dialog to save data to a file.

note Note

If you try to save to database more data than can be stored in the selected column type, the data will be truncated.

Save Data at the Left
Saves data displayed in the left part of the window to a file.

Save Data at the Right
Saves data displayed in the right part of the window to a file.

note Note

The Save Data at the Left and Save Data at the Right options are available for comparison results.

null-data Null Data
Sets the cell value to NULL.

Apply Changes
Click to apply changes.

cancel-changes Cancel Changes
Click to cancel changes.

copy-cell Copy Entire Cell Value
Copies the cell data into the clipboard.

Paste Entire Cell Value
Replaces the cell data with the data from the clipboard. The format of the pasted data is automatically detected and the required view is set.

cut-cell Cut Entire Cell Value
Cut the cell data placing it to the clipboard.

Hexadecimal View
Shows cell data as hex dump.

Text View
Shows cell data as a text.

xml-view XML View
Shows the cell data as structured XML.

json-icon JSON View
Shows cell data as a JSON string.

Rich Text View
Shows cell data as a rich text.

Image View
Shows cell data as an image.

geometry-viewer Spatial View - Geometry
Shows geometry data as an image. The image in the view can be moved with the mouse pointer. The image can be also zoomed in and out. To zoom the image in, hold down the Ctrl key and roll the mouse wheel forward. To zoom the image out, hold down the Ctrl key and roll the mouse wheel backward.

FitScale Fit Image
Fits an image to the size of the window.

View White Space
Shows each white space with a green character.

Type | Size
Shows the type and size of the displayed data. If data cannot be displayed in the selected view, the Type will be set to Unknown.

note Note

You can copy all data in the cell by using the CTRL+SHIFT+C shortcut. Format of the copied data will depend on the selected view. For example, if the Hexadecimal view is selected, the data will be copied in hex order; data in the Text view, will be copied in text format, etc.

ExpandedToggleIcon(9x12) See Also

Data Editor

Custom AutoFilter Dialog Box


Custom AutoFilter Dialog Box

Custom AutoFilter dialog is used to create a custom filter for a data grid column. It is displayed when choosing Custom in the grid drop-down filter list.

Using this dialog, you can build a custom data filter with two conditions for a column. Condition relation can be selected from the drop-down list in the left box and value for relation can be entered in the right box. Select And or Or option, and click OK to apply the filter.

ExpandedToggleIcon(9x12) See Also

Data Editor

Filter Editor Dialog Box


Filter Editor Dialog Box

Use the Filter Editor dialog to create complex filter conditions to filter data in the data grid. To open this dialog, right-click a required column and select the [image] Condition item from the Quick Filter sub-menu.

Filter conditions in the Filter Editor dialog box are displayed as a tree with condition and group nodes. A group consists of several conditions or subgroups, united with a logical operator.

Condition Tree

The upper part of the Filter Editor dialog is a condition tree. Its nodes are red-colored condition groups and conditions, started with blue-colored column name.

Condition Group

It is displayed as a red-colored logical operator and a FilterGreyAdd button. Clicking the FilterGreyAdd button adds a new condition to group. Clicking the logical operator displays the following menu:

And
Sets And logical operator for the group. All group conditions must be true.

Or
Sets And logical operator for the group. At least one condition from the group must be true.

Not And
Sets Not And logical operator for the group. At least one condition from the group must be false.

Not Or
Sets Not Or logical operator for the group. All group conditions must be false.

Add Condition
Adds a new condition to the group.

Add Group
Adds a new condition group to the current group.

Clear All
This command is available for the top-level condition group only. Removes all conditions and subgroups, leaving only the top-level group node.

Remove Group
This command is available for the non-top-level condition group only. Removes the condition group.

Condition

It consists of the following parts:

Condition column
Blue-colored name of the grid column, to which condition will be applied. You can set another column for the condition by clicking the column name and choosing the column from the appeared menu.

Criteria operator
Green-colored criteria operator. You can set another operator for the condition by clicking the operator name and choosing the operator from the appeared menu.

Operand value
Click and enter the operand value here. Some operators have no operand values (for example Is blank operator), some may have several values.

FilterGreyAdd
This button appears for operators that can have one or more operand values. Click it to add one more operand value.

FilterGreyDel
Click this button to delete the condition. You can also navigate to the condition and press the DELETE or MINUS SIGN key

To navigate between conditions and groups, use the UP ARROW and DOWN ARROW keys. To navigate between a condition column, a criteria operator and a operand value, use the LEFT ARROW and RIGHT ARROW keys.

Buttons

OK
Apply the filter and close Filter Builder dialog.

Cancel
Close Filter Builder dialog and cancel all filter changes.

Apply
Apply the filter and without closing Filter Builder dialog.

ExpandedToggleIcon(9x12) See Also

Data Editor

Visible Columns Dialog Box


Visible Columns Dialog Box

Use the Visible Columns dialog to simplify data analysis and filter data by hiding some columns in the grid. To open this dialog, select Visible Columns from the column shortcut menu. The Visible Columns dialog contains the following:

List of columns
Clear a check box next to a column to hide the column data in the grid. Select a check box to show the column data again.

Select / Deselect All
Select this check box to show all the columns at once. Clear the check box to manually select required columns.

Sort alphabetically
Select it to show the columns in alphabetical order.

ExpandedToggleIcon(9x12) See Also

Data Editor

Data Editor Window


Data Editor Window

This topic describes the Data Editor window user interface elements.

RefreshButton Refresh Data
Use this option to refresh data.

Stop Refresh Data
Use this option to stop refresh operation.

Cached Updates Mode
Allows you to control data editing within single database object.

Apply Changes
Click to store your changes to the server.

Cancel Changes
Click in case you do not want the changes to be applied.

Paginal Mode
Use the Paginal Mode to simplify data view by dividing it into parts.

Go To First Page
Click the Go To First Page button to open the first part page of data.

Go To Previous Page
Click the Go To Previous Page button to open the previous part page of data.

Go to Next Page
Click the Go to Next Page button to open the next part page of data.

Go To Last Page
Click the Go To Last Page button to open the last part page of data.

Switch To Grid View
Click the Switch To Grid View button on the data view toolbar to switch to the Grid View mode.

Switch To Card View
Click the Switch To Card View button to switch to the Card View mode.

Show Group By Box
Click the Show Group By Box button to group data by column.

Auto-search mode
Click the Auto-search mode button to switch to the Auto-search mode. You can also switch to the Auto-search mode by pressing CTRL+I keys.

Data Editor Grid
Contains editable data. It could be represented as a table in the Grid View mode as well as cards in the Card View mode.

First First
Click the First button to switch to the first record field.

Previous Previous
Click the Previous button to switch to the previous record field.

Next Next
Click the Next button to switch to the next record field.

Last Last
Click the Last button to switch to the last record field.

Append Append
Click the Append button to insert more records.

Delete Delete
Click this button to delete the records.

End Edit
Click this button to confirm the changes.

Cancel Edit
Click the Cancel Edit button to discard the changes.

ExpandedToggleIcon(9x12) See Also

Data Editor


Execute Script Wizard

Use this wizard for executing large scripts without opening them in the editor. To access the Execute Script Wizard, on the Database menu, click ExecuteLargeScript Execute Large Script. The wizard pages are listed below.

ExpandedToggleIcon(9x12) Script Location, Execute Script Wizard

Use this page to choose a location and connection parameters of a large script to execute it without opening in the text editor. This will significantly save your time while working with large scripts.

Options

Connection
Click the field to select a connection to a required server where you want to execute your script. In the drop-down list of the field you can click the <Manage...> link to open the Connection Manager dialog box. It will help you to create, edit, and delete existing connections.

Database
Click the field to select a required database from the list of all databases available on the selected SQL Server.

File Name
Enter the path to a script you want to execute or click the Browse button to select the path in the Open dialog.

SQL file encoding
Select the encoding which should be applied to open and execute the script. The program automatically selects it based on the script, if it fails, the default encoding (the current Windows encoding on the machine where dbForge Data Generator for SQL Server is running) is selected.

Execute
Click it to execute the selected script.

Cancel
Click it to close the wizard and discard the script execution.

ExpandedToggleIcon(9x12) Execution Progress, Execute Script Wizard

See script execution progress on this page. To stop the script execution, click the Cancel button.

ExpandedToggleIcon(9x12) Operation Complete, Execute Script Wizard

See the results of script execution on this page.

ExpandedToggleIcon(9x12) See Also

Reference


Find and Replace Window

You can use the Find and Replace window to search for text, expressions, or entity names within the code of your documents. To access this window, from the Edit menu, click Find and Replace, and then select one of the options listed.

The Find and Replace window contains a toolbar with two drop-downs, one for find operations and one for replace operations. When you select an operation, the corresponding options for the operation are displayed. You can search and replace in one or more files or an entire project for text, SQL code, or symbols.

ExpandedToggleIcon(9x12) In This Section

Find, Find and Replace Window
Used to search the active file for a string or expression. Jumps from match to match within each document.

Find in Files, Find and Replace Window
Used to search for a string or expression in files stored within a set of search folders, or across the active solution. Displays matches in the Find Results windows.

Choose Search Folders Dialog Box
The topic describes Choose Search Folders dialog box that allows you to create your own set of search folders, and to specify the order in which they are searched.

Find Results Window
The topic describes the Find Results window that allows you to navigate text search results


Find, Find and Replace Window

Use Find and Replace dialog box for searching and replacing text in the code editor.

note Note

The dialog boxes and menu commands you see might differ from those described in Help depending on your active settings or edition.

To access the Find and Replace dialog box:

1. In the Edit menu, click Find and Replace.
2. Select required option from the list.

An alternative way to access the Find and Replace window is by pressing CTRL+F shortcut key.

ExpandedToggleIcon(9x12) Menus

Find
Allows to select Find or Find in Files dialog.

Find
The search will be executed in an open document.

Find in Files
The search will be executed in the selected files or a project. If this option is selected, the Find and Replace window provides additional options. You can create a set of selected folders, specify search file types, and set result options.

Replace
Allows to select Replace or Replace in Files dialog.

Replace
The search will be executed in the document. The occurrences will be replaced with the replacement string.

Replace in Files
The search will be executed in the files or a project. The occurrences will be replaced with the replacement string.

ExpandedToggleIcon(9x12) General Options

Find what
To search for a new text string or expression, specify it in the box. To search for any of the strings that you searched for most recently, open the list, and select the string for which you want to search. You can also:

· Reuse the search strings by selecting any from the drop-down list in the field
· Enter a new search string into the field
· Use regular expressions as search strings
· Use wildcards in your search strings

Replace with
Replacement string.

Look in
Select search location here.

Current Document
Search will be executed in current document only.

Current Window
Search will be executed in current tool window. It can be either the Output window or the Data Viewer and Editor window.

All Open Documents
Search will be executed in all open documents.

Selection
Search will be executed in the selected text.

Current Project
Search will be executed in the opened project.

ExpandedToggleIcon(9x12) Find Options

Match case
Case sensitive search.

Match whole word
The string will not be found/replaced if it is not a whole word.

Search up
Search will be performed in reverse direction.

Search hidden text
Search in collapsed text areas (such as regions, definitions and others) will be also performed.

Use
Use regular expressions or wildcards in search.

Regular expressions
A regular expression is a pattern of text that consists of ordinary characters (for example, letters a through z) and special characters, known as metacharacters. The pattern describes one or more strings to match when searching text. If this option is selected, the arrow button next to the Find what field becomes active. You can click the button and select a required regular expression to add to the Find what field.

Wildcards
This is a list of expressions to replace characters or digits in the Find what field.

ExpandedToggleIcon(9x12) Buttons

Find Next
Searches the next occurrence in document.

Bookmark All
Sets bookmarks for the lines, that contain occurrences in the scope. Available for the Find mode.

Replace
Searches the next occurrence in document or replaces the selected one if on replace dialog, shows replace dialog if on search dialog. Available for the Replace mode.

Replace All
Replaces all occurrences in search location. Available for the Replace mode.

ExpandedToggleIcon(9x12) See Also

Find and Replace Window

Find in Files, Find and Replace Window


Find in Files, Find and Replace Window

Use the Find and Replace window to find and replace text in the selected files.

note Note

The dialog boxes and menu commands you see might differ from those described in Help depending on your active settings or edition.

To access the Find in Files, Find and Replace dialog box:

1. In the Edit menu, click Find and Replace.
2. Select required option from the list.

An alternative way to access the Find in Files, Find and Replace window is by pressing CTRL+F shortcut key, and then select Find in Files from the Find menu.

ExpandedToggleIcon(9x12) Menus

Find
Allows to select Find or Find in Files dialog.

Find
The search will be executed in the opened document.

Find in Files
The search will be executed in the selected files or a project. If this option is selected, the Find and Replace window provides additional options. You can create a set of selected folders, specify search file types, and set result options.

Replace
Allows to select Replace or Replace in Files dialog.

Replace
The search will be executed in the document. The occurrences will be replaced with the replacement string.

Replace in Files
The search will be executed in the files or a project. The occurrences will be replaced with the replacement string.

ExpandedToggleIcon(9x12) General Options

Find what
String that will be searched. This field allows you to use a string or a regular expression that will be matched. You can do the following:

· Reuse the search strings by selecting any from the drop-down list in the field
· Enter a new search string into the field
· Use regular expressions as search strings
· Use wildcards in your search strings

Replace with
Replacement string.

Look in
Select a search location here, either selecting options from the drop-down list or creating a new set of folders in the Choose Search Folders window. The drop-down list contains the following options:

Current document
Search will be executed in the current document only.

All open documents
Search will be executed in all open documents.

Current Project
Search will be executed in the opened project.

Button
Click to open the Choose Search Folders dialog box for creating custom named folder list.

Include sub-folders
Select this check-box to include the sub-folders within the selected folder set in the Look in field.

ExpandedToggleIcon(9x12) Find Options

Match case
Case sensitive search.

Match whole word
The string will not be found/replaced if it is not a whole word.

Use
Select this check-box to activate the use of regular expressions or wildcards in search strings.

Regular expressions
A regular expression is a pattern of text that consists of ordinary characters (for example, letters a through z) and special characters, known as metacharacters. The pattern describes one or more strings to match when searching text. If this option is selected, the arrow button next to the Find what field becomes active. You can click the button and select a required regular expression to add to the Find what field.

Wildcards
This is a list of expressions to replace characters or digits in the Find what field.

Look at these file types
Select the required file types from the drop-down list. The search will be executed only in files of the selected type.

ExpandedToggleIcon(9x12) Result Options

Display file names only
Select this check-box to show one entry per a file containing a search match.

Keep modified files open after Replace All
Select this check-box to leave all modified files open after Replace All is performed. It will allow you to undo or save the changes in the files.

ExpandedToggleIcon(9x12) Buttons

Find Next
Searches the next occurrence in document.

Find All
Searches for all occurrences in the scope. Available for the Find in Files mode.

Replace
Searches the next occurrence in document or replaces the selected one if on replace dialog, shows replace dialog if on search dialog. Available for the Replace in Files mode.

Replace All
Replaces all occurrences in search location. Available for the Replace in Files mode.

ExpandedToggleIcon(9x12) See Also

Find and Replace Window

Choose Search Folders Dialog Box


Choose Search Folders Dialog Box

This dialog allows you to create, save, and revise your own set of search folders, and to specify the order in which they are searched. To open this dialog, click the Button button, next to the Look in field.

Folder set
Shows the folders available for search. To create a new folder set, enter a name, add a set of search folders to the Selected folders list, and then click the Apply button.

Apply
Saves the set of search folders in the Selected folders list as a named folder set. This folder set then can be chosen in the Look in field on all tabs of the Find and Replace window. Leaves the Choose Search Folders dialog box open.

Delete
Removes the selected folder set from the Folder set field, and from the Look in field on all tabs of the Find and Replace window.

Available folders
Select a previously selected folder from the drop-down list to populate the Selected folders list.

List of Folders
Shows the drives and folders available within the folder selected in the Available folders drop-down list. Double-click to expand any drive or folder listed. Select a folder, or hold down the SHIFT or CTRL key to select multiple folders. To add a selected folder to the Selected folders list, click the arrowright right-arrow button. To remove a selected folder, click the arrowleft the left-arrow button.

Up
Moves the selection in the Available folders list one level higher in the folder hierarchy.

Selected folders
Lists folders added from the Available folders list. These folders will be included in the named folder set.

Arrow buttons
arrowright - Moves folders to the Selected folders list.

arrowleft - Selects folders from the Selected folders list.

arrowup - Moves the selected folder to one position higher in the Selected folders list so that the folder will be searched earlier.

arrowdown - Shifts the selected folder to one position down in the Selected folders list so that the folder will be searched later.

OK
Saves the set of search folders listed in Selected folders list as a named folder set. This folder set then can be chosen in the Look in field on all tabs of the Find and Replace window. Closes the Choose Search Folders window.

Cancel
Discards all changes and closes the Choose Search Folders window.

ExpandedToggleIcon(9x12) See Also

Find and Replace Window

Find Results Window


Find Results Window

Find Results window allows you to navigate text search results. It provides you following search results: file name, line number and part of the text, containing the match. You may double-click on matches to navigate to them. Find Results window has following toolbar buttons.

Go to the location on the current line
Moves caret to the selected line location of the match found.

Go to the previous location in the list
Moves caret to the selected line location of the previous match found.

Go to the next location In the list
Moves caret to the selected line location of the next match found.

Clear All
Clears Find Results window.

ExpandedToggleIcon(9x12) See Also

Find and Replace Window


Options

This section describes different options that are available in dbForge Studio.

ExpandedToggleIcon(9x12) In This Section

Environment Options
This section describes Environment options which determine how certain elements of the dbForge Studio display and behave.

Text Editor Options
This section describes Text Editor options that provide a variety of ways to customize the performance and appearance of the editor.

Query Execution Options
This section provides a variety of ways to customize the performance of query execution.

Data Editor
This section describes the Data Editor options.


Environment Options

You can use the pages in the Environment folder in the Options dialog box to set how certain elements of the Data Generator display and behave. You can access the Environment pages by clicking Options on the Tools menu, and then clicking Environment.

ExpandedToggleIcon(9x12) In This Section

General, Environment, Options Dialog Box
Lists general environment preferences and explains them.

Keyboard, Environment, Options Dialog Box
Describes the tab where you can customize shortcut keys.

Output, Environment Options Dialog Box
Describes the tab where you can customize application output.

Documents, Environment, Options Dialog Box
Describes the tab where you can customize the document view layout.

Web Browser, Environment, Options Dialog Box
Describes the tab where you can set Data Generator web browser options.

ExpandedToggleIcon(9x12) See Also

Options

Text Editor Options


General, Environment, Options Dialog Box

Use this page of the Options dialog box to change settings for the Data Generator. You can access the Options dialog box by clicking Options on the Tools menu and then selecting the General page in the Environment folder.

Settings

At startup
Select what to do when Data Generator starts up.

Show Startup page
A Start Up page will be opened at startup.
Load Last Opened Project
Last opened project will be loaded at startup.
Create New SQL Document
A new empty SQL document will be created at startup.

Show Empty Environment
No documents or projects will be opened or created at startup.

Check updates on startup once a week
Select this option so that dbForge Data Generator for SQL Server will check if any updates are available for the product every week

Show splash screen on startup
Clear to turn off splash screen displaying.

Stop script execution on the first error
If selected, script execution will be stopped when execution encounters the first error.

Show status bar
Determines whether status bar should be visible.

Open object editors in the same window
If selected, all new object editors will be opened "unpinned". That means, when opening a database object with already opened database object of the same type, object editor of already opened object will be replaced with object editor of the opening object. This option doesn't work with stored procedures and functions.

Open source objects in the same window
If selected, all new source object editors will be opened "unpinned". This option works with stored procedures and functions.

Display X items shown in Window menu
Customizes the number of windows that appear in the Windows list of the Window menu. Type a number between 1 and 24. By default, the number is 10.

Display X items shown in recently used lists
Customizes the number of most recently used projects and files that appear on the File menu. Type a number between 1 and 24. By default, the number is 10. This is an easy way to retrieve recently used projects and files.

ExpandedToggleIcon(9x12) See Also

Environment Options

Keyboard, Environment, Options Dialog Box


Keyboard, Environment, Options Dialog Box

The Keyboard page of the Options dialog box allows you to customize the keyboard scheme for the Data Generator. Use this option to set shortcut keys for frequently used commands or to establish your favorite binding for a particular command. To access this dialog box, select Options from the Tools menu and choosing the Keyboard page from the Environment folder.

ExpandedToggleIcon(9x12) Options

Keyboard mapping scheme
Lists the set of all available collections of shortcut keys:

· Embarcadero RAD Studio
· Microsoft Visual Studio
· Eclipse
· Quest Software SQL Navigator
· Quest Software Toad
· Oracle SQL Developer
· Microsoft SQL Server Management Studio

To load a specific scheme, select it from the list. When you are ready to leave the options dialog box, click OK.

Reset
Resets all shortcuts to the defaults of the selected keyboard mapping scheme.

Show commands containing
Specifies which command is selected and shows a list of all commands available in the Data Generator that contain the specified characters, or all commands if this edit box is empty. As you type a complete word, the result list displays all entries containing the typed word. For example, you can enter save, locate the command, File.Save, and see that the associated shortcut is CTRL+S.

Shortcut(s) for selected command
Lists mapped shortcuts for the command selected in the Show commands containing list. Some commands have more than one mapped shortcut.

Remove
Removes the selected shortcut key combination.

Use new shortcut in
Specifies the scope of the shortcut key. For example, you can use the shortcut key globally in the Data Generator or only within a specific context (or window); Global is the default setting. If you choose a specific context, the shortcut key remains in effect only while the context is active. If you choose Global, the shortcut key works in any active window in the Data Generator, unless the same shortcut is mapped in another editor, in which case the editor overrides the shortcut.

Press shortcut key(s)
Allows you to press a key combination to be used for the currently selected command. You must use one or more modifier keys such as CTRL, ALT, or SHIFT. The modifier keys appear in the order in which you press them. For example, pressing CTRL, then SHIFT, and then F2 creates the shortcut key, CTRL+SHIFT+F2. You can enter one or two key combinations that include a modifier key. For example, you can enter CTRL+Y, or enter CTRL+Y, CTRL+W. Use BACKSPACE to delete the whole shortcut key combination at one time.

note Note

The following keys cannot be assigned: ALT, SHIFT, or CTRL without another key; ESC, PRINT SCRN/SYS RQ, SCROLL LOCK, PAUSE/BREAK, TAB, CAPS LOCK, INSERT, HOME, END, PAGE UP, PAGE DOWN, Windows logo keys, Application key, any of the ARROW keys, or ENTER; NUM LOCK, DEL, or CLEAR on the numeric keypad; or CTRL+ALT+DELETE.

Assign
Binds the new key combination to the selected command in the Keyboard mapping scheme displayed. The new assignment is added to the Shortcut(s) for selected command list and you can specify multiple key combinations for one command. This button is active after you type a key combination in the Press shortcut key(s) box. If you attempt to bind a key in the [Default Settings] scheme, you are prompted to make a copy of the scheme and give it a name.

note Note

Changes made using the Assign button are not canceled if you click the Cancel button.

Shortcut currently used by
Displays the command to which the key combination is currently assigned. Appears only when you assign a key or key combination that is already assigned. To replace the shortcut with a custom shortcut key combination you must define a new Keyboard mapping scheme.

ExpandedToggleIcon(9x12) See Also

Environment Options

Output, Environment, Options Dialog Box


Output, Environment, Options Dialog Box

Use Options window to adjust Data Generator behavior to your needs. To access this dialog box, select Options from the Tools menu and choosing the Output page from the Environment folder.

ExpandedToggleIcon(9x12) Settings

Show time for output events
If selected, the time stamp is added at the beginning of every line in the Output window.

ExpandedToggleIcon(9x12) SQL Log

Write queries sent by program to the SQL Log
Allows to log all the queries sent by program to a database.

ExpandedToggleIcon(9x12) Event Tracing

Log application errors
Check this option to write all errors and processes that took place during the application work to a file. This file is placed in the directory with the application executable file.

It can help a user to provide more detailed information on the encountered problem to the developers so that they are able to reproduce and fix the problem faster. If you have encountered an error and are going to send us an error report, this file will be attached to the letter with the error report.

Delete application log after closing
Clear this checkbox if you want the application log be available after application closing.

ExpandedToggleIcon(9x12) See Also

Environment Options

Documents, Environment, Options Dialog Box


Documents, Environment, Options Dialog Box

Use the Options window to adjust the Data Generator behavior to your needs.

ExpandedToggleIcon(9x12) In This Section

SQL Documents Dialog Box
Describes options available for SQL document view.

Categories
Displays the list of available document categories.

Restore
Use the topic to customize the automatic files saving.

ExpandedToggleIcon(9x12) See Also

Environment Options

Web Browser, Environment, Options Dialog Box


SQL Documents Dialog Box

The SQL Documents subsection of Environment Documents of the Options window contains the following options:

ExpandedToggleIcon(9x12) Default SQL Document View Layout

One main document view
All views corresponding to the opened SQL document are visible. You can activate the needed view by clicking the corresponding tabs.

All views tabbed
Only one view corresponding to the document is visible, all others are tabbed. Click the needed tab for the corresponding view to be shown on the screen.

note Note

You can also change the document view layout from the shortcut menu that can be called from the lower part of the document view.

Show Data view for every SQL document
Check this option for the Data view tab to be displayed for every opened or newly created SQL document.

Activate Data editor after query execution
Check this option to focus on the Data editor after a query is executed. If this option is unchecked, focus stays in the Text view.

Redirect data to Data window if Data view is closed
If this option is checked, data returned after query execution is displayed into the Data window if the Data view is closed.

ExpandedToggleIcon(9x12) See Also

Documents, Environment, Options Dialog Box

Environment Options


Categories

Displays the list of available document categories.

Name
Category name.

Shape
Category shape.

Color
Category color.

New Category
Adds a new category to the list.

Delete Category
Deletes a selected category.

Reset to Default
Resets all changes to defaults.

ExpandedToggleIcon(9x12) See Also

Documents, Environment, Options Dialog Box

Restore


Restore

Use the topic to customize the automatic files saving. It will allow you to return to the documents which you forgot to save during the last session.

Settings

Save restore information every ... min
Set the time after which the data will be saved automatically.

Restorable file types

SQL files (*.sql)
If checked, the *.sql files will be saved automatically.

Text files
If checked, the text files will be saved automatically.

XML files
If checked, the XML files will be saved automatically.

Data generator files (*.dgen)
If selected, the data generator files will be saved automatically.

ExpandedToggleIcon(9x12) See Also

Documents, Environment, Options Dialog Box

Web Browser, Environment, Options Dialog Box


Web Browser, Environment, Options Dialog Box

Use the Options window to adjust Data Generator behavior to your needs. To access this dialog box, select Options from the Tools menu and choosing the Web Browser page from the Environment folder.

ExpandedToggleIcon(9x12) Settings

Home page
Set here a home page for Data Generator web browser. It opens when you call Data Generator web browser window or click Home button on Web toolbar.

Use default
Use the product home page.

Search page
Set here a search page for Data Generator web browser. It opens when you click Online Search button on Web toolbar.

Use default
Use Google as a search page.

ExpandedToggleIcon(9x12) See Also

Environment Options

Options


Text Editor Options

The Text Editor options in the Options dialog box provide a variety of ways to customize the performance and appearance of the editor.

ExpandedToggleIcon(9x12) In This Section

General, Text Editor, Options Dialog Box
This dialog box lets you change global settings for the Data Generator.

Tabs, Text Editor, Options Dialog Box
This dialog box allows you to change the default behavior of the Code Editor.

Font & Colors, Text Editor, Options Dialog Box
This dialog box allows you to change the default setting for a custom font and color scheme for various user interface elements.

Printing, Text Editor, Options Dialog Box
This dialog box allows you to change default printing options.

Advanced, Text Editor, Options Dialog Box
This dialog box describes how to set up tabulation and indenting editor preferences.

Code Completion
This section describes statement completion options available in Data Generator.

Formatting
This section describes code formatting options available in Data Generator.

ExpandedToggleIcon(9x12) See Also

Options

Data Editor Options


General, Text Editor, Options Dialog Box

This dialog box lets you change global settings for the Code and Text. To display this dialog box, click Options on the Tools menu, expand the Text Editor node, and then click General.

Settings

Virtual whitespace
When selected, it allows you to move the cursor beyond the physical end of a line of text into character spaces that do not exist. If you move your cursor out into this area and begin typing, the void between your current position and the end of the last word is automatically filled with space characters. When this setting is not selected, you cannot move the cursor beyond the last character in a line.

Bracket matching
If selected, dbForge Data Generator for SQL Server finds a corresponding bracket for the one that is currently near the cursor.

Display

Line numbers
Displays line numbers in the left of Text view of a document.

Indicator margin
Reveals the indicator margin on the left of Text view of a document.

Vertical scroll bar
Shows or hides a vertical scrollbar in Text view of a document.

Horizontal scrollbar
Shows or hides horizontal scrollbar in Text view of a document.
Navigation bar
Check this option to enable a navigation bar. It can be useful if you have a large amount of CREATE TABLE instances in your script and you need to navigate between columns and tables in it.
Hide if empty
Check this option to show navigation bar only when two or more objects are created. If only one object is created in a SQL statement the bar remains hidden as it is not needed.

ExpandedToggleIcon(9x12) See Also

Text Editor Options

Tabs, Text Editor, Options Dialog Box


Tabs, Text Editor, Options Dialog Box

This dialog box allows you to change the default behavior of the Code Editor. To display this dialog box, click Options on the Tools menu, expand the Text Editor node, and then click Tabs.

ExpandedToggleIcon(9x12) Indenting

None
When selected, no automatic indenting occurs when you press ENTER to move to a new line of text, and the cursor is placed at the first column of the next line.

Block
When selected and you press ENTER, the new line of text is automatically indented to the same tab stop as the line preceding it.

Smart
When selected, new lines of text are automatically indented taking into account selecting formatting options.

ExpandedToggleIcon(9x12) Tabs

Tab size
Sets the distance in spaces between tab stops. The default is 2 spaces.

Indent size
Sets the size in spaces of an automatic indentation. The default is 2 spaces. Tab characters, space characters, or both will be inserted to fill the specified size.

Insert spaces
When selected, indent operations insert only space characters, not TAB characters. If the Indent size is set to 5, for example, then five space characters are inserted whenever you press the TAB key or the Increase Indent button on the Formatting toolbar.

Keep tabs
When selected, indent operations insert as many TAB characters as possible. Each TAB character fills the number of spaces specified in Tab size. If the Indent size is not an even multiple of the Tab size, space characters are added to fill in the difference.

ExpandedToggleIcon(9x12) See Also

Text Editor Options

Font & Colors, Text Editor, Options Dialog Box


Font & Colors, Text Editor, Options Dialog Box

The Fonts and Colors page of the Options dialog box lets you establish a custom font and color scheme for various user interface elements in the Data Generator. To access this dialog box, click Options on the Tools menu, and then select the Font &Colors page in the Text Editor folder.

Options

Font (bold type indicates fixed-width fonts)
Lists all the fonts installed on your system. Fixed fonts appear in bold.

Size
Specify the size of the font for the selected display item here.

Use Defaults
Resets text editor font and color settings to the default values.

Display items
Select a display item here to change its font and color settings.

Brace Matching
Matching braces, for example ().
Built-in Data Type
Built-in data type, for example, INT or VARCHAR.
Built-in Function
Built-in function, for example, COUNT.
Call Return
Source statement that indicates call return points when context is switched to a non-top stack frame when debugging.
Comment
Code comment.
Current Statement
Current code line when debugging.
Identifier
Identifier, such as database object name, stored procedure parameter, etc.
Keyword
SQL keyword.
Number
Number.
Operator
Operators and separators (, ;: * + = / - . (<>!~&^%\|{})).
Plain Text
Text, when editing a file as text.
Program Block Label
Labels.
Region
Region or endregion command.
Select Marker
Frame around the select statements.
Selected Line
Line, selected in the Find Results window.
String
SQL string constant.
Visible Whitespace
White space characters when View White Space is turned on.
XML Attribute Name
Tag attribute in XML editor.
XML Comment
Comment in XML editor.
XML Indent
Indent in XML editor.
XML Number
Number in XML editor.
XML Special Tag
Special XML tag.
XML String
String constant in XML editor.
XML Tag Name
XML attribute name.

Bold
Select it to display the text of selected display items in bold.

Italic
Select it to display the text of selected display items in italic.

Item foreground
Font color of a selected display item.

Item background
Background color of a selected display item.

Sample
Sample of a display item appearance.

ExpandedToggleIcon(9x12) See Also

Text Editor Options

Printing, Text Editor, Options Dialog Box


Printing, Text Editor, Options Dialog Box

This dialog box allows you to change default printing options. To access this dialog box, click Options on the Tools menu, and then select the Printing page in the Text Editor folder.

ExpandedToggleIcon(9x12) Settings

Print header
Check it to print the document name.

Print line numbers
Check it to print line numbers in the document.

Print white space
Check it to print white space symbols, tabulation symbols, and symbols of line breaks.

ExpandedToggleIcon(9x12) See Also

Text Editor Options

Advanced, Text Editor Options Dialog Box


Advanced, Text Editor, Options Dialog Box

Use the Options window to adjust Data Generator behavior to your needs. To open it, select Options from the Tools menu.

The Advanced section of the Text Editor options allows you to setup outlining and SELECT statement highlighting. You can use the following options:

ExpandedToggleIcon(9x12) Outlining

Enter outlining mode when files open
If selected, outlining is enabled when you open a file.

Collapse --region blocks when files open
If selected, --region blocks in an opened file will be collapsed.

ExpandedToggleIcon(9x12) Syntax highlighting

Highlight SELECT statements
If selected, a frame will be drawn around SELECT statements.

Underline errors in the editor
If selected, syntax errors will be underlined with a red curved line.

ExpandedToggleIcon(9x12) Editor performance

Enable syntax highlight
Clear a check box to disable syntax highlight.

Max script size
Specify max script size for syntax highlight support.

Max script size
Specify max script size for code completion, navigation and refactoring support.

ExpandedToggleIcon(9x12) See Also

Text Editor Options

Code Completion Options


Code Completion Options

Code Completion

This section explains statement completion options provided in the Options window.

The Code Completion section of the Text Editor options contains the following subsections:

ExpandedToggleIcon(9x12) In This Section

General, Code Completion Text Editor Options Dialog Box
Lists general code completion preferences and explains them.

Advanced, Code Completion Text Editor Options Dialog Box
Describes advanced code completion options.

List Members, Code Completion Text Editor Options Dialog Box
Describes options for list members.

Alias, Code Completion Text Editor Options
Describes options for aliases.

ExpandedToggleIcon(9x12) See Also

Text Editor Options

Formatting


General, Code Completion Text Editor Options Dialog Box

Use the Options window to adjust Data Generator behavior to your needs. To open it, select Options from the Tools menu.

The General subsection of the Code Completion section of the Text Editor options allows you to setup options for automatic code formatting when typing code. Use the following options:

Enable Code Completion
Select to toggle automatic code completion. Selected by default.

Auto-list members
Toggles the display of valid databases, tables, columns, and other database objects in the suggestion box when you are typing. Selected by default.

Auto Parameter Info
Toggles the display of the Parameter Info hint when the left bracket is typed after the procedure or object method name. Selected by default.

Automatically trigger after ... millisec
Defines a delay used bydbForge Data Generator for SQL Server to show the suggestion box after you stop typing. To change the default value, use the arrow buttons in the field or enter the value.

Highlight Occurrences
Toggles identifier occurrence highlighting.

ExpandedToggleIcon(9x12) See Also

Code Completion Options

Advanced, Code Completion Text Editor Options


Advanced, Code Completion Text Editor Options

Use the Options window to adjust Data Generator behavior to your needs. To open it, select Options from the Tools menu.

The Advanced subsection of the Code Completion section of the Text Editor options allows you to setup options for automatic code completion when typing code. The following options are available:

Qualify column name with table alias
Defines that column names should be committed with table alias.

Qualify column name (no table alias)
Defines how column names should be committed.

With table name
The name of the table the column belongs to is specified before the column name: TableName.ColumnName.
With schema name and table name
The name of the table the column belongs to and the schema name are specified before the column name: SchemaName.TableName.ColumnName.

Reverse order in 'JOIN'-condition
Applies reverse order in JOIN conditions.

Add parentheses when inserting a function
If the option is checked, parentheses are added when you insert functions.

Quote identifiers
Choose the way of identifying a quote here.

Always
If the option is enabled, all the identifiers, aliases, and database objects will be enclosed in parentheses.
If an identifier concurs with a keyword
If the option is enabled, all the identifiers, aliases, and database objects will be enclosed in parentheses, in case their names concur with reserved keywords or system objects.
If quotes are required
If the option is enabled, all the identifiers, aliases, and database objects will be enclosed in parentheses, if required. For instance, if a column name is declared with white spaces.

ExpandedToggleIcon(9x12) See Also

Code Completion Options

List Members, Code Completion Text Editor Options


List Members, Code Completion Text Editor Options

Use the Options window to adjust Data Generator behavior to your needs. To open it, select Options from the Tools menu.

The List Members subsection of the Code Completion section of the Text Editor options allows you to setup options for automatic code completion when typing code. The following options are available:

ExpandedToggleIcon(9x12) Settings

Sort keywords by relevance
When selected, keywords in the suggestion box will be sorted to display the most relevant at the top of the list. It is selected by default.

ExpandedToggleIcon(9x12) Filtering Rule

These options define how to filter the list of suggestions in the suggestion box. If neither of them is selected, Data Generator will display only suggestions that start with the typed character(s).

By Matching
When selected, Data Generator filters the list of suggestions to display those that start with the typed character(s) or contain it in the top of the list.

Camel Case
When selected, Data Generator filters the list of suggestions to display those that are compound word which elements are joined without spaces and start with the typed characters.

ExpandedToggleIcon(9x12) Commit selection in completion list by typing

When you type any of the symbols specified below, Data Generator will insert a highlighted suggestion from the suggestion box into code.

Tab
The highlighted suggestion will be inserted when you press the TAB key.

Whitespace
The highlighted suggestion will be inserted when you press the SPACE key.

Following characters:
Enter characters here, and the highlighted suggestion will be inserted when you type any of the specified characters.

Add new line on enter at end of fully typed word
Cursor will be moved to the new line if you type a word completely and press ENTER.

ExpandedToggleIcon(9x12) See Also

Code Completion Options


Alias, Code Completion Text Editor Options

Use the Alias section to setup alias generation. You can apply the following options:

Settings

Generate alias on commit
Alias is generated when a table object name is committed. If this option is unchecked, all other options are disabled.

Generate aliases in UPPER case
Determines the case of alias. The option is disabled by default.

Automatically generate AS clause
Alias is added using the AS clause.

Exclude following names
Check to create a list of table object names for which aliases should not be created. If this option is unchecked, the Exclude names box is disabled.

Exclude names
Add the names of table objects aliases for which should not be created to this box. You can remove a name by selecting it in the list and clicking the DeleteName button.

Exclude following name prefixes
Check to create a list of prefixes that should be ignored when generating aliases for table object names. If this option is unchecked, the Exclude name prefixes box is disabled.

Exclude name prefixes
Add prefixes that should be ignored when generating aliases for table object names. You can remove a prefix by selecting it in the list and clicking the DeleteName button.

Reset Page Defaults
Click this button to reset settings on this page to the default ones.

note Note

This functionality is only available in dbForge Studio for SQL Server.

expandedtoggleicon(9x12) See Also

Code Completion Options

Text Editor Options


Formatting

This section explains code formatting options provided in the Options window. The Formatting section of the Text Editor options contains the following subsections:

ExpandedToggleIcon(9x12) In This Section

General, Formatting, Text Editor Options Dialog Box
Lists general code formatting preferences and explains them.

Profiles, Formatting, Text Editor Options Dialog Box
Describes options to customize case formatting profiles.

ExpandedToggleIcon(9x12) See Also

Text Editor Options

Data Editor Options


General, Formatting, Text Editor Options Dialog Box

Use the Options window to adjust Data Generator behavior to your needs. To open it, select Options from the Tools menu, expand the Text Editor node, and in the Formatting node click General.

ExpandedToggleIcon(9x12) Settings

The General subsection of the Text Editor Formatting section allows you to setup options for automatic code formatting when typing code. You can use the following options:

Automatically format on paste
If checked, pasted code will be automatically formatted. Selected by default.

Automatically format completed statement on delimiter
If checked, code will be automatically formatted when the delimiter is entered (semicolon or backslash). Selected by default.

Automatically format while typing
If the option is checked, code formatting while typing statement elements in SQL editor is supported. Start typing first letters for the required statement, and press TAB or a space to see the result. All objects and keywords are formatted in correspondence with formatting active profile settings. By default, the option is selected.

Right Margin
Line breaks will be inserted automatically after the Right Margin number of characters on a line. 80 is by default.

Put syntax errors to Output window
Select it if you want syntax errors to be redirected to the Output window.

Show syntax error notification window
Select it if you want the syntax error notification window to appear upon formatting a document.

Dictionary file
Specify file with dictionary to adjust formatting to your needs. You can use default dictionary or create a new one. Also you can modify the existing dictionary. This dictionary is used to format identifiers when the Text Case, Identifier Case option is set to Initial Caps each word.

Available prefixes
Specify prefixes here. If one of the prefixes is used in a word, the application looks in the dictionary for the word that is used after the prefix. If the word is found, its first letter is written in uppercase. These prefixes can be used to format identifiers when the Text Case, Identifier Case option is set to Initial Caps each word.

Reset Page Defaults
Resets all options on this page to their default values.

ExpandedToggleIcon(9x12) See Also

Formatting

Text Editor Options


Profiles, Formatting, Text Editor Options Dialog Box

Use the Profiles option to customize code formatting provided by Data Generator. To access it, go to Tools menu, select Options, and then click Text Editor. Navigating to Formatting, click Profiles.

ExpandedToggleIcon(9x12) Formatting Profiles

Select a profile from the table.

Name
Profile name.

File
Profile file name.

Edit Profile...
Opens the Edit Profile Options window that allows editing options available in the profile.

New Profile...
Opens the New Profile window to create a new formatting profile.

Activate
Click to activate the selected profile.

Show in Folder
Opens folder containing the selected profile.

ExpandedToggleIcon(9x12) Context Menu

Edit Profile
Click to open the Edit Profile window.

Reset To Defaults
Click to reset settings to the default values.

Activate
Activates the selected profile.

Rename
Click to change the profile name.

Show In Folder
Opens folder containing the file in Windows Explorer.

Copy File Path
Copies file path to the clipboard.

Delete
Click to delete selected formatting profile.

ExpandedToggleIcon(9x12) See Also

Formatting

Text Editor Options


Edit Profile, Formatting Options

Use this window to edit formatting options in the selected formatting profile.

ExpandedToggleIcon(9x12) Edit Profile Window

Filter
Allows to quick search the needed options/option groups.

collapse-all Collapse/Expand all option groups
Click to expand/collapse the option groups tree.

Show white spaces button
Click to toggle white spaces in the formatting profile editor.

Show Original Sample
Click to restore the code sample to its original state.

Format Text
Formats code according to the selected options.

Options tree
Includes various code formatting options. Allows customizing default text formatting options the way user likes.

Code field
Shows how the code looks like after choosing the corresponding text formatting options.

ExpandedToggleIcon(9x12) Edit Profile Context Menu

Format Selection
Formats selected code according to the chosen options.

Cut
Cuts selected text and places it to the clipboard.

Copy
Copies selected text to the clipboard.

Paste
Pastes the clipboard content into the cursor position.

ExpandedToggleIcon(9x12) See Also

Profiles, Formatting, Text Editor Options Dialog Box

New Profile, Formatting Options


New Profile, Formatting Options

Use this window to create and add new formatting profile to the list of profiles.

ExpandedToggleIcon(9x12) New Profile Window

Name
Specify the new profile name here.

Copy settings from
Select an existing profile to copy settings from.

File Path
Set the path to save your new formatting profile.

Set Active
Activate this profile in the Profiles, Options Dialog Box.

ExpandedToggleIcon(9x12) See Also

Profiles, Formatting, Text Editor Options Dialog Box

Data Editor Options


Query Execution Options

The Query Execution options in the Options dialog box provide a variety of ways to customize the performance of query execution.

ExpandedToggleIcon(9x12) In This Section

General, Query Execution, Options Dialog Box
Use the Options window to adjust the query execution to your needs.

ExpandedToggleIcon(9x12) See Also

Options

Data Editor Options


General, Query Execution, Options Dialog Box

Use the Options window to adjust the query execution behavior to your needs. To access this dialog box, select Options from the Tools menu and choosing the General page from the Query Execution folder.

The Query Execution General section of the Options window contains the following options:

ExpandedToggleIcon(9x12) General

ROWCOUNT
Causes SQL Server to stop processing the query after the specified number of rows are returned.

TEXTSIZE
Specifies the size of varchar (max), varbinary (max), text, ntext and image data returned by a SELECT statement.

ExpandedToggleIcon(9x12) Advanced

ARITHABORT
Select it to terminate a query when an overflow or divide-zero error occurs during query execution.

CONTACT_NULL_YIELDS_NULL
Controls whether concatenation results are treated as null or as empty string values.

DEADLOCK_PRIORITY
Specifies the relative importance that the current session continue processing if it is deadlocked with another session.

LOCK_TIMEOUT
Specifies the number of milliseconds a statement waits for a lock to be released. A value of -1 (default) indicates no time-out period (that is, wait forever). When a wait for a lock exceeds the time-out value, an error is returned. A value of 0 means to not wait at all and return a message as soon, as a lock is encountered.

NOCOUNT
Stops the message that shows the count of the number of rows affected by a Transact-SQL statement or stored procedure form being returned as a part of the result set.

NOEXEC
Complies each query, but does not execute it.

PARSEONLY
Examines the syntax of each Transact-SQL statement and returnees any error messages without compiling or executing the statement.

QUERY_GOVERNOR_COST_LIMIT
Overrides the currently configured query governor cost limit value for the current connection. Specifying 0 (the default) for this option turns off the query governor, and all queries are allowed to run indefinitely. The query governor disallows execution of any query that has an estimated cost exceeding that value.

SHOWPLAN_TEXT
Causes Microsoft SQL Server not to execute Transact-SQL statements. Instead, SQL Server returns detailed information about how the statements are executed.

STATISTICS IO
Causes SQL Server to display information regarding the amount of disk activity generated by Transact-SQL statements.

STATISTICS TIME
Displays the number of milliseconds required to parse, compile and execute each statement.

TRANSACTION ISOLATION LEVEL
Controls the locking and row versioning behavior of Transact-SQL statements issued by a connection to SQL Server.

ExpandedToggleIcon(9x12) ANSI

ANSI_NULL_DFLT_ON
Modifies the behavior of the session to override default nullability of new columns when the ANSI null default option for the database is false.

ANSI_NULLS
Specifies ISO compliant behavior of the Equals (=) and Not Equal To (<>) comparison operators when they are used with null values in SQL Server.

ANSI_PADDING
Controls the way the column stores values shorter, than the defined size of the column, and the way the column stores values that have trailing blanks in char, varchar, binary and varbinary data.

ANSI_WARNINGS
Specifies ISO standard behavior for several error conditions.

CURSOR_CLOSE_ON_COMMIT
Controls the behavior of the Transact-SQL COMMIT TRANSACTION statement. The default value for this setting is OFF. This means that the server will not close cursors when you commit a transaction.

IMPLICIT_TRANSACTIONS
Sets implicit transaction mode for the connection.

QUOTED IDENTIFIER
Causes SQL Server to follow the ISO rules regarding the quotation mark delimiting identifiers and literal strings. Identifiers delimited by double quotation marks can be either Transact-SQL reserved keywords or can contain characters not generally allowed by the Transact-SQL syntax rules for identifiers.

ExpandedToggleIcon(9x12) Other

Reset to Default
Click to reset options on this page to their default values.

ExpandedToggleIcon(9x12) See Also

Query Execution Options

Options


Data Editor Options

The Data Editor options in the Options dialog box provide a variety of ways to customize the performance and appearance of the editor.

ExpandedToggleIcon(9x12) In This Section

General, Data Editor, Options Dialog Box
Use the Options window to adjust the products behavior to your needs.

Font & Colors, Data Editor, Options Dialog Box
The Fonts and Colors page of the Options dialog box lets you establish a custom font and color scheme for Data Editor.

Printing, Data Editor, Options Dialog Box
This dialog box allows you to change default printing options.

Formatting, Data Editor, Options Dialog Box
Use the Options window to adjust the products behavior to your needs.

ExpandedToggleIcon(9x12) See Also

Options


General, Data Editor, Options Dialog Box

Use the Options window to adjust the products behavior to your needs. To access this dialog box, select Options from the Tools menu and choosing the General page from the Data Editor folder.

The Data Editor General section of the Options window contains the following options:

ExpandedToggleIcon(9x12) Settings

Automatically adjust column width
Automatically adjusts column width for every data grid.

Use cached updates mode by default
If selected, cached updates mode will be enabled by default in data view of every SQL document created.

Use paginal mode by default
If selected, paginal mode will be enabled by default in data view of every SQL document created.

Initial page size
Default page record count for paginal mode for data view.

Use auto-search mode by default
Activates auto-search in Data view by default.

Show row numbers
Adds a column with row numbers (#) to the data editor grid.

ExpandedToggleIcon(9x12) Data Editing

Open Data Editor in the editing mode
Select to open the Data Editor is opened in the editing mode by default.

Open Data Editor in the read-only mode
Select to open the Data Editor is opened in the read-only mode by default.

Show a dialog window to choose a mode
Select to invoke a dialog window asking to choose the mode in which Data Editor should be opened (editing or read-only).

ExpandedToggleIcon(9x12) See Also

Data Editor

Font & Colors, Data Editor, Options Dialog Box


Font & Colors, Data Editor, Options Dialog Box

The Fonts and Colors page of the Options dialog box lets you establish a custom font and color scheme for Data Editor. You can access this dialog box by clicking Options on the Tools menu, and then selecting the Font &Colors page in the Data Editor folder.

ExpandedToggleIcon(9x12) Options

Data Editor Font & Colors section of the Options window contains the following options:

Font
Select a font for the selected display item here.

Size
Specify a font size for the selected display item here.

Use Defaults
Click this button to reset specified font and color settings to the default values.

Display item
Select a display item here to change its background and foreground color settings.

Item foreground
Select a font color for the selected display item.

Item background
Select a background color for the selected display item.

Sample
Preview the display item appearance here.

ExpandedToggleIcon(9x12) See Also

Data Editor

Printing, Data Editor, Options Dialog Box


Printing, Data Editor, Options Dialog Box

This dialog box allows you to change default printing options. You can access this dialog box by clicking Options on the Tools menu, and then selecting the Printing page in the Data Editor folder.

ExpandedToggleIcon(9x12) General

Auto width
Select to fit the printed data to the page width.

ExpandedToggleIcon(9x12) Grid

Print horizontal lines
Select to print grid horizontal lines.

Print vertical lines
Select to print grid vertical lines.

ExpandedToggleIcon(9x12) Card

Print card captions
Select to prints card captions.

Print empty fields
Select to prints card empty fields.

ExpandedToggleIcon(9x12) See Also

Data Editor

Formatting, Data Editor, Options Dialog Box


Formatting, Data Editor, Options Dialog Box

Use the Options window to adjust the products behavior to your needs. You can access this dialog box by clicking Options on the Tools menu, and then selecting the Formatting page in the Data Editor folder.

ExpandedToggleIcon(9x12) DateTime Format

Data type
Select either Date or DateTime format here.

Edit format
Set the datetime format here. It can be one of the predefined formats or custom format. Predefined formats are described below. The following table contains all available format specifiers and their description.

Format Specifier

Description

d

A placeholder for the day of the month. If the day is a single digit only (1-9), then it's displayed as a single digit.

Note that if the 'd' specifier is used alone, without other custom specifiers, it's interpreted as the standard mask (short date pattern). If the 'd' specifier is passed with other custom specifiers or the '%' character, it's interpreted as a custom mask specifier.

dd

A placeholder for the day of the month. If the day is a single digit only (1-9), it is formatted with a preceding 0 (01-09).

ddd

Displays the abbreviated name of the current day.

The value represented by this specifier cannot be edited.

dddd (plus any number of additional "d" characters)

Displays the full name of the current day.

The value represented by this specifier cannot be edited.

f

A placeholder for seconds fractions represented in one digit.

Note that if the 'f' specifier is used alone without other custom specifiers, it's interpreted as the standard mask (full date/time pattern ). If the 'f' specifier is passed with other custom specifiers or the '%' character, it's interpreted as a custom mask specifier.

ff

A placeholder for seconds fractions represented in two digits.

fff

A placeholder for seconds fractions represented in three digits.

ffff

Displays seconds fractions represented in four digits.

The value represented by this specifier cannot be edited.

fffff

Displays seconds fractions represented in five digits.

The value represented by this specifier cannot be edited.

ffffff

Displays seconds fractions represented in six digits.

The value represented by this specifier cannot be edited.

fffffff

Displays seconds fractions represented in seven digits.

The value represented by this specifier cannot be edited.

g

Displays the era (A.D. for example) for the current date/time value.

The value represented by this specifier cannot be edited.

h

A placeholder for the hour part of the date/time value in the range 1-12.

hh

A placeholder for the hour part of the date/time value in the range 1-12. This pattern inserts two placeholders to enter a value. If a single digit is entered it is preceded with a '0'.

H

A placeholder for the hour part of the date/time value in the range 0-23.

HH

A placeholder for the hour part of the date/time value in the range 0-23. This pattern inserts two placeholders to enter a value. If a single digit is entered it is preceded with a '0'.

m

A placeholder for the minutes of the date/time value in the range 0-59.

mm

A placeholder for the minutes of the date/time value in the range 0-59. This pattern inserts two placeholders to enter a value. If a single digit is entered it is preceded with a '0'.

M

A placeholder for the month in this position, measured as a number in the range 1-12.

MM

A placeholder for the month in this position, measured as a number in the range 1-12. This pattern inserts two placeholders to enter a value. If a single digit is entered it is preceded with a '0'.

MMM

A placeholder for the abbreviated name of the month.

MMMM

A placeholder for the full name of the month.

s

A placeholder for the seconds part of the date/time value in the range 0-59.

Note that if the 's' specifier is used alone without other custom specifiers it's interpreted as the standard mask (sortable date/time pattern). If the 's' specifier is passed with other custom specifiers or the '%' character, it's interpreted as a custom mask specifier.

ss

A placeholder for the seconds part of the date/time value in the range 0-59. This pattern inserts two placeholders to enter a value. If a single digit is entered it's preceded with a '0'.

t

A placeholder for the first character of the A.M./P.M. designator of the date/time value.

Note that if the 't' specifier is used alone without other custom specifiers it's interpreted as the standard mask (short time pattern). If the 't' specifier is passed with other custom specifiers or the '%' character, it's interpreted as a custom mask specifier.

tt

A placeholder for the A.M./P.M. designator of the date/time value.

y

A placeholder for entering the last two digits of the year of the date/time value.

Note that if the 'y' specifier is used alone without other custom specifiers, it's interpreted as the standard mask (year month pattern). If the 'y' specifier is passed with other custom specifiers or the '%' character it's interpreted as a custom mask specifier.

yy

A placeholder for entering the last two digits of the year of the date/time value. This pattern inserts two placeholders to enter a value. If a single digit is entered it is preceded with a '0'.

yyyy

A placeholder for entering the year part of the date/time value including the century.

z

Displays the time zone offset for the system's current time zone in whole hours only. The offset is always displayed with a leading sign (zero is displayed as "+0"), indicating how many hours ahead of Greenwich mean time (+) or hours behind Greenwich mean time (-) the current time zone is. The range of values is -12 to +13. If the offset is a single digit (0-9), it's displayed as a single digit with an appropriate leading sign.

The value represented by this specifier cannot be edited.

zz

Displays the time zone offset for the system's current time zone in whole hours only. The offset is always displayed with a leading or trailing sign (zero is displayed as "+00"), indicating how many hours ahead of Greenwich mean time (+) or hours behind Greenwich mean time (-) the current time zone is. The range of values is -12 to +13. If the offset is a single digit (0-9), it's formatted with a preceding 0 (01-09) with an appropriate leading sign.

The value represented by this specifier cannot be edited.

zzz

Displays the time zone offset for the system's current time zone in hours and minutes. The offset is always displayed with a leading or trailing sign (zero is displayed as "+00:00"), indicating how many hours ahead of Greenwich mean time (+) or hours behind Greenwich mean time (-) the current time zone is. The range of values is -12:00 to +13:00. If the offset is a single digit (0-9), it's formatted with a preceding 0 (01-09) with an appropriate leading sign.

The value represented by this specifier cannot be edited.

:

Time separator.

/

Date separator. The actual date separator is determined by the DateTimeFormatInfo.DateSeparator property of the current culture.

"abc" or 'abc'

Quoted string. Inserts the string enclosed with single or double quotes literally to the edit box. The string cannot be edited.

%c

Where c is one of the standard mask specifiers, makes the specifier be interpreted as a custom mask specifier.

Note that if a mask specifier is used alone as a single character, it's interpreted as a standard mask specifier. Only mask specifiers consisting of two or more characters are interpreted as custom specifiers. In order to use a custom specifier on its own which matches one of the standard specifiers it should be preceded with the % character.

\c

The backslash is used as the escape character. It inserts the following character literally to the edit box.

Any other characters.

The other characters are inserted to the edit box literally.

ExpandedToggleIcon(9x12) Predefined Formats

You can choose one of the predefined datetime formats here. The following table contains their descriptions and samples.

Standard Mask | Name | Sample. Culture: English (USA)
d | Short date | 8/20/2007
D | Long date | Monday, August 20, 2007
t | Short time | 10:23 AM
T | Long time | 10:23:35 AM
f | Full date/time (short time) | Monday, August 20, 2007 10:23 AM
F | Full date/time (long time) | Monday, August 20, 2007 10:23:35 AM
g | General date/time (short time) | 8/20/2007 10:23 AM
G | General date/time (long time) | 8/20/2007 10:23:35 AM
M or m | Month day | August 20
R or r | RFC1123 | Mon, 20 Aug 2007 10:23:35 GMT
s | Sortable date/time | 2007-08-20T10:23:35
u | Universal sortable date/time | 2007-08-20 10:23:35Z
Y or y | Year month | August, 2007

ExpandedToggleIcon(9x12) See Also

Data Editor

Options


Service Windows

This section provides information on data managing windows and dialogs.

ExpandedToggleIcon(9x12) In This Section

Error List
The topic describes the Error List that helps you speed application development.

Output Window
The topic describes the Output window that displays status messages for various features.

Edit Value Dialog Box
The topic describes the Edit Value dialog box.

Save of Read-Only File Dialog Box
The topic describes the Save Prompt dialog box.

Save Prompt Dialog Box
The topic describes the Save of Read-Only File dialog box.

Windows Dialog Box
This topic describes the dialog box that allows you to display, close, and arrange documents that are open in editors and designers.

Product Update Manager
This topic describes the dialog box that allows you toВ see the update information of dbForge Data Generator for SQL Server.


Error List

The Error List contains errors, warnings, and messages with their location. To display the Error List, click the Error List button in the View menu. You can double-click error messages to locate errors quickly in multiple files.

The Error List window allows you to:

· Display the Errors, Warnings, and Messages produced as you edit and compile code.
· Find syntax errors
· Double-click any error message entry to open the file where the problem occurs, and move to the error location.
· Filter which entries are displayed, and which columns of information appear for each entry.

ExpandedToggleIcon(9x12) Error List Columns

Icon
Displays error or warning icon for the message.

Description
Display text of error or warning.

Location
Contains name of the document where the error occurred.

Line
Displays the line in the document, where the problem occurs.

Column
Shows the column on the indicated line where the problem begins.

ExpandedToggleIcon(9x12) Error List Shortcut Menu Commands

Goto Error
Opens the document on the place, where the error have occurred.

Copy
Copies the message to the clipboard.

Word Wrap
Enables or disables word wrap in the Description column of Error List.

Clear All
Clears Error List.

ExpandedToggleIcon(9x12) Error List Toolbar

Use the Errors, Warnings, and Messages buttons to select which entries to display.

Errors
Indicates the number of errors in the list. Click to toggle whether errors are displayed.

Warnings
Indicates the number of warnings in the list. Click to toggle whether warnings are displayed.

Messages
Indicates the number of messages in the list. Click to toggle whether messages are displayed.

In Active Document
Allows to review the errors, warnings, and messages either in the current document or in other opened documents.

ExpandedToggleIcon(9x12) See Also

Service Windows

Output Window


Output Window

This window can display status messages for various features. To display the Output window, select Output from the View menu.

Output messages can be divided into several categories. To view messages of the certain category click on its name on the Output window toolbar. If there is no such a name on the toolbar, right-click on the toolbar and select a required name from the shortcut menu.

General
Displays message statuses on general operations.

SQL Log
Displays all SQL queries executed by the application during the current session.

ExpandedToggleIcon(9x12) See Also

Service Windows

Properties Window


Edit Value Dialog Box

Use this dialog box to enter the option value. This dialog can be opened by clicking the button button for corresponding option.

ExpandedToggleIcon(9x12) See Also

Service Windows

Save of Read-Only File Dialog Box


Save of Read-Only File Dialog Box

When an attempt is made to save a read-only file, Save of Read-Only File dialog box appears. It contains following buttons.

Save As
Click to save the file to a different location.

Overwrite
Click to remove file's read-only attribute and replace original file with the changed one.

Cancel
Click to cancel save operation.

ExpandedToggleIcon(9x12) See Also

Service Windows

Save Prompt Dialog Box


Save Prompt Dialog Box

When an attempt is made to close a document or project that is modified and not saved, Save Prompt dialog box appears. It comprises of list, containing modified project and documents, and buttons you can use to proceed. Documents are grouped by project and miscellaneous files.

Yes
Click Yes button to save selected documents and project. If a document is not implicitly named, a Save dialog will appear where you can give a name to the document.

No
Click No to discard all changes made to the documents you are closing.

Cancel
Click Cancel button to return to IDE without closing any of the documents.

ExpandedToggleIcon(9x12) See Also

Service Windows

Windows Dialog Box


Windows Dialog Box

Use this dialog box to activate, save, and close documents. To access this dialog box, in the Window menu, click Windows. Note that you must have at least one document open for this option to be available.

The Windows dialog box allows you to manipulate several documents at single click. The dialog is not closed when you apply any actions, so it is extremely useful when you have many documents currently open.

Windows list
All documents currently open are enumerated in the list. Click on a document's line to select or deselect it. Use Ctrl and Shift keys to perform group operations.

Activate
Click this button to view the selected document without closing the dialog. Available only when single document is selected in the list.

Save
Save selected documents.

Close Window(s)
Close selected documents. If some are not saved, a dialog appears where you can save them if you need.

Close
Close the current dialog.

ExpandedToggleIcon(9x12) See Also

Service Windows

Product Update Manager


Product Update Manager

Use this dialog to see the update information of dbForge Data Generator for SQL Server.

To open the Product Update Manager dialog window, click the Check for Updates button in the Help menu.

To make Data Generator check for updates automatically:

1. In the Tools menu, click Options.
2. Expand the Environment folder in the Options window.
3. Check the Check updates on startup once a week check box.

The Product Update Manager window contains the following details:

Product information
This section shows the product's name, version, and file size.

Refresh
Click it to update the product information.

View revision history
Click it to view the history file of dbForge Data Generator for SQL Server.

Devart authentication
Contains the Login, and the Password text boxes. Allows registered users to pre-save the login credentials.

Save downloaded installation
Check it if you want to save an installation file. Then you should specify the file location in the File name field.

File name
Enter the location of the installation file or click the Browse button to select it in the Browse for Folder dialog.

Browse
Click it to select the installation file location in the Browse for Folder dialog.

Just download a file (do not start installation)
Select it to download the installation file without starting it.

Update
Click it to start downloading the installation file.

Cancel
Click it to close the dialog. Note, this won't stop installation download. To stop downloading, close dbForge Data Generator for SQL Server.

ExpandedToggleIcon(9x12) See Also

Service Windows

Reference


Shortcut Keys

Several pre-defined keyboard shortcut collections are included in Data Generator. All shortcuts can be customized.

ExpandedToggleIcon(9x12) Global Shortcut Keys

The following shortcut key combinations can be used in any Data Generator document or tool window.

Icon | Command Name | Shortcut Keys | Description | Where is used
 | Output | Ctrl+W, O | Open the Output window | Global
 | Error List | Ctrl+W, E | Open Error List window | Global
 | Data Viewer and Editor | Ctrl+W, R | Open Data Viewer and Editor window | Global
 | Web Browser | Ctrl+W, W | Reveal Web Browser | Global
 | New Connection | Ctrl+D, N | Show Database Connection Properties dialog box for a new connection | Global
 |  | Ctrl+PLUS (+) KEY | Zoom font size in | Global
 |  | Ctrl+MINUS (-) KEY | Zoom font size out | Global
 |  | Ctrl+0 | Reset font size to the default value | Global
 |  | F1 | Show help about current window | Global

ExpandedToggleIcon(9x12) Document Management Shortcut Keys

These are default shortcuts. All shortcuts can be customized.

Icon | Command Name | Shortcut Keys | Action | Where is used
 |  | Ctrl+Tab | Switch to last used document | Global
 |  | Ctrl+Shift+Tab | Cycle through all open documents | Global
 |  | F7 | Cycle through document views | Global
 |  | Shift+F7 | Cycle through document views backwards | Global
Save | Save | Ctrl+S | Save current document | Global
SaveAll | Save All | Ctrl+Shift+S | Save all documents | Global
 | Open | Ctrl+O | Open document | Global
 | Close Document | Ctrl+F4 | Close current document | Global
new-sql-window | New SQL | Ctrl+N | New SQL document | Global
Print | Print | Ctrl+P | Print | Text or data view of a document Data window

ExpandedToggleIcon(9x12) See Also

Reference


SQL Document

This section describes Query Editor user interface elements.

ExpandedToggleIcon(9x12) In This Section

SQL Editor Window
This topic describes the SQL document window interface elements.

Edit Parameters Dialog Box
This topic describes content of dialog box where you can edit query parameters.


SQL Editor

SQL Document is a processing utility that serves for entering and editing SQL statements.

To learn how to use SQL Editor features, see Writing and Executing SQL Statements.

To open SQL editor:

On the File menu, point to New, and then click New SQL.

-or-

On the Standard toolbar, click New SQL.

SQL Document Interface Elements

Code Pane
An area where SQL code is displayed and edited.

Margin Indicator Bar
A gray area at the left of the editor. Margin indicators, such as breakpoints, bookmarks, current location of the execution point and others, are displayed there. You can show or hide it by setting the corresponding option in the General, Text Editor, Options dialog box.

Selection Margin
White area between the margin bar and code. Click here to select the line.

Horizontal and Vertical Scroll Bars
Allows scrolling the code. You can show or hide them by setting corresponding options in the General, Text Editor, Options dialog box.

Navigation Bar
A bar with two boxes at the top of the editor. Allows navigating through DDL statements. Select database objects in the left box and sub-objects of the selected object in the left box to navigate through DDL statements.

Document view
Displays the current document view. There are two views available: Text and Data.

Swap main and additional document views
Click to swap the main view and active additional views.

Query Execution Pane
Shows details of query execution. Consists of the following elements: query execution status, server version, user name, database, duration time of query execution.

Split Layout
Click to switch to split layout.

Combined Layout
Click to stitch to combined layout.

Show/hide additional document views
Click to show or hide additional document views.

ExpandedToggleIcon(9x12) See Also

SQL Document

Edit Parameters Dialog Box


Edit Parameters Dialog Box

This window allows you to add, delete, or modify existing parameters in the query. Click edit-parameters Edit Parameters button on the SQL toolbar to invoke this window.

Name
Displays the list of parameters that are currently used. Click on a parameter to select it and fill the fields to the right of the list with values that correspond to the selected parameter. Click it again to rename the parameter.

The following fields are specific for every parameter. Their content depends on what parameter is currently selected.

Type
Lets you choose the data type of the parameter.

Direction
Indicates whether the parameter is input, output, or bidirectional.

Nullable
Specifies whether the value of this parameter is NULL. Checking this option clears the Value field.

Value
Value of the parameter. Note that character or date and time values should not be quoted. If you want to set value sample text you should just enter sample text without quotes.

ExpandedToggleIcon(9x12) See Also

SQL Document


General, Data Comparison, Options Dialog Box

This dialog box lets you change global settings for the Data Comparison. To display this dialog box, click Options on the Tools menu, expand the Data Comparison node, and then click General.

ExpandedToggleIcon(9x12) Settings

The Data Comparison General section of the Options window contains the following options:

Cache Folder
Allows selecting a directory to store temporary data needed during the comparison process.

Windows Temporary Folder
Check to store temporary files to the windows temporary folder.

Custom Folder
Check this option to store temporary files in a custom folder. To choose a folder, click the Browse... button.

ExpandedToggleIcon(9x12) See Also

Options


SQL Document Overview

Most of the time you interact with a database by writing and executing SQL queries. In this way, SQL document is an essential part of every database tool in dbForge product line. It is a place where you create SQL statements in order to run them against a database server. This topic gives you an overview of SQL document layout, views, and functions.

To create a new SQL Document:

On the Standard toolbar, click New SQL.

The following image is the example of an SQL document.

note Note

Actual document look may slightly vary from the image above, depending on the product you use.

ExpandedToggleIcon(9x12) SQL Document Overview

Each SQL document includes different representations of the content. They are called document views. On the above screen-shot you can see two document views: Text and Data.

· Text view contains SQL editor which allows you to write SQL statements.
· Data view, typically shown after a query is executed, displays a data editor with result sets returned by a database server.

To switch to a specific view:

· Click a button with a view name on the bottom-panel of the document.
· Right-click document bottom-panel to open the shortcut menu and select a view from the list.

ExpandedToggleIcon(9x12) Representing Query Execution Results

The query execution results can be represented in two ways - in text and in grid formats.

To represent results as text, on the SQL toolbar, click the results-as-text Results as Text button before query execution. The following image represents a sample of query execution results in text format.

To represent results as grid, on the SQL toolbar, click the results-as-grid Results as Grid button before query execution. The following image represents a sample of query execution results in grid format.

CollapsedToggleIcon(9x12) Document Layout

SQL document has two types of view layout: Split Layout and Combined Layout. To switch document layout use appropriate buttons at the bottom-right corner of the document.

Split Layout

In the split layout a document has one prominent (main) view which is aligned to the top of the document view port. Other views are called additional, they are displayed in the bottom area of the document view port.

Main view remains always in split layout visible and you can toggle only additional views. But you can see two views at a time to avoid unnecessary switching.

To temporary hide additional document views, click the hideshow-views Hide/Show additional document views button at the bottom-right corner of the document, or just press CTRL+R.

To change the main document view, use the swap-views Swap main and additional documents views button to swap the main view and active additional view.

Combined Layout

In the combined layout you can see only one view at a time. A document view fills entire document view port. Typically, you need this layout when you a focusing on one specific document representation (for example, when you extensively work with data).

ExpandedToggleIcon(9x12) See Also

Writing and Executing SQL Statements

Writing SQL Statements